*COMDECK HISTORYL383     ***
 SC41682  CORRECTIVE CODE FIXES 1IB TO PROPERLY HANDLE JOBS THAT ABORT
          WITH ECS AND TAPE PARAMETERS ON JOB CARD. 
          JYY    74/06/06    1IB
  
SC42194   CLEAR MESSAGE BUFFER IMAGES ON M.RPJ/EES FROM DSD 
          RLM    74/06/13          MTR
  
 SC42294  THIS CORRECTIVE CODE ENABLES 1AJ AND RPV TO CORRECTLY 
          INCREMENT CP TIME, IO TIME, AND MS LIMITS FOR EXIT AND
          ERROR PROCESSING. 
  
          A NEW PP COMMON DECK *COMPBEL*, BUMP EXPIRED LIMITS, IS 
          DEFINED AND CALLED BY 1AJ AND RPV TO BUMP THE EXPIRED LIMITS. 
          *COMPBEL* CONTAINS ASSEMBLY CONSTANTS WHICH DEFINE A MARGAIN
          FOR EACH LIMIT.  SEE COMMENTS IN *COMPBEL* FOR A DESCRIPTION
          OF MARGAINS AND HOW THEY ARE USED.
          JYY/TRR    74/06/06    1AJ  RPV  COMPBEL
SC42459A  CORRECTIVE CODE TO FIX A 1SP-1SX COMMUNICATION ERROR. 
          THIS CODE CHANGES ONE BIT MISSED BY SC42459 CORRECTION. 
          TLD    74/05/29          1SX
  
 SC42588  FIX UBC PROBLEMS ON 66X 
          BRJ   06/10/74     1IT,2IA,2IC
  
THIS CODE MODIFIES MEM SO THAT FUNCTIONS NECESSARY FOR THE DEVELOPMENT
OF THE COMMON MEMORY MAMAGER CAN BE SUPPORTED.
  
 SC42723     FIX REWIND ACROSS REELS  66X 
  
  BRJ  06 20 74  3IV,3IO,1IT
 SC42753  DELETE THE DSD COMMAND WHICH CALLS 1TD AS 1TD IS PURGED.
          DAD    74/05/28       DSD 
  
 SC42753A DELETE OV.1TD AS THE ROUTINE 1TD IS DELETED.
          DAD    74/05/28       PPSYS 
  
          FIX DSD Q DISPLAY TO DISPLAY CY777 GPGT 
          DAD    74/06/06          DSD
  
SC42812   DELETE CUMULATIVE STATUS ENTRY ADDRESS FROM TABLE OF ENTRY
          ADDRESSES, NOT BEING USED AT THIS TIME. 
          HH     74/06/18    3IC
 SC42887  FIX DEADSTART DUMP TO TAPE TO NOT CLOBBER CM
          LOCATIONS 7755 - 7777.
          JYY    74/06/18    CONTROL
 SC42895    CLEAN UP REQ
  BRJ    06-20-74   REQ 
 SC42970  DSD CHANGE - FIX R(X),NN. BUG 
          MAR    74/06/20 
  
 SC42979  FIXES 4LB/4LC TO ISSUE M.SEF CORRECTLY
          THIS FIXES THE BAD ERROR FLAG PROBLEM 
 BRJ  07/09/74  4LB,4LC 
 SC43013  DSD CHANGE - PREVENT SCREENS FROM BLANKING ON H(A),X. WITH 2
          H DISPLAYS UP 
          MAR    74/07/17    DSD
  
 SC40417A      CODE HELPS CODE FOR SC40417 TO 1AJ AND RAPARAM TO
               CORRECTLY DETECT CONTROL VERBS GREATER THAN 7 CHARACTERS 
               AND TO REENABLE EXIT CARD PROCESSING.
               JYY   08/06/74   1AJ   RAPARAM   ACE 
SC43033   CORRECTION TO 4ES TO RESET RBR ORDINAL AFTER LOGICAL REWIND 
          INSIDE OF THE INDEX ROUTINE.
          TLD    74/07/30    4ES
  
 SC43037  STATCOM CHANGE - CHANGE COMMENT BUFFER SIZE FOR COMMENTS
          TO PREVENT STATION FROM CRASHING
          THIS WILL EFFECT STATEXT AND DSD AND INTERCOM (T76) 
          INSTALL PSR IN STATION S40045 AT SAME TIME THIS IS INSTALLED. 
          LEW    74/07/25    STATCOM
  
L380F    ***
L383F    ***
THIS CODE PREVENTS 1MH FROM OVERWRITING CM WHEN BUILDING THE P DISPLAY
 FEAT11AG     66X REEL SWAP CODE
  BRJ  06-20-74    1IT,3IV
 FEAT58B  DSD MODS FOR FEAT58 TO SUPPORT THE NEW PRINTERS 
 580-12, 580-16, AND 580-20 (FASTRAIN I, II AND III)
          74/06/18      DSD 
 FEAT58C MODS TO DEADSTART DUMP (IN ROUTINE CONTROL) FOR FEAT58 TO
 ENABLE DEADSTART DUMPS TO BE TAKEN ON THE 580-12, 580-16,AND 580-20
 (FASTRAIN I, II AND III) PRINTERS. 
          74/06/18      CONTROL 
 FEAT58E  ROUTE MODS TO SUPPORT FEAT58 -- FASTRAIN PRINTERS 
          580-12   580-16   580-20
          74/06/11      ROUTE 
 FEAT53D94  2ST CHANGE -2ST IS OVERLAY TO CIO FOR MMF GETPF 
          CORRECTION TO 2ST TO CLEAN UP DOCUMENTATION AND CHANGE
          MESSAGE TO *WAITING FOR MMF GETPF*
          LEW    74/06/07          CIO
  
 FEAT53D95  DSD CHANGE - R DISPLAY SHOW JOB CARD PRIORITY 
          FIX LINKED +,- REPEAT BUG 
          INCREASE WAIT TIME BEFORE SENDING NEXT MESSAGE
          REQUEST TO STATION TO ALLEVIATE WAIT FOR REPLY PROBLEM
          DAD    74/06/06          DSD
  
FEAT51A63 ALLOW OVERFLOW TO ON-LINE NON-MOUNTED PACK
          REPLACES SC42828
          RLH    7/9/74      3DO
 FEAT53D98 DSD CHANGE - CHANGE COMMAND SYNTAX TO USE *,* INSTEAD OF *()*
          FOR LINKED COMMANDS SUCH AS SETOP,ONOP,CLROP. 
          LEW    74/06/22 
  
 FEAT53D99 ECLINK - CHANGE DRIVER TO CLEAR ECS BUFFERS ON INITIALIZATION
          MDD    74/07/01 
  
 FEAT75A1 CHANGE OF COMMUNICATION BETWEEN ECS-REQSBUF AND 1SP.
FEAT11AK  CODE 1CL TO SET EXPLICIT CALLFLAG IN MODEFLAG - CHECKED 
          IN SUBROUTINE INIT.  ALSO IF MODEFLAG IS NEGATIVE ON RETURN 
          FROM 2TC, CALL 2TB TO PROCESS TRAILER LABELS. 
          HH     74/07/09    1CL
FEAT11AK  CODE 2TC TO RETURN MODEFLAG NEG. IF UNABLE TO PROCESS 
          XL LABELS.
          HH     74/07/09    2TC
FEAT11AK  WRITE OUT FNT WORD 3 TO SAVE CONTROL FLAG.
          HH     74/07/09    1TO
FEAT11AK  DO NOT SET REEL NO. TO ONE IF LABEL CHECKED IS ON IN
          TAPES TABLE.
          HH     74/07/09    1TO
FEAT11AK  FIX BAD CODE IN 1TO (LBLBUF-21) TO (LBLBUF+21)
          HH     74/07/09    1TO
FEAT7413  REDOES SC42542 TO REFLECT THE FACT THAT ALL CODES IN CEM
          ARE NOW VALID, AND TO AVOID SOME DUPLICATION OF EFFORT
          WITH FEAT7408.
          PAP    74/07/08    CEM
 FIXES REEL SWAPPING PROBLEMS INTRODUCED BY F11 ON 66X
  BRJ  07/07,74   1IT,3IV,3IO 
FEAT51A60 INDEX GETS WRONG BYTE FOR THE DAM ORDINAL IN OVERFLOW WORD
          PAIRS.  INITIALLY, USE DAM ORDINAL FROM CURRENT WORD PAIR.
          SKH    6/21/74     4ES
L386     ***
 SC40538A A VSN PARAMETER ON A REQUEST CARD DOES NOT
          IMPLY A TAPE DEVICE.
          SP      74/7/24     REQUEST 
 SC42045  THE FOLLOWING CORRECTIVE CODE WILL CAUSE 1EJ TO CHECK THE 
          THE LFN OF THE FILES AT A CONTROL POINT TO SEE IF THE LFN 
          BEGINS WITH A NON-ALPHABETIC CHARACTER.  IF THE LFN BEGINS
          WITH A NON-ALPHABETIC CHARACTER IT WILL BE ASSUMED TO BE A
          SPECIAL FILE BELONGING TO A PERMANENT FILE SET.  1EJ WILL 
          ADD THE FILE TO ITS LIST TO BE PASSED TO 1PC.  THIS FURTHER 
          CHECK SHOULD ELIMINATE ANY FURTHER PROBLEM CAUSED BY THE
          MULTI-DEFINITION AND USE OF THE MUJ BIT IN THE FNT. 
          DKC 07/29/74 1EJ
SC42820   CODE 3IO TO CHECK FOR OPEN/WRITE FUNCTION IF NOT AT LOAD
          POINT AND PRU (+) AND SET FNT WRITE BIT IF A WRITE RING 
          IS PRESENT. 
          HH     74/06/28    3IO
          DSD FIX TO USE PROPER CHANNEL TO INTERLOCK MUX TBL HEADER WORD
          DAD    74/06/06          DSD
  
          DSD E DISPLAY FIX FOR DUAL ACCESS RMS DISPLAYS. 
          DAD    74/06/06          DSD
  
          DSD CORRECTION TO STOP BLANK SCREENS ON SECOND N.CFO. 
          DAD    74/06/06          DSD
  
 SC42946   PREVENT A MLRS OF ZERO ON AN L TAPE FROM CLOBBERING 2IR
  BRJ  07/09/74   1IT 
  
 SC42978  DO NOT SET XL BIT IN 66X DIRECT CELL IF FET IS TOO
          SHORT FOR AN XL BUFFER POINTER
 BRJ  07/09/74  1IT 
FEAT11AW  CORRECT BAD CODE FOR GO OR RECHECK AND GO OR DROP MESSAGE 
          FROM TAPE RECOVERY DRIVERS.  THEY WERE NOT CHECKING CORRECT 
          BIT FOR A NO RESPONSE CHECK.
          HH     74/08/08    1RV,1NR,1NO,1R2,1R3,1MT,1P1,1P2,1P3,1P4
  
 FEAT53DA2 STATCOM CHANGE - CHANGE MESSAGE CODES FOR ADDID,DELID
          ADD MESSAGE CODES FOR FUTURE 7000 DEVELOPMENT (SYMM.) 
          ONSTAT, OFFSTAT, ADDID (AT LINKED MF), DELID (AT LINKED MF) 
          CHANGE STREAM NUMBERS (GETPF, SAVEPF, INPUT, ETC.)
          LINKED T DISPLAY, LIST OF MAINFRAMES AT LINKED MF, REMOTE 
          LOGIN, REMOTE LOGOUT
          THE ENHANCED STATION PSR F50039 SHOULD BE INSTALLED AT
          THIS TIME.
          LEW    74/12/74    STATCOM
  
 FEAT53DA3 1SI CHANGE - FIX 1SI TIME LIMIT CALCULATIONS FOR NEW 
          INTERCOM JOBS 
          DAD      74/07/07        1SI
  
 FEAT53DA4 DSD CHANGE - ADD LOGIN,P. (LOGIN.) AND LOGOUT,P. COMMANDS
          LEW    74/07/23    DSD
  
 FEAT53DA5 ECSDEF CHANGE - ADD SYMBOL *ERELINK* FOR ECS FLAG (CMRTEXT)
          LEW    74/07/31    ECSDEF (CMRTEXT) 
  
 FEAT53DA8 ECLINK CHANGE - CORRECTIONS FOR THE ECS LINK DRIVER
          ADD ECS PARITY PROCESSING CODE FOR ECS LINK DRIVER
          LEW    74/07/29    ECLINK 
  
 FEAT53DA9 ECSSUB CHANGE - PROCESS PARITY ERROR DETECTED IN ECS 
          LINK DRIVER 
          LEW    74/07/31    ECSSUB 
  
 FEAT7425        TO CORRECT CODE TRANSMITTED IN ERROR.
FEAT11AM  SET LABEL MODE IN MODEFLAG, USED BY SUBROUTINE INIT.
          HH     74/07/24    1MF
  
FEAT11AN  SET CONTROL PERMISSION IF TAPE IS EXPIRED AND CLEAR CONTROL 
          IF TAPE IS UNEXPIRED. 
          ADD CODE TO PROCESS UVLX LABELS.
          HH     74/07/24    3IL
  
FEAT11AO  CORRECT CODE TO SAVE CONTROL BIT FROM D.FNTWT WHEN
          UPDATING FNT. 
          HH     74/07/24    1IT
  
FEAT11AP  CORRECT CODE TO RECHECK RESPONSE ON LABEL MISMATCH MESSAGE. 
          RETURN TO 1TO AND REINITIALIZE LABEL BUFFERS. 
          HH     74/07/24    1TR
  
FEAT11AQ  IF UNLABELED TAPE IS READ CLEAR MEMORY AND LABEL BITS TO
          INDICATE PROPER STATUS. 
          IF VSN HAS NOT BEEN SUPPLIED BY THE OPERATOR FOR Y-LABEL
          AND UNLABELED TAPE, CLEAR VSN VALID FLAG TO FORCE A VSN 
          TYPE-IN.
          HH     74/07/24    1TO
  
FEAT11AR  CHECK FOR PROPER PERMISSION ON DEFAULT OPEN AND CURRENT 
          FUNCTION IS A WRITE.
          HH     74/07/29    3IO
  
FEAT11AT  CORRECT CODE TO SET PROPER PATTERN IN C.TFLGS FOR DSD TO
          ACCEPT A GO TYPE-IN.  GET TTFGR=0, TTFRC=1. 
          HH     74/08/05    4LB,4LC
  
 FEAT11AS       PART OF 66X REEL SWAP CODE FOR FNMA CRITICAL PSR
                SC42404 
  BRJ    08/01/74     3IV 
 FEAT51A57  ELIMINATE IDLE BIT CHECK IN 4ES 
           VMS   08/05/74    4ES
FEAT7417  TO CORRECT LAST BLOCK OF SEGMENT. ALSO RELOAD CHECKSUMS 
          IF FIRST ATTEMPT TO CORRECT FAILED
          PAP    74/07/11    SEGPAR 
FEAT7420  BYPASS SEGMENT LINKAGE CODE IN INDEXED GOTO IF ENTRY
          POINT RESIDENT
          PAP    74/07/16    CMRTEXT
FEAT7422  CORRECT INTERLOCK BETWEEN SYSTEM USER MODE AND MONITOR
          MODE ON A TWO CPU MACHINE 
          AFFECTS STEP MODE AND PARITY ERROR RECOVERY 
          PAP    74/07/17    LINKCMR
FEAT7423  PREVENT REUSE OF NON EXISTENT SEGMENT IN USER AREA ON A BOOT
          PAP    74/07/18    LINKCMR
SC42553   WHEN DEADSTART IS PRESSED ON A CYBER 72/73 WHILE AN INSTRUCTN 
          WITH A LONG EXECUTION TIME IS BEING EXECUTED IN PARCEL ZERO 
          THE CPU MODES OUT AND CONTINUES TO EXECUTE. 
          USE ONLY THE SIMPLEST IDLE LOOP.  ( EQ  * ) 
          RLM    74/07/15 
  
          BASESLIC WAS INADVERTENTLY CHANGED FROM 20 TO 4 MSEC. 
          THIS CODE SETS IT TO 18 MSEC. 
          ADDITIONALLY IF RESCH SELECTS THE SAME JOB IT INTERRUPTED,
          IT WILL USE A VERY LONG SLICE PERIOD. 
  
          RLM    74/08/05          CCPMTR,CMRDEF,CMRDIR 
  
 SC42922   THIS CODE PREVENTS 2IW AND 2IB FROM WRITING AN EXTRA 
           FRAME UNDER  CERTAIN COMBINATIONS OF CMWORDS AND UBC 
  08/15/74   BRJ   2IW,2IB,2ID,3II
 SC43123  ADD MISSING RESTAGE COMMAND CODE TO SYNTAX TABLE AND OVERLAY
          8YH 
          WWS    74/08/07    DSD
  
FEAT11AX  INSERT CODE TO PROCESS EXPIRATION DAYS EQUAL TO 365 CORRECTLY 
          OLD CODE WROTE AN EXPIRED LABEL IF EXPIRATION DAYS WAS
          EQUAL TO 365. 
          HH     74/08/13    4LB,4LC,3IL
 FEAT53DB2 1SI CHANGE - CORRECT 1SI SEARCH OF MMF STAGED FILES SO THAT
          THE JDT NUMBER IS CHECKED FOR THE STAGED FILE DURING SWAPIN.
          CORRECT 1SI TO STOP AT END OF RECORD AS WELL AS END OF FILE 
          WHEN PUTTING SPOT DAYFILE INTO A JOBS DAYFILE 
          ADD S.JDFAZ REFERENCE 
          LEW    74/08/09    1SI
  
 FEAT53DB4 PPSYS CHANGE - ADD MISSING PPSYS SYMBOL S.JDFAZ
          LEW    74/08/22    PPSYS
  
 SC40417B CODE TO HELP SC40417 AND SC40417A TO ALLOW 1AJ/RAPARAM
          TO PROPERLY PROCESS BAD CONTROL CARDS 
          JYY   09/04/74    1AJ/ACE/RAPARAM 
 SC42523  THIS CODE CAUSES 1MH TO CONSIDER JOBS WITH NON-ZERO DEPENDENCY
          COUNT TO BE INELIGIBLE FOR THE TAPE PREVIEW DISPLAY. PROPER 
          FNT PROCEDURES HAVE BEEN INSERTED AND THE CONTROL CARD
          BUFFER SHORTENED TO FREE UP SOME SPACE. 
          JWO    8/12/74/  1MH
 SC42696    FIXES MULTI FILE POSITIONING PROBLEM WHEN 
          ATTEMPTING A  POSMF ON AN UNLABELED TAPE WHEN P=1 
   09/10/74   BRJ  1MF
FEAT11AY  REMOVE CODE IN 1TR TO FORMAT SPLTLBL ON RETURN FROM 4LB 
          WHEN READING HDR1 LABEL.  THIS IS ALREADY DONE IN 4LB.
          CODE 1RP TO SET EXPLICIT CALL AND LABEL FLAG IN MODEFLAG PRIOR
          TO CALLING 2TC TO PROCESS EOV LABELS. 
          HH     74/08/29    1TR,2TC
  
FEAT11A1  CODE 1TR AND 1TO TO INSURE A ZERO BYTE AFTER THE VSN IN THE 
          VSN MESSAGE SO THAT R.DFM WILL STOP PICKING UP GARBAGE. 
          HH     74/06/9     1TR,1TO
  
FEAT11A2  CODE 3IO TO UPDATE FNT DEVICE TYPE TO REFLECT ACTUAL LABEL
          READ FROM TAPE.  USER MAY HAVE REQUESTED AS ANSI AND
          TAPE IS REALLY Y-LABELED. 
          HH     74/9/04     3IO
  
 FEAT11A4 THE SYMBOLS OV.6IM AND OV.3MG WERE NOT DEFINED IN PPTEXT. 
          SP     74/9/11
FEAT51A72 MAKE 4ES CALL 1PK UPON ENCOUNTERING AN OVERFLOW WORDPAIR
          WITH NO DAM ORDINAL.
          SKH    09/09/74      4ES
FEAT51A77 4ES CORRECTION TO CORRECT BMRS FROM MNT 
          TLD    74/09/09    4ES
 FEAT53DC2 CIO CHANGE - HAVE 2ST CHECK FOR CONTROL POINT NUMBER 
          ON THE ZZZZZPK FILE 
          LEW    74/09/06    CIO(2ST) 
  
 FEAT53DC4 ECLINK CHANGE - CORRECT ECS LINK DRIVER TO PROCESS UNEXPECTED
          DATA
          MDD    74/09/08    ECLINK 
  
SC42696A  CORRECT SOME ERRORS IN 2696 CAUSING POSITION 1 TO BE 2
09/19/74  BRJ  1MF
 SC43238  1EJ CHANGE - SET END OF JOB BIT INTERNALLY WITHIN 1EJ IF THE
          KILL ERROR FLAG IS DETECTED TO PREVENT JDTS 
          BEING LEFT AFTER END OF JOB PROCESSING
          ALSO FIXES MULTIPLE LINK PROBLEM
          JYY/LEW    09/19/74    1EJ
 FEAT11A5 REQ HANGS ON 2 TAPE ASSIGNMENT IF AN EST ORDINAL IS ALSO
          GIVEN.
          REQ DOES NOT ASSEMBLE WITHOUT ERRORS IF IP.TSG=0. 
          SP     74/9/12     REQ    1TS 
 FEAT11A8 REQUEST CLEARS 2DV BIT IN CALL TO REQ IF AN EST ORDINAL 
          OF 2X (X= ANY NUMBER) FOLLOWS THE 2MT, 2NT, 2HY,... ON THE
          REQUEST CARD. 
          SP     REQUEST     74/9/15
FEAT11A12 CODE 1TR TO NOT UPDATE TAPES TABLE UNTIL OPERATOR TYPES 
          GO TO AN LABEL MISMATCH MESSAGE OR WHEN THERE ARE NO LABEL
          MISMATCHES.  THIS HAS TO BE DONE BECAUSE ON A RECHECK WE
          RETURN TO 1TO WHO WILL USE THE TAPES TABLE LABEL INFO. THAT 
          HAS BEEN UPDATED BY 1TR.
          ALSO DELETE CODE IN 1TR TO ISSUE *HEADER LABEL DO NOT MATCH*
          MESSAGE.  THIS WAS WRITTEN OVER LAST MISMATCH MESSAGE WHICH 
          INDICATED A REEL MISMATCH.  THIS IS USED BY THE OPERATOR TO 
          READY THE PROPER VOLUME.
          HH     74/20/10    1TR
  
 FEAT11A13   FIX RETURN FROM 2TC IN 1RP SO LABELS ARE WRITTEN 
   09/20/74   BRJ  1RP
  
          A DUAL CPU CMR WONT DEADSTART WITH ONE CPU OFF AND ECS ON 
          RLM    74/09/13    LINKCMR
FEAT53DC9 DSD FIX TO PREVENT BLANKING SCOPES ON ILLEGAL R,JDTORD. TYPEIN
          DAD       9/24/74         DSD 
  
L389    *** 
 SC42922A      FIXES 9 TRACK  BAD WRITING OF SOME SHORT PRU,S ON
           SCOPE TAPES.   THIS PREVENTED 9 TRACK DEADSTART TAPES
            FROM WORKING
  10/11/74   BRJ   2IW
 SC43183  FIX 1TJ TO PROPERLY HANDLE FNT-S WITH LINKS AND APF.
          ALSO, TO ENABLE THE ECS EDITLIB MOVE JOB ON END OF DS 
          TAPE TO EXECUTE CORRECTLY.
          JYY    10/02/74    1TJ
 SC43319  1EJ CHANGE - CHANGE 1EJ TO NOT SET UNCONDITIONAL KILL 
          IF IT IS PROCESSING THE STATION.  THIS RESULTED IN LEAVING
          FILE ATTACHED TO THE CONTROL POINT BECAUSE 1AJ NEVER SAW THE
          KILL FLAG.
          LEW    74/10/01    1EJ
  
 SC43371   ECLINK CHANGE - FIX ECS DRIVER PROBLEM WHEN EXCESS DATA IS 
          DETECTED
          ALSO CALL STD TO CLEAN UP FNT WHEN DRIVER DROPS 
          MDD    74/09/20    ECLINK 
  
 SC43371A ECLINK CHANGE - FIX TO PREVIOUS PSR SC43371. THIS IS AN A 
          RESPONSE. THE PURPOSE IS TO PREVENT SYSTEM ABORTS 
          FROM OCCURRING BECAUSE OF A TIMING PROBLEM BETWEEN STD AND
          THE ECS LINK DRIVER PERMITTING BOTH TO DECREMENT ACTIVITY 
          COUNTS. 
          LEW    10/23/74    ECLINK 
  
 SC43376  REQ IS DESTORYING T.TAPES ORDINAL IF NO VSNS ARE GIVEN. 
          SP     74/10/3     REQ
 SC43429  1MM CHANGE - HAVE 1MM SEARCH PJT FOR COPIES OF 1MM ALREADY
          THERE AND NOT CREATE EXTRA COPIES OF 1MM. 
          LEW    74/10/07    1MM
  
 SC43494  CHECK S.CPRFL,S.CPSWC,AND C.CPRFL BEFORE CALLING 1SO
          VMA    11/01/74    DSD
 SC43455  SSH CHANGE - GET PROPER ADDRESS FOR CONTROL POINT IN ERROR
          FLAG CHECK SUBROUTINE 
          ALSO PREVENT 1DZ AND 1D* BMR CAUSED BY SSH
          ALSO CORRECT LOAD LEVELING OF TYPE 2 JOBS 
          LEW    10/22/74    SSH
  
L393     ***
  
SC42890   ADD XJR AND MAKE TIM A SEPERATE SEGMENT 
          RLM    74/07/16    CCPMTR 
SC42959   CORRECT CODE TO DROP 2MT-2NT FNT SUPPLEMENTS. 
          HH     74/08/19    3IC
 SC43070   CORRECT COMMENT IN CIOCOM ON IP.NBRK DEFIN.
  08/19/74   BRJ    CIOCOM
 SC43134  RESETS EST ADDRESS IN /SUB/SW.EAD AFTER A REEL SWAP 
          THIS WAS A PROBLEM BETWEEN UNITS THAT COULD NOT BE ACCESSED 
          OVER THE SAME CHANNEL 
   08/15/74   BRJ   3IV 
 E018     STATCOM ADDITION - ADD ERROR CODES FOR 7000 MMF REJECT MSGS.
          WWS    74/08/01    STATCOM
  
 E019     7000 U DISPLAY CHANGE - MODIFY U DISPLAY TO DISPLAY THE 
          MC.LSTS REPLY MSG(WHEN IP.7LNK = 0) OR MC.LMFS REPLY MSG
          (WHEN IP.7LNK GT 0).
          WWS    74/08/01    DSD
  
 E020     7000 T DISPLAY - ADD NEW 7000 OVERLAY TO DISPLAY 7000 STATION 
          FILE TRANSFER STATUS. 
          WWS    74/08/01    DSD
  
 E021     DSD ADDITION - ADD 7000-7000 AND 7000-6000 LINK COMMANDS IN A 
          NEW OVERLAY - 8YJ.
          WWS    74/08/01    DSD
  
 SC41339  CODE TO PREVENT 1AJ FROM PUTTING AN INTERCOM
          USERS PASWORD IN THE SYSTEM DAYFILE 
          74/08/12     1AJ
 SC41676  CLEAR ALL TAPE ORIENTED BITS ON UNLOAD EXCEPT SV
  09/04/74  BRJ  1CL
SC42832 
          THIS CODE ALTERS 1AJ,1EJ,RPV AND CPMTR SO THAT THE SEPERATE 
          PARAMETERS FOR DMPX AND EXIT(S) PROCESSING IN THE EXTENDED
          ABORT MACRO (SC42832A) WILL BE PROCESSED CORRECTLY. 
JWO  9/19/74  1AJ J,RPV,CPMTR 
SC42832A
          THIS CODE TO ACTCOM IS A RE-WRITE OF THE ABORT MACRO WHICH
          SEPERATES THE DMPX PROCESSING FROM THE EXIT(S) PROCESSING 
          BY INTRODUCTION OF A NEW PARAMETER. THE NEW SYMBOLS INTO
          PPSYS ARE BITS USED BY THE PROCESSING ROUTINES. 
JWO  9/19/74  ACTCOM,PPSYS
 SC42840  FIX DSD M-DISPLAY 
          VMA 8/30/74  DSD
 SC43136
          PREVENTS 1IT FROM WAITING ON THE CHANNEL TO STATUS A DRIVE
          THIS WILL PREVENT MULTIPLE COPIES OF 1IT FROM ACCUMULATING
          WHEN THE CHANNEL IS HUNG UP AND CANNOT BE RESERVED
  
          ADDS A RELEASE TO CUMULATIVE STATUS IN 3IC TO ASSURE
          THAT THE CHANNEL IS NOT RESERVED TWICE
  8/12/74  BRJ  3II,3IC,3IM 
SC43174   CORRECT THE VALUE OF C.MVFG 
          RLM    74/08/24          PPSYS
  
 SC43185A INTRODUCE A MODE IN WHICH ERROR FLAGS ARE RECORDED
          INTERNALLY AS MEMOS.
          RLM/JYY    09/19/74    CCPMTR/MTR/PPSYS/1AJ/1EJ/IRCP
 SC43185  INTRODUCE A MODE IN WHICH ERROR FLAGS ARE RECORDED
          INTERNALLY AS MEMOS.
          RLM/JYY    09/19/74    CCPMTR/MTR/PPSYS/1AJ/1EJ/IRCP
 SC43232  CIO CALL FOR ECS ACCESS WITH INITIALLY COMPLETED FUNCTION 
          CODE THAT CAUSES ECS TROUBLES WILL ABORT JOB AFTER THIS 
          CORRECTION. 
          SW     74/09/12    CPCIO (DECK NAME)
 SC43239  DSD CHANGE - CHANGE DSD TO WAIT FOR SUBCODES OF THE 
          H DISPLAY (REQUEST/REPLY) TO MATCH BEFORE DISPLAYING BUFFER 
          LEW    74/13/74    DSD
  
SC43250   FIX DSP/1TJ TO PROCESS ROUTE OF JOBS TO INPUT QUEUE WITH
          PRE-DAYFILE LFN SPECIFIED.
          JYY    09/19/74    DSP/1TJ
 SC43251   FIX LMN TO LMD IN 1RN
  09/17/74  BRJ  1RN
 SC43261  FIX 1TJ/2VJ/2VJCOM TO USE LDCR MACRO INSTEAD OF DIRECT
          CELL BA BECAUSE 1TJ IS NOT RELOCATED. 
          JYY    09/20/74    1TJ/2VJ/2VJCOM 
 SC43285 2TA IS NOT RELEASING THE 2ND TAPE UNIT CORRECTLY WHEN 2 TAPE 
          DEVICES ARE REQUESTED AND ONLY ONE TAPE DEVICE IS SPECIFIED 
          ON THE JOB CARD.
          SP     74/9/18     1TS   REQ
 SC43371B ECLINK CHANGE - THIS CODE CORRECTS THE ECS LINK DRIVER
          THE ADDITIONAL CODE HERE VALIDATES FURTHER THE SUBCHANNEL 
          ENTRY BEFORE USING IT AND CHECKS THAT THE FET ADDRESS 
          BEING USED IS WITHIN THE FL OF THE JOB. 
          ALSO IT CHECKS THE UNDER DRIVER CONTROL BIT IN THE FNT
          BEFORE IT WILL SET AN FNT COMPLETE AND DECREMENT THE ACTIVITY 
          COUNT (M.SPRCL) 
          MDD    74/12/13    ECLINK 
  
SC43435   CODE TAPE OPEN DRIVERS TO NOT CHECK FOR UNEXPIRED LABEL IF
          CURRENT VOLUME HAS BEEN PREVIOUSLY OPENED AND CHECKED FOR 
          UNEXPIRED LABELS.  USE TAPES TABLE FLAG BIT TTFEC TO
          INDICATE THAT EXPIRATION HAS BEEN CHECKED AND NO MESSAGES 
          ARE REQUIRED.  CLEARED BY CLOSE/UNLOAD FUNCTION.
          HH     74/16/10    1TR,1TO,3IO,3IL,3IC
  
 SC43455A SSH CHANGE - FIX LOAD LEVELING POSSIBLE BIT CALCULATIONS
          LEW    74/11/08    SSH
  
 SC43485  CIO CHANGE -
          CORRECT MMF STAGING ROUTINES TO HANDLE THE CONDITION
          WHERE A SWAP/ROLL OUT IS IMPOSSIBLE 
          THIS INVOLVES CALLING C1SO WITH THE PROPER PARAMETERS TO
          GET CONTROL BACK IN ALL CASES AFTER THE C1SO CALL HAS BEEN
          MADE. 
          LEW    74/10/30    CIO-2ST
  
 SC43490  REQ IS CLEARING THE HIGH ORDER 3 BITS OF P.DFB. 
          REQ MESSAGE - NO 66X WITH 60X OR 65X - MESSAGE IS WRONG.
          THIS CODE IS FOR SCOPE 3.4.3 AND 3.4.4 ON PL1A. 
          SP     10/25/74    REQ   6IM
 SC43636  QAC,1NS CHANGE - PREVENT DOUBLE EVICTS OF QUEUE FILES 
          WHICH CAN BE CAUSED BY 1NS CAUSING AN EVICT AT THE SAME 
          TIME THAT THE STATION IS BEING DROPPED AND CALLING QAC TO GET 
          QUEUE FILES TO EVICT FROM THE QUEUE.
          LEW    74/11/18    QAC,1NS
  
 SC43636A 1NS SHOULD VERIFY THAT THE SPOT OUTPUT FILE NAME
          HAS NOT CHANGED AFTER 1NS HAS OBTAINED THE FNT INTERLOCK
          LEW    11/22/74    1NS
  
 SC43802  SSH CHANGE - PREVENT DOUBLE SETTING OF COMPLETE BIT WHEN SSH
          IS CALLED FOR AN INITIALIZE FUNCTION. 
          LEW    74/12/11    SSH
  
  SC43841 
          ADD RETRY TO ECS SEGMENT PARITY PROCESSING. 
          ADD CONSOLE MESSAGE  -ECS HARDWARE ERROR-.
          CHANGE LONG BLOCK READS TO READ ONE WORD AT A TIME. 
  
          MAA    11/1/74     SEGPAR (IN LINKCMR)
  
L397     ***
 SC40797  LABEL IS NOT PROCESSING CONTINUATION CARDS CORRECTLY. 
          THIS CODE WAS TESTED USING PSR  SC42420 ON ACE. 
          SP     12/08/74    LABEL
 SC41260  FIX COMPBEL TO INCREMENT MASS STORAGE LIMIT CORRECTLY 
          SO IT WILL NOT BE LOST ON LARGE LIMITS. 
          JYY    10/08/74    1AJ/RPV/COMPBEL
 SC41704  REDUNDANT CODES IN RACDAC.
          SW     12/12/74    RACDAC 
 SC41723  SYMBOLIC CPUID SHOULD BE USED IN PLACE OF ABSOLUTE 7. 
          SW     12/12/74    ECS
 SC42127  TEST OF THE RANGE OF FET ADDRESS NOT APPROPRIATE IN CPCIO.
          SW     12/12/74    CPCIO
 SC42405  CORRECT WRONG BLOCK LENGTH PROBLEM WITH DS DUMP TO 659
          ALSO SPEED UP ASSEMBLY BY FIXING VARIOUS OPCOM MACROS 
          PNB MID OCT 74
 SC42487  DIS FIX TO CLEAR B DISPLAY MESSAGE
          VMA    09/04/74    DIS
 SC42520  FIX DSD H DISPLAY TO START AT T.FNT FOR EACH NEW CALL 
          VMA    09/04/74    DSD
 SC42525  DEFINE INSTALLATION PARAMETERS FOR CP AND IO TIME LIMITS AND
          MASS STORAGE LIMIT INCREMENTS THAT ALLOW FOR EXIT AND 
          ERROR PROCESSING. 
          JYY   10/04/74    IPARAMS/1AJ/RPV/COMPBEL 
 SC42525A DEFINE INSTALLATION PARAMETERS FOR CP AND IO TIME LIMITS AND
          MASS STORAGE LIMIT INCREMENTS THAT ALLOW FOR EXIT AND 
          ERROR PROCESSING. 
          JYY   10/04/74    IPARAMS/1AJ/RPV/COMPBEL 
 SC42589         I/O TIME OVERFLOW DURING ROLLOUT 
          GW     11/4/74     1SO 1SI
SC42695   MAKES 66X READSKIP COMPATABLE WITH THE REST OF THE WORLD
          01/24/75  BRJ  1IT,2IC,2IA
 SC42752         SCHEDULE DOES NOT REREAD NOR RECHECK W.CPSCH BEFORE
                 UPDATING.  MODIFIES SCHEDULE TO REREAD W.CPSCH AND 
          IF THE JOBS JQP HAS BEEN CHANGED TO GT. 7000B DO NOT UPDATE 
          W.CPSCH.
                 GW     11/6/74     MMGR
 SC42777  FIX 1AJ TO DROP THE LIBRARY DIRECTORY ACCESS FLAG BEFORE
          LOADING A PP ROUTINE OVER ITSELF. 
 SC42804  FIX 1AB TO CORRECTLY CHECK FOR FNT-S  IN THE INPUT QUEUE
          TO DAYFILE. 
          JYY    10/10/74    1AB
SC42863   CORRECTION TO 4ES. THE PROBLEM WAS 4ES NOT SETTING LEVEL 17B. 
          TLD    74/08/29          4ES
  
 SC43010  INTERMIXED ECS RESIDENT FILE ACTIVITIES AND READ ACTIVITIES 
          TO ECS BUFFERED FILES CAUSE PRU COUNT IN ECS RESIDENT FILE
          FST CLOBBERED.
          SW     12/12/74    ECS
 SC43059  ATTEMPT TO REWRITE A PRU OF ECS RESIDENT FILE THAT IS BEYOND
          EOI CAUSES SYSTEM TO HANG.
          SW     12/12/74    ECS, CPCIO 
  2TB LENGTH CHECK DID NOT INCLUDE CHANNEL TABLE
  11/14/74  BRJ  2TB
 SC43216  FIX DSD F-DISPLAY TO HAVE MISSING ENTRY IN DEVICE TYPE TABLE
          INSERTED. 
          VMA    09/06/74          DSD
 SC43230  IMPROVE IRCP CHECKS FOR CLOBERRED EST ENTRIES INCLUDING 
          COMPATIBILITY CHECKS WITH TAPES AND DST TABLES. 
          INSTALLATIONS WITH NON-STANDARD DEVICES SHOULD ADD THEM TO
          THE NEW EST SYNTAX TABLE DEFINED IN DSLCOM. 
          RAP    74/09/10    IRCP, DSLCOM 
  
 SC43295  FIX TRANSR MACRO. 
          DELETE TRANSF AND TRANSR FROM PL1A
          PNB 20 SEP 74 
 SC43302         1SO DOES NOT SAVE IO AND PPTIME WHEN IT ROLLS OUT
                 A JOB THAT IT HAD ORIGINNALLY PLANNED TO SWAP OUT. 
                 THIS CAUSES ERRONEOUS IO AND PP TIME 
          GW   74/10/25   1SO 
 SC43345  FIX COMMON DECK COMPBEL TO CORRECTLY INCREMENT IO TIME LIMIT
          JYY    10/03/74    1AJ/RPV/COMPBEL
 SC43347B LABEL IS NOT USING XJ INSTRUCTION WHEN IT IS AVAILABLE. 
          SP     12/03/74    LABEL
SC43369   INSERT MISSING CODE IN 3IC WHEN REWINDING MULTI-FILE TAPES. 
          HH     74/04/10    3IC
  
 SC43379  THE DEADLOCK ALG. DOES NOT WORK PROPERLY IN 2TA.
          SP     74/10/7     REQ   1TS
SC43410          INCORRECTLY CODED INSTRUCTION IN 1IB CAUSING ECS JOB 
                 WITH UNSATISFIED ECS REQUIREMENT BEING INITIATED.
                 GW   74/10/20     1IB
 SC43467  FIX 1AJ TO PROPERLY CHECK FOR END OF CONTROL CARD PRU BUFFER. 
          JYY    12/12/74    1AJ
 SC43478  2IA (66X L TAPE DRIVER) DOES NOT RECOGNIZE PARITY ERRORS
  11/13/74  BRJ  2IA
SC43481   CODE CIO TO CHECK IF FST ADDRESS WITH MATCHING MULTIFILE
          NAME IS A MULTIFILE DEVICE. 
          HH     74/11/06    CIO
 SC43487  KEEPS DSD FROM BEING FAKED OUT BY EDITLIB WHEN DIS HAS DISPLAY
          DAD         10/28/74     DSD
 SC43529         1IB DOES NOT USE IP.MECS TO CONTROL ALL ECS RELATED
                 CODE CAUSING ERRONEOUS INITIATION OF DIRECT JOBS 
                 IF IP.MECS IS OFF
                 GW       12/11/74       1IB
SC43565   REMOVE CODE TO WAIT FOR NOT BUSY AND READY - REPLACE WITH 
          CALL TO NOTBUSY ROUTINE.  FIXES STATUSING PROBLEM WITH
          BLANK TAPE AND UNLABELED L-TAPES WITH A LONG RECORD AT
          LOAD POINT. 
          HH     74/11/20    3IO
  
SC43545   CHECK IF NACT IS ZERO BEFORE FURTHER PROCESSING OF DELAY STACK
          RLM       74/11/12       MTR
 REREAD FORWARD CHECK SHOULD BE FOR REPEAT READ 
 11/14/74   BRJ  2IA
 SC43561  FIX TO DSD P DISPLAY SO DSD CAN OPERATE WHEN MTR CANNOT REPLAY
          TO M.RPJ ISSUED BY P DISPLAY. 
          VMA    11/08/74    DSD
SC43582   MOVE CODE TO UPDATE DEVICE TYPE FROM INIT SECTION TO EXIT 
          SECTION.  DEVICE TYPE MAY HAVE BEEN CHANGED DUE TO
          LABELED/UNLABELED STATUS CONFLICTS. 
          HH     74/15/11    3IO,3IL
  
 SC43621  SEQUENCE OF REQUESTS FROM A JOB TO OPEN ECS BUFFERED FILES
          TO READ WITH A TOTAL REQUIRED ECS BUFFER SIZE GREATER THAN
          AVAILABLE PAGED AREA CAUSES THE JOB TO HANG.
          SW     12/12/74    ECS, RACDAC, ECSSUB, ECSSWAP 
SC43623   CODE 1TO AND 1TR TO SAVE FST ADDRESS IN MESSAGE BUFFER AND
          ON RETURN FROM THE EVENT STACK RESTORE CELL D.FA.  ALSO 
          REMOVE CODE IN UNSTACK ROUTINE TO MATCH FNT AND 
          FET LFN-S.  THIS NOT REQUIRED SINCE WE ARE NEVER SWAPPED OUT
          AND OUR FST ADDRESS IS STILL VALID.  A PARITY ERROR ON
          ROLLIN MAY HAVE DESTROYED THE FET AND ASSOCIATED FNT ADDRESS
          AND WILL RESULT IN A BAD MTR REQUEST IF A MATCHING FNT IS NOT 
          FOUND IN THE UNSTACK ROUTINE. 
          HH     74/12/11    1TO,1TR
  
 SC43627  1TF DOES NOT PROCESS SKIPF ON CODED 9-TRACK TAPES CORRECTLY.
          SP     1/24/75     1TF
 SC43627A 2TB DOES NOT PROCESS THE SKIPB ON CODED 9-TRACK TAPES 
          CORRECTLY.
          SP     1/24/75     2TB
 SC43644   ALLOWS 3IF TO BE OVERLAYED BY 3IE WITH NO BAD EFFECTS
   11/20/74   BRJ   3IF,3IV 
SC43682   PLACE 1IT INTO THE DELAY STACK WHEN WAITING FOR THE 
          OPERATOR TO MOUNT THE NEXT TAPE OF A MULTI REEL FILE
          ALSO ALLOWS THE OPERATOR TO CORRECT A NEXT VSN ERROR VIA
          THE N.VSN TYPE IN AT THE TIME OF THE MOUNT MESSAGE
          THIS CODE ALSO CORRECTS THE PROBLEM OF THE NEXT VSN 
          CHANGING BECAUSE OF A PARITY ERROR WHEN READING A TAPE
          MOUNTED ON THE SAME TAPE UNIT 
12/10/74  BRJ  1IT,3IM,3IV
SC43689   WRONG JUMP TAKEN BY 1MF IF MORE THAN ONE TAPE MARK
          PRECEEDED THE EOF LABEL.
          HH     12/31/74    1MF
  
SC43750  FIX MULTI FILE SET CHECK IN CIO
  12/11/74   BRJ   CIO
 SC43842  DSD CHANGE - CHANGE T DISPLAY TO SHOW LOCAL PF SPOTS AS TYPE
          LOCAL.
          LEW    74/12/17    DSD
SC43888   CODE 3IO TO NOT ISSUE MTXX LABELED MESSAGE IF CREATING
          AN UNLABELED TAPE.  IGNORE EXPLICT OPEN (EXCEPT OPEN/WRITE) 
          FUNCTIONS FOR UNLABELED TAPE REQUESTS.
  
          HH     75/01/02    3IO
SC43920   DEFINES A NEW CPU STATUS BIT TO ALLOW MTR TO SUSPEND CPU
          WHEN PP ACTIVITY EXCEEDS MAXIMUM
          RLM    75/12/09          MTR,CCPMTR,CMMGR 
          MODIFY M.RACT FUNCTION SO IT WILL ALWAYS REPLY
          RLM       74/11/11       MTR
SC43920A  TEXT CHANGES FOR SC43920
          RLM    75/12/09          PPSYS,CMRDEF,CMRTEXT 
SC43921   PROTECT MTR FROM GARBAGE IN T.PPIP
          RLM    75/01/10          MTR
 SC43973  FIX 1EJ TO PROPERLY GET FAF.
          JYY    02/10/75    1EJ
SC44065   FIX 1EJ TO NOTIFY 1NS OF RERUN SPOT JOBS
          JYY    02/06/75    1EJ
 CP103A1  *1AJ* IS MODIFIED TO INTERFACE PROPERLY WITH THE *CYBER 
          LOADER*.  *1AJ* IS MODIFIED TO NO LONGER SPECIAL CASE 
          THE *MAP* AND *REDUCE* CONTROL CARDS.  *MAP* AND *REDUCE* 
          WILL BECOME ENTRY POINTS IN THE *LDRCNTL* CP PROGRAM
          WHICH WILL RESIDE IN THE *NUCLEUS* LIBRARY.  *1AJ* IS 
          MODIFIED TO ALLOW A USER LIBRARY TO OVERRIDE A SYSTEM 
          LIBRARY OF THE SAME NAME WITH THE EXCEPTION OF THE
          SYSTEM LIBRARY *NUCLEUS* WHICH IS SPECIAL CASED AND 
          CANNOT BE OVERRIDEN.
          CJL     12/05/74     1AJ     SCOPE 3.4 FEATURE
 CP103A2  THE DEFAULT LOADER MAP OPTION *IP.MAP* IN *IPTEXT* IS 
          CHANGED TO INTERFACE PROPERLY WITH THE *CYBER LOADER*.
          CJL     12/05/74     IPTEXT     SCOPE 3.4 FEATURE 
L393     ***
FEAT51BD7 UPDATE C.NRBR IN WORD 21 AFTER RECONFIGURATION (EST)
          RPM  07/31/74  CONTROL
 FEAT51BB6 THIS CODE ADDS AN M.ICE FUNCTION (EX.TAT)
     JRL  07/05/74   PPTEXT 
 FEAT53DB1 2VJCOM CHANGE - DELETE REFERENCE TO IP.CC7 AND DISSALLOW 
          A CP76 AND CP70 PARAMETERS (DROP SUPPORT - USE STC70 AND STC76
          LEW    74/07/31    2VJCOM 
  
FEAT65B   SYSTEM CONTROL POINT
          TWO NEW SEGMENTS ADDED TO CPMTR  -  SSCSEG AND SSFSEG 
          A NEW TABLE IN CMR  -  T.SSCT 
          MTR MODIFIED FOR -HUNG IN AUTORCL- ERROR DETECTION
          SUBSYSTEM ACTIVITY COUNT ADDED TO BYTE 3 OF W.CPSR
          RLM    74/09/18          CCPMTR,CMR,MTR,CMRDIR
FEAT65BA  CHANGES FOR EXISTING TEXTS
          RLM    74/09/18          PPSYS,CMRTEXT
SSYS      NEW COMMON DECK FOR SYSTEM CTL PT DEFINITIONS 
          RLM    74/09/18          SSYS 
SSYTEXT   NEW SYSTEM TEXT FOR SYSTEM CTL PT DEFINITIONS 
          RLM    74/09/18          SSYTEXT
SSC       PP PROGRAM TO SUPPLEMENT SSCSEG 
          RLM    74/09/18          SSC
SSF       PP PROGRAM TO SUPPLEMENT SSFSEG 
          RLM    74/09/18          SSF
 FEAT54C48     SINGLE PFM I/L CODE FOR PPTEXT 
               JCL     08/19/74     PPTEXT
FEAT65B   BETTER FIELD LENGTH CHECKS FOR SSF FUNCTIONS. 
          SET THE COMPLETBIT ON SF.EXIT FUNCTIONS.
          RLM    74/11/04          SSF,CCPMTR,SSYS
FEAT51BN1 DSD FIX TO USE SINGLE CELL FOR T.IDT INSTEAD OF THE OLD TWO.
          DAD        10/15/74      DSD
  
L397     ***
 NW120B   DSD MODIFICATION FOR INDIVIDUAL LOAD/DROP OF INTERCOME DRIVERS
          VMA    10/11/74    DSD
 NW120E  CHANGES TO PPSYS TO SUPPORT INTERCOM INDIVIDUAL LOAD/DROP
   PRP   10/22/74   PPSYS 
E023A     MODIFIES 1SI AND SSH IN SCOPEPL1A 
                 MODIFIES 1SI TO USE A GENERALISED FILE PROCESSING
                 METHOD FOR MUJ FILES, STAGING PF FILES AND SPOT DAYFILE
                 MODIFIES SSH TO USE FILE IDENTIFIER 0401B 0402B AND 040
                 GW     11/1/74     1SI SSH 
 FEAT51C40       1SI SET UP MST ORDINAL INCORRECTLY FOR INTERCOM JOBS 
                 GW  74/10/23    1SI
FEAT69    MODS TO DSD OFFUU. COMMAND TO CALL 1IT IF UU IS EST OF MTS
          DAD      11/13/74        DSD
  
FEAT69  3IE,3IR,3IW WERE REWRITTEN TO CONFORM TO PROPOSED REVISION C
   OF THE MAGNETIC TAPE ERROR RECOVERY STANDARD.  COMFCN WAS REWRITTEN
  TO HANDLE THE ERROR CODES OF THE BC DETAILED STATUS FOR 3IE,3IR,3IW.
  THE UTILITIES OF 1IT WERE UPDATED TO CONFORM TO THE LASTEST CHANNEL 
  PHILOSOPHY.  3IM WAS UPDATED TO INCLUDE THE NEW RECOVERY ERROR
  MESSAGES.  3IC AND 3IF WERE UPDATED TO CONFORM TO THE NEW SYSTEM
  ERROR PHILOSOPHY.  2IL WAS UPDATED TO CONFORM TO COMFCN.
          WAF   12/01/74   1IT,2IL,3IC,3IE,3IF,3IR,3IW
  THIS FEATURE SHOULD BE RUN USING THE VERSION AO5 OF THE BC FIRMWARE.
FEAT69AA  INSURE UNLOAD AT END OF JOB TIME AND FIX CUMULATIVE STATUS
  01/13/75  BRJ  3IC
FEAT69AB  IMPROVE CONTROL OVER 1IT LISTING
          01/15/75  BRJ  1IT
FEAT69AC  PREVENT HANG CAUSED BY PSR CONFLICT WITH FEAT69 
 01/20/75  BRJ  3II 
 FEAT100BA ADDS SYMBOL C.JCAFL TO PPSYS FOR ANTICIPATED FIELD LENGTH. 
          DAD      10/31/74        PPSYS
FEAT100BC FIELD LENGTH ANTICIPATION  -  SECOND PHASE OF THE SCHEDULER 
          IMPROVEMENT PROJECT.  INTRODUCES CODE IN SCHEDULER AND DSD TO 
          ALLOW A PART OF CM TO BE REFUSED TO SOME JOB TYPES TO ALLOW 
          EASIER ACCESS TO OTHERS WITH FEWER SWAP OUTS. 
          DAD      11/31/74        CMMGR
 FEAT100BD  FIELD LENGTH ANTICIPATION MODS TO DSD - S DISPLAY 
          DAD      10/31/74        DSD
FEAT100BE  MODS TO 1IB FOR FIELD LENGTH ANTICIPATION- SCHEDULER IMPROV
          DAD    11/30/74    1IB
FEAT100BF  ANTICIPATED FIELD LENGTH MODS TO SCHCOM
           DAD   12/12/74    SCHCOM 
FEAT100BG  ANTICIPATED FIELD LENGTH MODS TO 1RN FOR 1IB BIT IN JCA. 
           DAD     12/12/74        1RN
L401     ***
SC40971 
    CODE TO 1MH WHICH CAUSES THE PROGRAM 6PD TO BE LOADED AT 6000B IN 
    1MH-S PP IN ORDER TO ISSUE PRE-DAYFILE MESSAGES TO PRE-ABORTED
    JOBS (TAPE STAGING ON, S.PREA = 1, JOB REQUESTS TAPES BUT SUPPLIES
    NO VSN INFORMATION.)  SC40971A PUTS OV.6PD SYMBOL IN PPSYS. 
    A NEW PP PROGRAM, 6PD IS ADDED TO THE PP LIBRARY. IT IS CALLED BY 
    1MH AS DESCRIBED ABOVE. 
10/22/74  JW OLVER  1MH  6PD
SC40971A
    OV.6PD INSERTED INTO PPSYS AS A SYMBOL TO BE USED WHEN CALLING 6PD. 
10/22/74  JW OLVER  PPSYS 
 SC41966  DEADSTART RECOVERY A OR B WITH ECS LIBRARY CAUSES A SYSTEM
          TROUBLE.
          SW     10/02/75          ECS, RACDAC
         SC42086A  REMOVES UNNECESSARY RESERVATION OF THE FNT 
                   PSEUDO CHANNEL.
                   BRH             1/23/75          NSV 
SC42148   REMOVAL OF THE MODEL MICRO FROM ACTCOM
  
          JSW    2/26/75
  
          SC42444  INSURES THAT *STS* PROCESSES ONLY THOSE FILES THAT 
                   RESIDE ON ROTATING MASS STORAGE--THUS AVOIDING 
                   POSSIBLE HANGS AND  FALSE ERRORS.  ALSO, CORRECTS
                   PROBLEM OF PREMATURE RELEASE OF FL ACCESS. 
                   BRH             2/3/75           STS 
          SC42445  RESOLVES THE AMBIGUITY--AND THE CONSEQUENT POTENTIAL 
                   WRAP-AROUND OF PP MEMORY--CAUSED BY THE CONTRA-
                   DICTORY TWO SENSES OF THE USAGE OF THE SYMBOL *END*. 
                   ALSO, RESOLVES A MINOR DOCUMENTATION ERROR.
                   BRH             2/3/75           STS 
          SC42483  RESOLVES THE REQUEST CARD-LABEL CARD PARAMETER 
                   CONFLICT PREVIOUSLY NOT HANDLED PROPERLY WHEN
                   THE REQUEST CARD SPECIFIED 9-TK AND DESIGNATED 
                   THE DENSITY WHILE THE LABEL CARD (WHICH FOLLOWED)
                   OMITTED THE DENSITY. 
                   BRH             2/20/75          LABEL 
SC42922B  CORRECT CODE IN ADDEOR SUBROUTINE TO FORMAT EOR AND EOF 
          LEVEL NUMBERS.
          HH     75/02/28    2ID,1IT
  
          SC43017  INSURES THAT BYTE *C.TFLGS+1* IN THE *T.TAPES* 
                   TABLE IS PROPERLY RESET FOLLOWING STATUSING WITH 
                   BIT *S.SCUL* SET IN *IP.TSG*.
                   BRH             2/5/75           1TS 
SC43061   ALLOWS 1WS TO ASSEMBLE WITH FEAT78 BUT CONTROLLED BACKSPACE 
          OFF-*NOT A RECOMMENDED PRACTICE*
          02/15/75  BRJ  1WS
SC43069   ALLOWS 1MT TO USE A 6684 WITHOUT CRASHING 
          02/15/75  BRJ  1MT
 SC43230B  FIX BUG IN SC43230 AND ADD FE MNEMONIC TO DSLCOM TABLE 
    PRP  2/28/75
SC43339   CORRECT CODE IN 3IV TO NOT RETURN TO 3IP IF SKIP COUNT IS 
          ZERO.  3IP DOES NOT KNOW IF INITIAL SKIP CALL OR IF RETURN
          FROM 3IV.  A ZERO SKIP COUNT DEFAULTS TO A ONE. 
          HH     75/02/12    3IV
  
SC43523   MAKES READ AND WRITE CHECKSUMMING IDENTICAL 
          02/15/75  BRJ  1NW,1WS,1WI,1W9,1P1,1P3,1P4
SC43552   CALL SCHEDULER ON EVERY M.SCH FUNCTION
          RLM       74/11/12       MTR
SC43554   IB PARAMETER WILL WORK WITH L TAPES 
          02/15/75  BRJ  1MT
 SC43611  FIX 1TJ AND 1IB TO CORRECTLY HANDLE DEPENDCY COUNTS,
          APF ORD-S, AND MST ORDINALS.
          JYY    02/03/75   1TJ/1IB 
SC43619   CORRECT 4LC CODE AROUND SUBROUTINE CHKEOS 
          1/17/75  BRJ  4LB,4LC 
 SC43621A MODIFICATION CORRESPONDING TO ORIGINAL PSR WAS NOT MADE 
          IN ROUTINE CHKSPAC. 
          SW     02/28/75          RACDAC/CHKSPAC 
SC43662   CHECK FOR DAYFILE MESSAGES LONGER THAN 6 CM WORDS 
          RLM    74/12/04          MTR
SC43682A  PREVENT DELAY STACK CONFLICT
          03/17/75  BRJ  CIO,1IT
SC43688   CORRECT BAD CODE IN SETTING PRU COUNT NEGATIVE AND CALL 
          R.RAFL BEFORE READING UP FET FIELDS.
          HH     75/02/01    3IF
  
SC43801   ALLOW STORAGE THAT IS RESERVED FOR POSITIVE FL EXTENSION TO 
          BE ASSIGNED TO RBT STORAGE
          RLM    12/30/74          MTR
 SC43820  CORRECT SHIFT COUNT FROM JDT JOBCARD PRIORITY TO OUTPUT 
          FILE PRIORITY.
          JYY    01/23/75    6RD
 SC43837  FIX CARD COUNT CONVERSION SUBROUTINE
          JYY    01/23/75    6RD
SC43844   DONT RECALL SCHEDULER IMMEDIATELY AFTER IT COMPLETES. 
          RLM    75/01/02          MTR
SC43869   CODE 3IF TO SET REEL NO TO ONE IN FET OR XL BUFFER IF 
          CREATING A NEW FILE.  REEL NO-S ARE FILE ORIENTED.
          HH     75/01/07    3IF
  
SC43943   1WI WILL NOW CALCULATE THE CHECKSUM CORRECTLY ON SHORT BLKS 
          02/15/75  BRJ  1WI
 SC43943A PSR SC43943 DESTROYS THE COMMUNICATION OF A BADOAM
          TO 1P1. 
          SP     75/3/18     1WI
 SC43976  FIX 6RD TO INITALIZE D.PPONE TO 1.
          JYY    01/27/75    6RD
 SC43979  MODIFIES 1IB,1SI,1SO TO USE M.KILL RATHER THAN 77B
          GW       1/31/74       1IB,1SI,1SO
 SC43986  CORRECT DSLCOM TO CONFORM TO DOCUMENTATION
          PNB JAN 75
SC43993   REMOVE CODE IN 4LB TO JUMP TO RESET CODE IF A TAPE MARK IS
          READ.  THIS FIXES PROBLEM OF READING Z-LABELED TAPES. 
          HH     75/18/02    4LB
  
SC44019   ACTIVATES FEAT78 AND ENHANCES DOCUMENTATION IN 60X/65X DRIVERS
          02/15/75  BRJ  REQUEST,LABEL,1P3,1P1,1P2,1NR,1WS,1NW,REQ,4LC
                                   4LB,1MT,1P4,1WI,1NO,1N2,1N3,1R2,1R3
                                   1TF,8T3,2TB,1RT,1RS,1W9,1C9,1R9,6WM
 SC44031  1P2 IS NOT PADDING THE 9TH CHARACTER BEFORE A LINE TERMINA- 
          TER CORRECTLY.
          SP     2/4/75      1P2
SC44070  FIXES L TAPE READ WITH DEFAULT MLRS
          02/19/75  BRJ  1IT
SC44094   FIXES FEAT11 PROBLEM IN CHOP MACRO WITH IP.NTCN = 1 
          02/25/75   BRJ  TPCOMD
 SC44101A REGISTER A6 IS NOT RESERVED IN ECS ROUTINES.
          SW     03/21/75          CMR, ECSSUB AND CMRTEXT/ECSDEF 
                                   (AFFECTING ECS, RACDAC AND ECSSUB) 
 SC44127  REQUEST ABORTS WITH MEM ARG ERROR WHEN RFL= IS A
          MULTIPLE OF 100B. 
          SP     75/02/21          REQUEST
 SC44142  PRU INDEX OF ECS RESIDENT FILE IS INCORRECT IF A RECORD 
          OF A LENGTH OF EXACT MULTIPLE OF 100B IS INVOLVED.
          SW     02/25/75          ECS/MOVEIN 
 SC44229  ECLINK CHANGE FOR MISSING CODE UNDER DEFAULT
          INSTALLATION PARAMETERS.
          MDD    75/03/18    ECLINK 
  
 SC44261  MODIFIES SCHEDULER TO CLEAR REQUEST FOR JOBS WITH WAIT FOR
          INTERCOM ACTION STATUS RATHER THAN HANGING....
          GW       3/20/75       MMGR 
FEAT69AD WILL STOP 1EJ FROM CALLING 1IT BACK TO WRITE TRAILER LABELS
WHEN A SYSTEM ERROR OCCURS. 
WAF       1/21/75            3IE,3IR,3IW
FEAT69AE  CODE NOTBUSY SUBROUTINE IN 2IL TO RE-RESERVE PREVIOUSLY 
          HELD CHANNEL.  THIS WAS A PROBLEM ON DUAL CHANNEL SYSTEMS.
          HH     75/02/25    2IL
  
3II LOADS AT 1000B CAUSING SYSTEM ABORT ON SOME L-TAPE REQUESTS.
BRJ    1/29/75    3II 
3IR WAS CLEARING LEVEL NUNBER WHEN LABEL PROCESSING 
WAF    1/29/75    3IR 
INCREASE DEAD MAN TIMER FOR DETAILED STATUS TO 1/2 SECONDS. 
   WAF   2/3/75   1IT 
FEAT100BJ  FIXES A BUG AND A POTENTIAL BUG IN FEAT100B CODE.
           DAD     2/10/74         CMMGR
FEAT100BK  PPSYS FIX TO GO WITH FEAT100BJ 
           DAD    02/19/75         PPSYS
FEAT100BY  TEXT CHANGES FOR FEAT100BX 
          RLM    75/02/05          PPSYS,SCHCOM,CMRDEF,CMRTEXT
L401     ***
HSTRY1A CONTAINS THE HISTORY OF FEATURES
        THAT ARE LACKING A HISTORY
        JDV  11/05/74  HISTORY
FEAT51B74 THIS MOD IS FOR PL1A
          THIS MOD DEFINES SOME BITS IN THE MST AND DDT 
          VMS  05/23/74  PPSYS
FEAT51B32 THIS CODE IS FOR SCOPE 3.4 ON PL1A
          THIS CODE IS DEPENDENT ON FEAT51B07.
          THIS CODE FIXES DSD FOR NEW CMR TABLES AND CLEANS HOUSE SOME
          DAD  04/16/74  DSD
FEAT51B69 THIS CODE IS FOR SCOPE 3.4 ON PL1A
                 THIS CODE PROCESS THE CM INDEPENDENT RBT WORD PAIRS
          YWH  JR  05/30/74  IRCP 
FEAT51B11 THIS CODE IS FOR THE NEW D.S. MATRIX OPTIONS
          PRP  03/07/74   PPTEXT
FEAT51B08 THIS CODE IS FOR THE NEW EST MODUAL 
          PRP  03/07/74  DSLCOM 
FEAT51B12 THIS CODE IS FOR THE NEW D.S. MATRIX OPTIONS
          PRP  03/07/74  DSLCOM 
FEAT51B18 THIS CODE IS FOR SCOPE 3.4 ON PL1A
          ADDS FASTRAIN MNEMONICS TO DEVCLASS MACRO IN DSLCOM 
          PRP  04/15/74   DSLCOM
FEAT51B09 THIS CODE DELETES THE OLD EST MODUAL
          PRP  03/07/74  CONTROL
FEAT51B13 THIS CODE IS FOR THE NEW D.S. MATRIX OPTIONS
          PRP  03/07/74  CONTROL
FEAT51B62  1. FIXES PRELOADING PROBLEM
           2. FIXES XJ TEST TO NOT DESTROY RMS FLAW LIST
          JBC  05/15/74  DSLCOM 
FEAT51B10 THIS CODE IS THE NEW EST MODUAL 
          PRP  03/07/74   IRCP
FEAT51B15 THIS CODE IS FOR SCOPE 3.4 ON PL1A
          MODIFIES EST MODULE AS FOLLOWS- 
          A) NEW PARAMETER PRE TO TOGGLE PREALLOCATION BIT IN DDT 
          B) DISPLAY RMS PREALLOCATION INDICATOR
          C) INITIALIZE DDT ENTRY WITH PREALLOCATION ON 
          PRP  04/15/74    IRCP 
FEAT51B16 THIS CODE IS FOR SCOPE PL1A 
          INTRODUCES THE SYMBOL LE.DAT SO THAT EST MAY RUN WITH CMR-S 
          CONTAINING 1 OR 3 WORD DAT ENTRIES. 
          PRP  04/15/74   IRCP
FEAT51B73 CORRECTION TO THE RECONFIGURATION MODULE, EST.
          A) RIGHT JUSTIFY VSN WITH DISPLAY CODE FILL.
          B) CORRECT N.FOOT AND N.VDDT DURING CLEAN UP PROCESS. 
          C) CORRECT ERROR WHICH CAUSES DST TO BE ZEROED. 
          PRP  05/24/74   IRCP
FEAT51B23 THIS CODE IS FOR SCOPE 3.4 ON PL1 
          THIS CODE MODIFIES TDS TO CALL GENDJ
          BJP   04/15/74  TDS 
FEAT51B70 THIS CODE IS FOR SCOPE 3.4 ON PL1A
                 THIS CODE MAKES TDS WAIT FOR GENDJ TO COMPLETE.
          BJP  05/23/74  TDS
FEAT51B14 THIS CODE IS FOR THE NEW D.S. MATRIX OPTIONS
          PRP  03/07/74  STL
FEAT51B29 THIS CODE REPLACES THE EDST,RBR,FLAW,3000,AND 6000 MACROS.
          JFR  11/21/73  CMR
FEAT51B67 THIS CODE IS FOR SCOPE 3.4 ON PL1A
          THIS CODE GUARANTEES 4 BYTES IN DPT FOR DUAL ACCESS 
          INTERLOCK STACK REQUESTS
          YWH  05/15/74  CMR
FEAT51B84 THIS CODE PROCESSES PREALLOC IN EST MACRO 
          RPM  06/11/74  CMR
 FEAT51BJ0  REMOVES FAMILY PACK CODE FROM 1BT.
            DAD   9/10/74    1BT
 FEAT51BJ1  PULLS FAMILY PACK CODE FROM 1MH 
            DAD   9/10/74   1MH 
 FEAT51B86       DEFINE S.RBTSYS = 2 ,  S.RBTQ = 3
                 YWH   74/06/18    PPSYS
 FEAT51BI5 RECONFIGURED SYSTEM FLAG IN MST
         JRL  10/15/74  PPTEXT
FEAT51BS8 MODS FOR SPLITING OFFLINE EVICT FROM 1PK TO 1EV 
          SKH    11/9/74     PPSYS
 FEAT51BC3   INTERFACE DSD FEAT51 MODS TO FEAT58 MODS 
             DAD    74/07/10      DSD 
  
 FEAT51BH9  ADDS DSD N.ASSIGN,RMS. COMMAND - PULLS CODE FOR 
            FAMILY PACKS FROM DSD AND MORE CLEANING.
            DAD     9/10/74        DSD
 FEAT51BH8  FIXES A BUG IN DSD CAUSED BY FEAT51BC3. 
            DAD   9/10/74        DSD
FEAT51BK6 REMOVES LAST DSD REFERENCES TO IP.DPAK
          DAD    10/3/74     DSD
  
          DAD      10/3/74         DSD
FEAT51BS4  FIXES FOR E DISPLAY AND IDLE COMMAND PLUS MORE CLEAN-UP. 
           DAD      11/12/74       DSD
FEAT51BZ9  GETS SPACE IN DSD SO THAT IT WILL ASSEMBLE.
           DAD   1/13/75     DSD
FEAT51BX2  FIXES FOR DSD E AND V DISPLAYS.
           DAD   12/31/74    DSD
FEAT51BAO  MINOR FIXES TO 8XD AND 8DV PLUS SOME SYMBOLS CHANGES 
           DAD      1/20/75        DSD
FEAT51BAQ  FIX BUG INTRODUCED BY FEAT51BAO
           DAD     1/21/75         DSD
FEAT51BAY  FIXES IDLE AND  DUO COMMANDS PLUS MINOR BUGS.
           DAD     02/02/75        DSD
FEAT51BB9 NEW RBT CHAIN FORMAT
          TLD       74/07/09       4ES
FEAT51BQ5  CODE CORRECTS BUGS IN 4ES
           TLD  10/24/74  4ES 
FEAT51BU3 CORRECTION FOR SCOPE 3.4.3 PL1A 
          FIXS A BUG IN 4ES RANDOM I/O
          TLD    74/11/20          4ES
FEAT51BX7 CORRECTIVE CODE FOR PL1A MMF 4ES
          PROBLEM WAS 4ES NOT WRITING EOR BEFORE EOF
          TLD    74/12/17    4ES
FEAT51BC0 NEW RBT CHAIN FORMAT
          TLD       74/07/09       4DO
FEAT51BC1 NEW RBT CHAIN FORMAT
          TLD       74/07/09       1OP
FEAT51BC2 NEW RBT CHAIN FORMAT
          TLD       74/07/09       1CL
FEAT51BK2 REMOVES IP.DPAK AND IP.DSP FROM IPARAMS 
          DAD    10/3/74     IPARAMS
  
FEAT51BK3 REMOVE FAMILY PACK CODE FROM 1EJ. 
          DAD/JYY   10/3/74        1EJ
  
FEAT51BJ2 1RN IS MODIFIED TO BYPASS THE 1PK CALL IF DEADSTART IS
          IN PROGRESS.
          BJP  9/10/74  1RN 
 FEAT51BBM  THIS CODE ALLOWS 1RN TO CALL 1PK BEFORE DEADSTART 
            POST-PROCESSING COMPLETES FOR DEADSTART RECOVERY. 
            BJP  02/19/75  1RN
FEAT51BK5 REMOVES OV.1DA,OV.5DA,OV.EKG FROM PPTEXT. 
          DAD    10/3/74           PPSYS
  
FXTEXT  S.DDRLB = 10D WAS LEFT OUT
        JDV   10/24/74  PPSYS 
 FEAT51BC8       INSERTS BUFFER DEFINITIONS FOR IRCP LABEL PROCESSING 
                 JBC   07/23/74   DSLCOM
 FEAT51BL1  DEFINE DAM BUFFER IN DSLCOM 
   PRP  9/23/74   DSLCOM
 FEAT51BG6       UPWARD PF COMPATIBILITY
                 JBC   09/01/74   DSLCOM
 FEAT51BL5 REMOVE 844 FORMATTING SYMBOLS
 PRP 9/27/74  DSLCOM
 FEAT51BE3       REDEFINES SIZE OF IRCP 
                 JBC   08/09/74   DSLCOM
 FEAT51BP0  CHANGE D/S MATRIX DEFAULT VALUES
   PRP   10/21/74   DSLCOM
 FEAT51BT2       DEADSTART MODS FOR 49K MACHINE 
*                JBC  11/18/74  DSLCOM
 FEAT51BW5       DESCRIPTION OF CM USED BY DEADSTART
                 JBC  12/13/74  DSLCOM
 FEAT51BU4  DEADSTART RECONFIGURATION FIXES 
     PRP   12/2/74  IRCP
  FEAT51BBU   ADD MNEMONICS TO DSLCOM MACRO 
    PRP   2/28/75 
   FEAT51BBV  FIX BUG IN STL
      PRP   2/28/75 
 51BG5    FIX GENDJ SO IT DOESNT IMMEDIATELY BOMB WITH *GENDJ BOMB,TABLE
              JSB   08/19/74   GENDJ
FEAT51BV5 
FEAT51BV5 TEACH CSCCOM THAT ITS IR ADDRESS IS IN D.PPIR NOT D.PPIRB 
          SKH    12/05/74    CSCCOM 
FEAT51BV9 CSCCOM SHOULD RETURN OFFSET NOT CARDNAL 
          SKH    12/09/74    CSCCOM 
FEAT51BK4 REMOVES FAMILY PACK CODE FROM 1AJ.
          JYY/DAD        10/3/74     1AJ
  
FEAT51BN5 USE NEW M.ICE FUNCTION (EX.RBT) 
          SKH    10/18/74          1AJ
FEAT51BP3 USE NEW M.ICE FUNCTION, EX.RBT
FEAT51BP4 USE NEW M.ICE FUNCTION, EX.RBT
 FEAT51BN9  ADD EX.RBT M.ICE FUNCTION TO QAC
            WLK  10-21-74  QAC
FEAT51BN8 SUPPORT MODS FOR NEW CSCCOM 
          SKH    10/18/74          STS
FEAT51BN7 SUPPORT MODS FOR NEW CSCCOM 
          SKH    10/18/74          6RD
 FEAT75C  TO IMPLEMENT SYSTEM CIRCULAR BUFFERS IN PLACE OF SYSTEM DOUBLE
          BUFFERS FOR ECS I/O BUFFERING AND LOADING OF ECS RESIDENT 
          PP ROUTINES AND TO ADD CP CODED 4ES FOR ISSUING OF STACK
          REQUESTS WITHOUT PP CALLS.
          SW     12/02/74    PPSYS, ECSCOM, CMRTEXT, CMR, STL, MTR, DSD,
                             CMRDIR, LINKCMR, CPMTR, ECS, ECSSUB, CPCIO 
 FEAT75C1 CORRECTIONS TO FEAT75C
          SW     01/15/75          CPMTR, ECS, CPCIO, MTR, 1SP
 FEAT75C2 CORRECTIONS TO FEAT75C
          SW     01/23/75          CPMTR, ECS 
FEAT75C3  CORRECTIONS TO CP4ES FOR REWRITE OF SEQUESNTIOL FILE
          SW     02/04/75          CPCIO/CP4ES
 FEAT75C4 CORRECTION TO ECS IO BUFFERING READ DRIVER
          SW     02/07/75          ECS/GETRAND
 FEAT75C5 DEFAULT ECSBUF (PRU=4) ADDED TO ECDATA, 
          PLBECS CORRECTED FOR SMALL ECSBUF, ETC. 
          SW     02/27/75          ECDATA, LINKCMR, CPMTR, ECS
 F51C1IB  FIX 1IB TO SET THE QUEUE DEVICE BIT IN A JOBS DAYFILE 
          FNT IF IT DOES NOT HAVE A PRE-DAYFILE.
          JYY    01/14/75    1IB
FEAT51C52 FIX 1AJ TO PROCESS SETNAME CONTROL CARDS CORRECTLY FOR MMF. 
          DEFAULTS TO PF SET AT CP0 IF NONE MOUNTED AT CP.
          JYY    74/11/08    1AJ
  FEAT51C23  MULTI-MAINFRAME MODS FOR CIO.  DO NOT CALL 1PK.
          TJW  10/74     CIO
 FEAT51C63 REMOVE A 1PK CALL FROM CIO 
          TJW  12/74  CIO 
  FEAT51C22  MODIFY 3DO TO DO INITIAL AND OVERFLOW DEVICE ASSIGNMENT
             VIA THE MMF ALGORITHIM.
          TJW  10/74  3DO 
FEAT51BS9 MODS FOR SPLITING OFFLINE EVICT FROM 1PK TO 1EV 
          SKH    11/9/74     3DO
 FEAT51C62 FIX VARIOUS PROBLEMS IN 3DO. 
          TJW  12/74  3DO 
 FEAT51C64  FIX 3DO BUGS. 
          TJW  12/74  3DO 
FEAT51C91 FIX A NUMBER OF OVERFLOW PROBLEMS 
          TJW  02/14/75  3DO
FEAT51C98 CORRECT VARIOUS 3DO MALFUNCTIONS
          PAP    75/02/25          3DO
FEAT51C99 MOVE DECISION TO CALL 1PK BEFORE SPACE ASSIGNEMENT
FEAT51C99 COMPARE NEW DEVICE FOUND TO LAST BEST DEVICE TO RETAIN
FEAT51C99 BEST CHOICE.
FEAT51C99 CORRECTLY PROCESS REASSIGNEMENT WHEN FIRST SPACE ASSIGNEMENT
FEAT51C99 UNSUCCESSFUL .
FEAT51C99 MAKE OV PARAMETER ON REQUEST CARD WORK
FEAT51C99 ALL THAT AND COUNTLESS FIXES
          PAP    75/03/03          3DO
FEAT51BQ1  INTRODUCES EX.RBT
           SW 10/24/74  CMR 
 FEAT51C18  REQUEST CORRECTION TO FEAT51C01 - Q BIT.
            SP        08/30/74
 FEAT51C37  REQUEST MODS FOR REMOVING FAMILY PACKS AND EST ORDINAL. 
            SP   10/08/74    REQUEST
 FEAT51C89 REQ DOES NOT DISPLAY SD IF Q IS ALSO SET IN THE MACRO CALL.
           REQ IS TOO LARGE SO OVERLAYS 3MG AND 1RQ WERE DELETED AND
           OVERLAYS 3MN AND 6MN WERE ADDED. 
           SP    75/02/04    REQ
 FEAT51C20  6IM MODS FOR Q AND SD DEVICE PROCESSING 
            SP    08/30/74
 FEAT51C29 6IM MODS TO REMOVE PK AND EST ORDINAL FROM REQUEST PROCESS-
           ING. 
           SP    10/23/74    6IM
 FEAT51C47  6IM MODS TO MAKE FEAT51C WORK WHEN FEAT78 IS IMPLEMENTED. 
            SP   11/6/74     REQ
 FEAT51C71  THIS CODE IS MMF AND REPLACES PSR SC43855 ISSUED
            AGAINST SCOPE 3.4.3.
            SP   74/12/19    6IM
 FEAT51C42  DELETE P.RMS AND C.RMS FROM TEXT. 
             JSB   10/27/74   PPSYS 
FEAT51C78 PPSYS CHANGES FOR 4 WORD DAT
          RPM  01/15/75  PPSYS
 FEAT51C93  DELETION AND ADDITIONS OF OVERLAY NAMES FOR REQ FOR 3.4.4.
            SP   75/02/18    REQ
   SP     75/02/18           REQ
FEAT51C43  FIX GENDJ TO ISSUE CORRECT MOUNT AND RELABEL ON NORMAL DS. 
             JSB   10/27/74   GENDJ 
 FEAT51C54  FIX GENDJ TO DO PROPER *RECOVER* CALL FOR 2ND-MF NORMAL 
          DEADSTARTS. 
             JSB   11/22/74   GENDJ 
 FEAT51C58  FIX GENDJ TO CALL RECOVER MODE=2 FOR 2ND MF ON SHARED SETS. 
             JSB   12/16/74  GENDJ
 FEAT51C59 FIX GENDJ TO DETECT ERROR FLAG RETURNED FROM RECOVER.
             JSB   12/16/74  GENDJ
FEAT51C72  FIX  GENDJ SO ALL JOBS IT GENERATES HAVE AN EXIT CARD AND
          PAUSE SO OPERATOR CAN VIEW THE JOB DAYFILE ON ERRORS. 
             JSB   01/06/75   GENDJ 
FEAT51C85  GENERATE THE RECOVER(MODE=5) JOB, SO THE MP PARAMETER HAS
          6 CHARACTERS, NOT 7.
             JSB   01/27/75   GENDJ 
FEAT51C60  FIX 1SO TO COMPUTE FILE LENGTH CORRECTLY FOR FL CHECK. 
              JSB   11/15/74   1SO
FEAT51C67 FSN IS A NEW PP HELPER THAT PLUGS THE RIGHT SET NAME IN AN FDB
          PAP    12/12/74    FSN,FMOCOM,PSNCOM
FEAT51C92 TEMPORARY TRAP CODE FOR STACK REQUEST INTERLOCK 
FEAT51C92 SHOULD BE PURGED LATER
          YWH    74/11/15    MTR
          PAP    75/02/06    MTR
FEAT54CF6 CODE FOR 1RN, FIXS A BAD JUMP CONDITION 
          TLD    75/01/15          1RN
SC40971B  CORRECTS WIPEOUT OF PJT WHEN STAGEON. ENTERED 
          RFG      3/27/75   1MH
FEAT51BCD  GETS SPACE IN DSD FOR 7000 MMF CODE
           DAD     03/28/75        DSD
FEAT51CA8 CORRECT DAM NUMBER COMPUTATION
          PAP    75/03/07          3DO
FEAT51CB0 USE LINK TYPE 301B FOR VSN ASSIGNMENT 
          TJW  02/15/75  3DO
FEAT51BC6 PREVENT CONNECTED FILE PROCESSING IN 1CL FROM CLOBBERING FNT
          PAP    75/03/18          1CL
FEAT51CB7 FIX 3DO DEVICE FULL PROCESSING , ERROR PROCESSING 
          PAP    75/03/18          3DO
 FEAT75C6 SCHEME OF CONVERSION OF PRU INDEX LIST FOR READLS FUNCTION
          IS MODIFIED TO MAKE IT FASTER.
          SW     03/18/75          SPM, CPCIO 
SC44239   PREVENTS 1MH FROM CLOBBERING ITSELF IF VSNLST FORMATTED 
          INCORRECTLY 
          RFG   03/17/75      1MH 
SC43920C  DONT SET THE Z BIT AT CTL PT ZERO 
          RLM    75/04/07          MTR
SC42193   REMOVE STEP QUEUE PROCESSING FROM MTR.
          RLM    75/02/21          MTR
          TURNING OFF CPU-A AT DEADSTART DOESNT WORK ON AN MXN SYSTEM 
              THIS CODE WAS ORIGINALLY INCLUDED IN SC42193A 
          RLM    75/04/10          MTR,STL
 SC40909  CORRECT MACRO NAME TO MATCH THE CONTROL CARD THAT DOES THE
          SAME THING.  OLD NAME WAS TRANSR; NEW NAME IS TRANSF. 
          PNB    MAR 75 
SC41116A    UJK CAN GENERATE AN ERRONEOUS UJN IF THE SYMBOL IS DEFINED
            TO A VALUE GREATER THAN (*+37B) 
          RLM    75/03/27          PPSYS
SC43256  NOTIFIES USER AND DISPLAYS TO OPERATOR THE DETECTION OF
         A *MARGINAL TAPE* CONDITION. 
         BRH                 3/4/75                 4LB 
SC43440  REPOSITIONS IP.C63, IP.C64.1, AND IP.C64.2 FROM THEIR
         PRESENT POSITION ABOVE TO A NEW POSITION BELOW THE AREA
         RESERVED FOR THE INSERTION OF *IPARAMS* MODIFICATIONS. 
         BRH                 2/26/75                IPARAMS 
SC43601  PREVENTS BLOCKS READ MESSAGE AFTER BLOCKS WRITTEN MESSAGE. 
         BRH                 3/4/75                 2TC 
SC43772   CODE 3IC TO CHECK FOR CLOSE/RETURN - RETURN FUNCTIONS.
          HH     75/03/10    3IC
  
SC43858  SUPRESS WRITING OLD IN POINTER IF READSKIP                     SC438584
  02/25/75  BRJ  3IM                                                    SC438585
SC43870   PRESERVE FET WORD7 ON RECOVERED READS                         SC438704
          02/25/75           BRJ  2IR,2IA,2IC                           SC438705
 SC44050  QAC MODIFICATION - THIS MOD CHANGES THE INPUT FILE SELECTION
          CRITERIA OF QAC SO THAT IT WILL ACCEPT AS QUALIFIERS INPUT
          TAPE JOBS BEING PREVIEWED (DISPOSITION CODE OF 6). IT ALSO
          DELETES SOME UNNECESSARY CODE FROM THE CODE USED FOR OUTPUT 
          FILE SELECTION. 
          WLK    02/05/75    QAC
SC44063   RESTORE SLAVE CHANNEL NUMBERS AFTER RECOVERY                  SC440634
          02/26/75  BRJ  2IA,2IB                                        SC440635
SC44132   ADD A CHECK FOR THE ERROR FLAG IN THE GSTS WAIT LOOP
          ALSO CLEAN UP THE DOCUMENTATION SOMEWHAT
          BRJ    04/05/75    1IT
 SC44182  1RN DOESN-T SAVE ENOUGH RBT SPACE 
          1RN  TJW  3/75
SC44184   NTXX MT HARDWARE ERROR IS NOT CLEAR- SHOULD 
          INDICATE NO END OF OP 
          03/06/75  BRJ  4LB,4LC
 SC44187  MODIFIES 1SI TO DELETE FNTS CORRECTLY FOR FILE TYPE 0402B 
 GW       3/6/75       1SI
SC44195   CODE 3IC TO CHECK FOR EOV LABELS AND RETURN THEM TO USERS 
          XL BUFFER IF APPLICABLE.
          HH     75/03/05    3IC
  
SC44198   PREVENT HANG ON A DOWN CHANNEL WHEN TAKING CUMULATIVE STATUS  000120
          BRJ    04/05/75    3IC                                        000130
  
  
  
SC44226   CODE 3II FUNCTION TABLE TO INCLUDE A DEFAULT CLOSE FLAG 
          FOR OPEN/REWIND FUNCTIONS.
          HH     75/03/12    3II
  
SC44232    ADDS TERMINATING PERIODS TO FC AND EC COMMANDS.
           DAD     03/28/75        DSD
SC44237   CORRECT CODE IN 1MF TO NOT BACKSPACE IF NOT AT END OF SET.
          CODE 3IC TO RESET LCALL FLAG AFTER RETURN FROM 3IL. 
          HH     75/04/10    1MF,3IC
  
 SC44243  1NS CHANGE - ERROR IN SC43636A. SPOT OUTPUT FILES MAY 
          BE LEFT IN THE OUTPUT QUEUE AFTER A STATION IS DROPPED. 
          LEW    75/03/23    1NS
  
 SC44263  SC44263 FIXES SSH TO RETURN AN ERROR WHEN ATTEMPTING          00
          TO LOCKOUT A JOB ALREADY LOCKED.                              000130
          CRN    03/05/75          SSH                                  000150
 SC44277  1CS DOES NOT CALCULATE THE CKSUM OF LGR.                            30
          SP     3/25/75           1CS                                        40
SC44279   CHANGE DEFINITION OF MT AND NT EST ENTRIES USED BY
           REST (RECOVERY EST)
      PRP    3/12/75   IRCP 
  
SC44279   ALLOWS THE 1IT CALLED BY 1RN TO STATUS ASSIGNED TAPE
          UNITS FOR 3IV DURING A REEL SWAP. 
          BRJ    04/11/75    3IV,1IT,3IO,3IM,1RN
  
SC44279A  DOCUMENT SPECIAL 3IV STATUS BIT 
          BRJ    04/11/75    PPTEXT 
  
SC44289   FIXES 7000 MMF BUGS IN MEMORY COMMAND AND U DISPLAY 
          DAD      03/19/75        DSD
 SC44294  FEAT11 CHANGED GOPROS SUBROUTINE SUCH THAT THE MESSAGE
          GO (NO RECHECK) IS ISSUED WHEN THE MESSAGE SHOULD BE
          GO OR RECHECK) AND THE OPPOSITE IS TRUE ALSO. 
          SP     75/3/19     TPCOMD    1R2
 SC44348  1RS DOES NOT CHECKSUM CONSISTENTLY.                                 30
          SP     3/25/75     1RS                                              40
 SC44426  THE FOLLOWING PP OVERLAY NAMES WERE NOT IN PPTEXT.
          SP     75/04/06    PPTEXT 
 SC44429  FEAT78 DID NOT PUT CHECKSUMMING OF LGR IN 1CR.
          SP     75/04/10    1CR
FEAT51CA6 FIX GENDJ, IN COOPERATION WITH FIX TO TDS, SO WE DONT START 
          ANY JOBS WITH OUTPUT, UNTIL TDS TELLS US 1QF IS COMPLETE BY 
          RESETING THE "CUEUP" FLAG TO ZERO.
             JSB   03/06/75   GENDJ 
FEAT51CC3 STOP RB ALLOCATION WHEN DEVICE TURNED OFF 
          PAP    75/04/01          SPM,ECDATA,CMR 
 FEAT75C7 FOR ECS I/O BUFFERING, CP AUTORECALL IS RELEASED BEFORE 
          FNT IS UPDATED AFTER FLUSH, RESULTING NEXT FLUSH MAY BE 
          INITIALIZED WITH OLD FNT INFORMATION. 
          SW     04/01/75          ECS/CBM,CBMEND AND 1SP 
SC40595A  MOD TO PPSYS MAKING IP.MFL A VALUE IN CMR 
          DAD    04/24/75    PPSYS
SC40595B  MOD TO MEM   MAKING IP.MFL A VALUE IN CMR 
          DAD    04/24/75    MEM
SC40595C  MOD TO  1AJ  MAKING IP.MFL A VALUE IN CMR 
          DAD    04/24/75    1AJ
SC40595E  MOD TO  1SO  MAKING IP.MFL A VALUE IN CMR 
          DAD    04/24/75    1SO
SC40595F  MOD TO  2VJCOM MAKING IP.MFL A VALUE IN CMR 
          DAD    04/24/75    2VJCOM 
SC44359   ADD RECALL MACRO TO CPSYS 
          JSW  4/10/75
  
 SC44385  1CT DOES NOT SAVE THE CHECKSUM OF THE LAST GOOD RECORD              30
          SP     3/25/75           1CT                                        40
SC44409   CORRECT CODE IN 3IC TO CHECK FOR EVICT FUNCTION IF PRU IS NEG.
          HH     75/04/08    3IC
  
 SC44431  FEAT78 DID NOT PUT CHECKSUMMING OF THE LGR IN 1C9.
          SP     4/8/75            1C9
 SC44460  IF LGR IS LESS THAN 64 BYTES,1R2 WILL NOT FIND IT.  LOCATE LGR      30
          DOES NOT WORK ON 7 TRACK BCD TAPES.                                 40
          SP     75/04/16                                                     50
 SC44460A 1RS DOES NOT INITIALIZE THE CHECKSUM OF LGR CORRECTLY.            3630
          SP     75/04/16    1RS                                            3640
 SC44460B 1RV IS PUTTING OUT THE WRONG MESSAGE FOR A DROP READY.            4120
          SP     75/04/16    1RV                                            4130
 SC44460C 1NR IS NOT INITIALIZING THE LGR AND CHECKSUM CORRECTLY.           4240
          SP     75/04/16    1NR                                            4250
 SC44460D 1R9 IS NOT INITIALIZING THE LGR LENGTH AND CHECKSUM CORRECTLY.    5010
          SP     75/04/16    1R9                                            5020
 SC44460E 1RT IS NOT INITIALIZING THE LGR LENGTH OR CHECKSUM CORRECTLY.     5660
          SP     75/04/16    1RT                                            5670
SC44473   CHECK FOR DATA EXCEEDS MLRS IN 66X L-TAPE READ DRIVER 
          BRJ    04/25/75    2IA
  
SC44483   FIXES BAD RETURN FROM 3IM WHEN IRRECOVERABLE ERASE ERROR
   WAF   APRIL 21,75  3IW 
  
SC44484   DSD FIX FOR KEYBOARD PROCESSING WITH IP.LINK = 0
          DAD    04/24/75    DSD
SC44498   DO NOT ABORT JOB IF ERROR CODE 30 (BACKING OVER LOAD POINT) 
          OCCURS AT THE WRONG DENSITY ON THE FIRST BLOCK ON TAPE
          IN READ RECOVERY FOR A LABEL DRIVER 
FEAT51CC7 PREVENT 3DO FROM WAITING ON ITS OWN MESSAGES IN RMSBUF
FEAT51CC7 ALLOW OVERFLOW ON ALLOCATION STYLE
          PAP    75/04/10          3DO
FEAT51CD4 MAKE 1SO SAVE THE MST ORDINAL OF THE SWAP FILE IN THE JDT 
          PAP    75/04/18          1SO
 FEAT54CK6  GENERAL CLEANUP OF PPSYS
 NW105P   DSD MOD FOR FRONT END- Q DISPLAY CONVERTS PSEUDO EST TO REAL
          DAD    04/22/75          DSD
NW105Y    DEFINE ADDRA MACRO AND P.AAZ
          RLM    75/02/26          PPSYS
SC43682B  PREVENTS A SYSTEM ERROR WHEN READING AN L TAPE ON 669 
          AND A DEFAULT OPEN HAS BEEN DONE
          BRJ    04/16/75    1IT
  
 SC44506  1RS IS DESTROYING THE LOWER 6 BITS OF THE FET EXTENTION ADD-
          RESS. 
          SP     75/04/22    1RS
 SC44506A 1CS OCCASIONALLY DESTROYS THE LOWER 6 BITS OF THE FET 
          EXTENTION ADDRESS.
          SP     74/04/28          1CS
FEAT54CL1 THIS CODE FOR 3.4.4 ON PLA. 
          SHARED RMS DEVICES ARE OFF AS DEFAULT WITHOUT 
          $SVL1A MODS ..
LU406    ***
 SC42464A FIX TO THE NEW CEJ.  CORRECT ERROR IF TAPE ON PP CHANNEL
          AND CARD READER ON CHANNEL 12.
          PNB LATE MAY 75 
SC44588   1TF OVERWRITES THE PP IF THE BUFFER FILLS 
          05/14/75   BRJ   1TF
  
LU406M   ***
FEAT51CF0 FIX ASSIGNEMENT BY VSN IN 3DO 
FEAT51CF0 FIX ZERO EOV PRU PROBLEM
          PAP    75/04/28          3DO
 FEAT51CF1 REQ DISPLAYS A BLANK VSN IF A VSN CARD IS FOLLOWED BY A
          REQUEST MACRO CALL. 
          SP     75/04/30          REQ
L410     ***
SC40595D  MOD TO  DSD  MAKING IP.MFL A VALUE IN CMR 
          DAD    04/24/75    DSD
 SC42075  1N2 DOES NOT CHECK FOR BLANK TAPE.
          SP     5/27/75     1N2
 SC42649  1R9 IS MAKING THE WRONG ENTRY IN THE C. E. ERROR FILE FOR 
          ON-THE-FLY-CORRECTIONS. 
          SP     5/06/75     1R9
 SC42853  CORRECT *LOC* TO NOT DESTROY *INPUT*. 
          SBJ    75/06/16    LOC                           PSR
  
SC43546   NEW CHANNEL REQUESTS TAKE PREFERENCE TO OUTSTANDING ONES. 
          THE .RCH INTERFACES BETWEEN MTR AND CPMTR ARE REVISED.
          RLM    75/06/16          MTR,CCPMTR,CMR 
 SC43553  1NW DOES NOT CHECK FOR STORAGE MOVES. 
          SP     06/10/75          1NW
 SC43617  2TB CAN DESTROY PART OF THE FET FILE NAME.
          SP     06/09/75    2TB
 SC43982  REQ IS DROPPING OUT WITH THE PAUSE BIT SET
          SP     06/24/75    REQ
 SC43982A 6IM IS DROPPING OUT WITH THE PAUSE BIT SET. 
          SP     06/24/75    6IM
 SC44212  REQ IS NOT SETTING THE PP INTERNAL CALL BIT 
          SP     75/22/05    REQ
SC44221   FIXES MEMORY DISPLAYS FOR ALL MACHINE SIZES 
          DAD    7/8/75      DSD-8DC
SC44459   SET RA STORAGE MOVE FLAG ONLY FOR REAL TIME JOBS. 
          ALSO CORRECTS ASSEMBLY ERROR CAUSED BY SC43801
            IF (IP.RTMTR .NE. 0)
          RLM       75/04/16       MTR
 SC44482  TOOBIG MACRO NO LONGER WORKS IN 1P2 DUE TO FEAT11 CHANGE. 
          SP     75/04/28    1P2                                            0900
 SC44482A TOOBIG MACRO DOES NOT WORK IN 1RT.                                0030
          SP     75/04/24    1RT                                            0040
 SC44482B TOOBIG MACRO DOES NOT WORK IN 1RS.                                  94
          SP     75/04/24    1RS                                              95
 SC44482C TOOBIG MACRO NO LONGER WORKS IN 1R9 DUE TO A FEAT11 CHANGE.       0120
          SP     75/04/28    1R9                                            0130
 SC44482D TOOBIG MACRO NO LONGER WORKS IN 1NR DUE TO FEAT11 CHANGE.         0230
          SP     75/04/28          1NR                                      0240
 SC44482E TOOBIG MACRO NO LONGER WORKS IN 1NO DUE TO A FEAT11 CHANGE.       0320
          SP     75/04/28          1NO                                      0330
 SC44482F TOOBIG MACRO NO LONGER WORKS IN 1N2 DUE TO A FEAT11 CHANGE.       0440
          SP     75/04/28    1N2                                            0450
 SC44482G TOOBIG MACRO NO LONGER WORKS IN 1N3 DUE TO A FEAT11 CHANGE.       0530
          SP     75/04/28    1N3                                            0540
 SC44482H TOOBIG MACRO NO LONGER WORKS IN 1R2.                              0620
          SP     75/04/28    1R2                                            0630
 SC44482I TOOBIG MACRO NO LONGER WORKS IN 1R3 DUE TO FEAT11 CHANGE.         0740
          SP     75/04/28    1R3                                            0750
SC44505   LENGTH CHECK OF 3IE,3IL,3IO,3IM,3IR,AND 3IW BY COMPASS
          THIS WILL DETERMINE OVERFLOW AT ASSEMBLY TIME 
  
 SC44506B PSR SC44506 CAUSES READN HEADERWORDS TO BE INCORRECT. 
          SP     75/06/05    1RS
 SC44511  FIX 1TJ TO ISSUE JOBCARD ERROR - ROUTING IGNORED
          MESSAGE IF ERROR FOUND AND CALLED BY DSP. 
          JYY    04/24/75    1TJ
 SC44512  IF A JOB IS AT A CONTROL POINT, JAC WILL SUBTRACT THE 
          CPU TIME USED SO FAR FROM THE CPU TIME LIMIT FIELD IN 
          THE C. P. A. AND RETURN IT TO THE CALLING PROG. 
                        JAC 
SC44540   CODE 3IF TO PROCESS IMPROPER TRAILER LABELS PROPERLY AND
          ACCEPT HEADER LABELS GREATER THAN 80 CHARACTERS.
          HH     06/03/75    3IF
 SC44546  IN DUAL CPU SYSTEM, MONITOR MODE CP PROGRAM MAY NOT FIND
          USER RA IN XJ PACKAGE IN CONTROL POINT AREA.
          SW     04/25/75          ECS/GETRAND
SC44581   FIX DSD ASSEMBLY SPACE PROBLEMS BY MOVING CODE TO OVERLAY 
          DAD    05/04/75    DSD,8YA
 SC44634  1P1 NO LONGER ASSEMBLES WITH DEBUG = 1. 
          SP     06/20/75          1P1
 SC44634A 1P3 NO LONGER ASSEMBLES WITH DEBUG = 1. 
          SP     06/20/75          1P3
 SC44655: FIX 1TJ SO THAT IT GOES INTO RECALL WITHOUT CLOBBERING
 THE PPIR AND PPOR OF THE NEXT PP.
  
 HRK   06/05/75   1TJ 
SC44753   PREVENTS LOOPING BETWEEN 1EJ AND 3IE,1IT AFTER A
          SYSTEM ERROR ON A 1EJ CALL
          06/10/75     BRJ         3IE
  
SC44787   EXTEND STEP CONTROL FOR THE FOLLOWING 
          1. ALLOW STEP,XXX TO STEP ROUTINE XXX ONLY. 
          2. SEPARATE FUNCTIONS OF T.MSP AND DSD SYSTEM MESSAGE AREA. 
          3. IMPLEMENT STEP MODE FOR CPMTR FUNCTIONS. 
          RLM       75/03/20       MTR,CPMTR,DSD
SC44787A  REPLACE M.STEP WITH M.KILL FOR FATAL SYSTEM ERRORS
          RLM       75/06/25       3DO,1RN,1AJ
 FEAT51BEM       IRCP SUBROUTINE SETRB DOES NOT MASK OUT THE
                 AVAILABILITY COUNT IN THE RBR HEADER WHEN DECREMENTING 
                 THE RB COUNT. THE EST ORDINAL ALSO GETS DECREMENTED
                 WHEN THE COUNT GOES NEGATIVE.
                 JBC  06/12/75 IRCP 
 FEAT51BEU THIS INSURES THAT ALL RBR AVAILABLE COUNTS ARE CORRECT 
           IN THE RBR HEADERS BEFORE PRELOAD IS ENTERED.
           ALSO CORRECTS DISPLAY OF 854 FLAWS.
           BJP  6/20/75 IRCP
 FEAT51BEZ  THIS CODE CHANGES THE DEADSTART EST RECONFIGURATION DISPLAY 
           TO BE COMPATIBLE WITH THE DSD E DISPLAY. 
           PNB  6/25/75  PNB
 FEAT51BFA  THIS CODE IS FOR RECOVERY OF JOB DAYFILE FNTS.
            BJP  6/26/75 IRCP 
          MODIFIES 1SO TO SIGNAL DAYFILE FST1 HAS BEEN MOVED TO W.PPMES6
          GW     6/24/75       1SO
 FEAT51BFB       FIXES GARBAGE DISPLAY WHEN THERE IS NO  SMT ENTRY
                 FOR A DEVICE.
                 JBC  06/30/75  IRCP
 FEAT51CF4 REQ HANGS AT A CONTROL POINT IF A DISK DEVICE IS ASSIGNED
           WHEN TAPE HAS BEEN REQUESTED.
           SP    06/05/75    REQ
FEAT51CF7 OMIT VSN HANDLING IN EVICT AND ADD Q AND SYS BITS PROCESSING
          PAP    75/06/09          4ES
FEAT51CF8 ADD Q AND SYS BITS PROCESSING TO EVICT IN CP4ES 
          PAP    75/06/09          CPCIO
FEAT51CF9 RETURN ZERO SECTOR COUNT IF FILE IS EMPTY 
          PAP    75/06/09          CSCCOM,6RD,STS,6PM 
FEAT51CG1 REPOSITION FILE ON FULL W.P. IF ON EMPTY LAST W.P.
          PAP    75/06/13          3DO
FEAT51CG2 FIX POST-DEADSTART HANG IN GENDJ WHEN THERE ARE THREE OR MORE 
          SETS. 
             GENDJ   JSB   06/11/75 
 FEAT51CG4  DELETE BREAKPOINT AND XOPTION FROM DEADSTART
   PRP   IRCP  7/7/75 
FEAT71    ADDS PROGRAMMABLE CLIPPING TO 65X DRIVERS 
          06/11/75    HH     1MT,1R2,1R3
  
 FEAT75C8 BACKING UP OF ECS PP LIBRARY BY DISK LIBRARY FAILS
          SINCE FEAT75C6. 
          SW     06/17/75          ECS/PLBECS 
 FEAT75C9 INSUFFICIENT ECS PREALLOCATION FOR ECS LIBRARY
          SW     07/07/75          RACDAC/RAC 
SC42922C  CORRECT CODE IN 2ID TO HANDLE 9 TRACK EOR AND EOF.
          HH     7/09/75     2ID
  
SC44869 STOPS 3IW FROM ATTEMPTING TO SEND PARAMETERS TO THE BC WHEN 
FUNCTION IS ERASE REPOSITION.  ERASE REPOSITION HAS NO PARAMETERS.
WAF MORGAN HILL CA  JULY 9 75   3IW 
SC44878   DO NOT ASSIGN A WORD PAIR FOR CLOSE RETURN OR UNLOAD IN CIO 
          PAP    75/07/14          CIO
 SC44888  SC44888 FIXES CIO/2ST BAD MONITOR REQUEST CAUSED WHEN SWAPPING
          MMF JOBS DUE TO FNT CHANNEL RESERVATION PROBLEM.
          CRN    07/16/75    CIO
SC44917   FIX BAD REGISTER USAGE IN CPBKSP FOR CHECKPOINT/RESTART 
          PAP    75/07/21          CPCIO
SC44934   SC44934 FIXES 1OP BUG NOT PUTTING RBSIZE IN NON-MINIMUM FETS
          UNLESS AN ALLOCATION STYLE IS SPECIFIED.
          CRN    07/22/75    1OP
FEAT51BFG DSD MODS FOR DSD/DEADSTART DISPLAY COMPATIBILITY
          DAD    07/14/75     DSD 
FEAT51BFH DSD CHANGES TO DEADSTART COMMAND PROCESSING 
          DAD    07/23/75    DSD
 FEAT51BFN  CORRECTIONS TO D/S RECONFIGURATION SO THAT
         WORDS 3-5 OF AN MST ENTRY ARE NOT ZEROED BY
           A SETNAME,I COMMAND. 
      PRP   7/23/75   IRCP
FEAT51CG8 ALLOW 7 CHARARCTERS FOR SET NAME IN FSN 
          PAP    75/07/16          FSN
 SC44949L - MAKE 4ES EVICT PERMANENT INPUT FILE WHEN NO-RERUN BIT IS
            SET AND NORMAL DS OCCURS
          CMD  07/31/75  4ES
 FEAT51BFV  TDS TELLS GENDJ WHEN CATALOG DONE TO PREVENT
            DEADLOCK WHEN THERE ARE 2 SETS ON A CONTROLLER
            BJP  7/31/75
FEAT51BFL  MAKE TDS WAIT FOR LDCMR TO COMPLETE BEFORE TELLING GENDJ 
            THAT 1QF IS DONE. 
            BJP  7/31/75  TDS 
FEAT51BFX FIX GENDJ SO THAT 1.IT WAITS TILL TDS ACTIVITY ON THE SYSTEM
          SET IS FINISHED BEFORE IT STARTS UP QUEUE SET JOBS, AND 
          2.WAIT FOR THE FINAL FINISH FLAG FROM TDS BEFORE IT STARTS
          UP ANY LIST-MODE RECOVER.  THIS PREVENTS D(ADLOCKS AT STACK 
          PROCESSOR ON SINGLE-CONTROLLER SYSTEMS, AND DEADLOCKS FOR CM
          BETWEEN LDCMR AND RECOVER.
          THIS CODE REQUIRES ALSO A MOD TO TDS TO PROCESS THESE FLAGS.
             JSB   07/30/75   GENDJ 
FEAT51BFP FIX DSD E DISPLAY FOR SHARED CONTROLLER ON RMS DEVICES
          DAD     07/28/75   DSD
          1RN SHOULD NOT CLOBBER RMS BUFFER 
          SW     7/31/75     1RN
SC42922D  CODE COM2IW TO SET WRITE EVEN FUNCTION FOR EOR/EOF-S. 
          HH     75/07/25    2ID,2IW,1IT
  
SC44970   FIX PROBLEMS IN ECS CODE CREATED BY WRONG USE OF SX X 
SC44970   AND BAD ABSOLUTE ADDRESSES MANAGEMENT 
          PAP    75/08/01          CPMTR,CPCIO,ECSSWAP
SC44279B  CODE 3IO AND 1IT TO HANDLE SPECIAL STATUSING FOR 3IV. 
          HH     75/08/08    3IO,1IT
  
SC45013   REWRITE PAST END OF FILE CLOBBERS THE OUT POINTER 
          PAP    75/08/13          ECS
SC45014   SKIPF REISSUE PUTS GARBAGE IN MTR REQUEST STACK 
SC45014   ALSO VARIOUS FIXES TO BE ABLE TO RUN THE REGRESSION TESTS 
          PAP    75/08/13          CPCIO
FEAT51CH3 FIX ONE W.P. PROCESSING FOR OVERFLOWS 
FEAT51CH3 ALSO IMPROVE EMPTY W.P. RELEASE 
          PAP    75/08/04          3DO
FEAT51CH7 FIX PROBLEM WITH FOSSIL CODE TESTING FOR MST .GT. 1 
FEAT51CH7 BEFORE PUTTING FET ADDRESS IN FNT. ALSO RETURN ERROR IF FET 
FEAT51CH7 COMPLETE AT START OF OPERATION
          PAP    75/08/13          CIO
FEAT75C11 GETPRU MUST SET THE PARITY ERROR FLAG AND FORCE EOD 
          PAP    75/08/13          ECS
SC45040   CODE 3IL TO R.RAFL PRIOR TO RETURNING LABEL INFO TO FET.
          HH     75/08/20    3IM
  
 SC45075  SKIP BACKWARDS OF ECS BUFFERED INPUT FILE MAY POSITION FILE 
          1 RECORD OFF IN THE FORWARD DIRECTION.
          SW     08/21/75          CPCIO
FEAT51BG3  DO NOT DO ANYTHING ABOUT RES35-S 
           VMS    08/21/75   1SX
FEAT51BGP SPEED UP 51B37 BY 
           1. DONT WRAP AROUND IF MULTIPLIER IS ZERO
          2. MAKING THE DIFFERENCE BETWEEN STACK REQUEST COUNTS 
            (WHICH SHOULD NOT BE MORE THAN 4-5 FOR EACH DAT)
          THE MULIPLIER 
          3. NEVER MULIPLY IF EITHER NO IS ZERO 
          VMS    08/21/75    1RN
 FEAT51BGU  D/S RECONFIGURATION MOD TO ZERO AN MST ENTRY AFTER
       AN OPERATOR ENTERS THE FINAL CARRIAGE RETURN IF THE
       SET HAS NO NON-IDLED MEMBERS.
       PRP  8/25/75   IRCP
 FEAT51CI4  MODIFIES IRCP SO THAT DAYFILE FST1 CAN BE 
          RESTORED IF RECOVERY TAKES PLACE DURING SWAPIN
           GW    8/24/75       IRCP 
FEAT51CI5 FIX CODE TO CHECK FOR XL BUFFER ADDRESS 
          HH     75/08/29    3IO,3IL
  
 FEAT51CI6  ADDS OV.1SI TO PPTEXT 
            GW  8/24/75  PPTEXT 
FEAT51CI7 MODIFIES 1SI SO THAT DAYFILE FST1 CAN BE
          RESTORED IF RECOVERY TAKES PLACE DURING SWAPIN
          GW     8/24/75      1SI 
FEAT51CJ2 SAVE Q BIT IN FNT IF INSERTING DISPOSITION CODE 
          PAP    75/08/31          3DO
FEAT51CJ3 WITH FEAT51CJ4 PREVENT 6WM FROM WRITING STATUS AT RANDOM
          PAP    75/08/31          CIO
  
 SC45025  FIX 1IB TO NOT DIRECT JOBS IF THERE IS NO MATCH IN
          THE LOGICAL ID TABLE. 
          JYY    09/12/75    1IB
  
SC45176   DONT ZERO LAST BYTE OF PRIOR MSG IF BUFFER IS EMPTY 
             RLM       75/09/16      IRCP 
 FEAT51CJ7 MODIFIES CONTROL TO SEND CORRECT WORD COUNT FOR 844 AUTOLOAD 
           BJP  9/8/75  CONTROL 
FEAT51CK1 CAUSE CP4ES TO NOT CALL 1QF AND SET THE INPUT FILE NOT CATALOG
          RPM  09/10/75  CP4ES
FEAT51CK2 MAKE PIO A NO-OP AS IT CAN CAUSE RB CONFLICTS 
          RPM  09/10/75  PIO
SC45199   USE RBT W.P. ADDRESS INSTEAD OF ITS ORDINAL WHEN UPDATING IT
          PAP    75/09/22          3DO
L414     ***
 CP139AJ  ENABLE 1AJ TO LOAD 54-TABLE PROGRAMS FROM NUCLEUS.
          GMT    75/06/11    1AJ
  
SC40621   ADDS CODE TO USE P.CMFL TO INITIALIZE EXCHANGE PACKAGES FOR 
          MONITOR AND SCHEDULER 
          RFG    07/25/75    MTR
SC40669   DIS FIX TO SHOW CORRECT CPN/JDTN OR RIGHT SCREEN HEADER 
          DAD    07/15/75    DIS
SC43390   DIS FIX FOR ASSEMBLY TIME OVERFLOW
          DAD    08/27/75    DIS
SC43477   DROP SLAVE PP DURING REEL SWAP AND UPDATE TAPES ORDINAL IN IR.
          HH     75/08/19    1IT,3IM,2IA,2IB,3IV
  
SC43659   DIS FIX TO ADD MISSING ERROR FLAG DISCRIPTIONS FOR B DISPLAY
          DAD    08/08/75          DIS
SC43660   REMOVE OLD 3.3 CODE AND CLEAN-UP DIS A BIT
          DAD    07/22/75          DIS
SC44009   CORRECTS USAGE OF INPUT FST 
          RFG    07/30/75    ACE
SC44227   REPLACE 3IP WITH 2IP TO UTILIZE READ RECOVERY DURING
          SKIPPING ON SCOPE TAPES AND TO HANDLE OTHER PROBLEMS
          07/11/75           WAF   2IP,3IP,3IR,3IE,1IT
  
SC44390   CODE 3IC TO DROP TAPES TABLE ENTRY FOR CLOSE/UNLOADING
          OF 2MT JOBS.
          HH     75/07/23    3IC
  
SC44457   CODE 3IL TO INSERT VSN IN HDR1 AND EOF1 LABELS WHEN PROCESSING
          BLANK LABELS. 
          HH     75/08/08    3IL
          SAVE AND RESTORE MS USED SO THAT MS USED FOR ROLL OUT 
          WILL NOT BE CHARGED 
 GW       7/2/75             1SO 1SI
SC44559A  DSD MODS FOR FM,HC,PL DEVICE TYPES
          DAD    08/20/75     DSD 
 SC44653  SSH SHOULD RETURN AN ERROR CODE TO THE CALLER FOR FC.IDT
          IF THERE IS NO IDT RATHER THAN ABORTING THE CALLER. 
 HRK   06/16/75   SSH 
SC44675   RETURN RESIDUAL BYTE COUNT TO MASTER PP IN L TAPE 66X 
          READ DRIVER.
          07/31/75      BRJ   2IA 
  
 SC44697  CORRECTIVE CODE TO SUPPORT THE REMOVAL OF THE ON-LINE UNIT
          RECORD EQUIPMENT DRIVERS (2PC, 2RC, 2LP) FROM THE SYSTEM. 
            MODIFICATIONS TO CIO TO REMOVE KNOWLEDGE OF THE DRIVERS.
                        CIO 
SC44697B    MODIFICATIONS TO PPSYS TO REMOVE DESCRIPTIONS OF SPECIAL
              FNT ENTRIES 
                        PPSYS,PPTEXT
SC44698   FIX FIELD ACCESS PROBLEMS IN 2 PP DRIVERS 
          ALSO FIX UBC PROBLEM IN 2IA 
          HH     75/08/19    2IA,2IB
  
SC44746   STOPS READING EOR SO 1AJ CAN TELL WHEN LAST CONTROL 
          CARD HAS BEEN PROCESSED 
          RFG    07/30/75    ACE
SC444751  CORRECT CODE IN 3IC TO SAVE C.TFLGS+1 AT END OF JOB TIME
          IF UNIT IS REWOUND. 
  
          HH     75/06/25    3IC
SC44775   CODE 3IC TO DAYFILE BLOCK WRITTEN/READ MESSAGES FOR 
          UNLABELED TAPES.
  
          HH     75/06/20    3IC
SC44787C  ALLOW EXPLICIT STEP MODE ON 1S5, 1DL AND 1RN
          RLM    75/07/21           MTR 
SC44827   WHEN THE PJT IS FULL, MTR WILL OCCASIONALLY ASSIGN ONE ANYWAYS
          RLM       75/07/07       MTR
SC44834 
          CORRECT SPELLING OF W.IOTPUT
  
          JSW    8/8/75 
 SC44868  FEAT78 MADE THE ECS CODE AT REQ.4085 UNNECESSARY. 
          SP     07/09/75    REQ
SC44990   IMPROVES TEST FOR START OF A FILE SO THAT ACE CAN FIND THE
          START ON A MMF SYSTEM (IE WITH FEAT51 INSTALLED)
          RFG    08/05/75    ACE
SC44993   FIX REQUEST TO ACCEPT DEV TYPE PARAM AFTER SN PARAM 
          EG     08/29/75    REQUEST
 SC45093A FIX 1IB TO NOT DAYFILE RERUN JOBS.
          JYY    08/29/75    1IB
SC45114   MAKE THE MESSAGE MORE INFORMATIVE WHICH APPEARS WHEN A POST-
          DEADSTART JOB BOMBS FOR UNKNOWN REASONS.
             JSB   08/28/75   GENDJ 
S3131CP   MODIFICATIONS TO DEADSTART TO ADD THE FOLLOWING NEW 
          DISPLAYS FOR CYBER 170. 
             1. OFF PROCESSOR DISPLAY 
             2. MEMORY ERRORS DISPLAY 
             3. SCR DISPLAY 
   PRP   7/1/75   CONTROL 
 S3131CP1   CORRECTIONS FOR CYBER 170 FEATURE CODE IN DEADSTART 
   PRP  7/23/75  CONTROL
 S3131CP2  IRCP FLAW MODS FOR 262K (CYBER 170)
  PRP   7/23/75  IRCP 
S3131CP3  PREVENTS D/S FROM SETTING 2X PP SPEED BIT IN THE SCR
          RFG    08/21/75    CONTROL
  S3131ST  MODIFY STL SO IT DOES NOT SEND PP RESIDENT TO PP-S 
           THAT ARE TURNED OFF
           PRP   5/27/75   STL
 S3131IP  CODE FOR DEADSTART RECOVERY OF T.ELST AND T.MSC 
          PNB  5/16/75  IRCP
 S3131TD  TDS CODE TO CALL 1SC IF CYBER 170 AND T.ELST IS DEFINED 
          PNB 5/16/75 TDS 
 S3131TX  THIS ADDS SYMBOLS TO PPSYS FOR THE CYBER 170 REQUIRED 
          FEATURES PROJECT. 
          BJP  03/28/75  PPSYS
S3131DS   DSD MODS FOR CYBER 170 STATUS/CONTROL REGISTER SUPPORT
          DAD    06/23/75    DSD
S3131MR   ADDS SUPPORT CODE FOR THE SCR ON CYBER 170-S AND OFF-ED PP-S
          RFG    06/19/75    MTR
S3131MR1  CORRECTS CALL TO SES IN NEW CODE
          RFG    08/22/75    MTR
  
 S3131AJ    S3131IB    S3131EJ   S3131DMP 
          MODIFIES 1AJ, 1EJ, 1IB, AND DMP TO SET UP AND PROCESS THE NEW 
          HARDWARD ERROR EXIT MODES.
          JYY    05/29/75    1AJ/1EJ/1IB
  
  
 S3131AJ  FIX 1AJ TO PROCESS THE NEW FORMAT OF THE MODE CONTROL CARD. 
          JYY    05/30/75    1AJ
  
  
 S3131EJ  FIX 1EJ TO HANDLE NEW ERROR EXIT MODE.
          JYY    05/30/75    1EJ
  
S3132G4   CHANGE R.TFL ERROR RETURN FOR 262K MEMORY 
          RFG      06/16/75  PPSYS/STL
S3132A01  MODIFY LDCA MACRO TO USE ADDRA MACRO AND
          MOVE P.ZERO TO CM LOCATION 70B
          RLM    75/03/06          PPSYS
S3132F3   DSD MODS FOR 262K MEMORY. 
          DAD    08/18/75    DSD
 S3132V22 MODIFIES SCHEDULER TO CONSIDERS 262K CM 
          GW     8/1/75       MMGR
 S3132V23  DELETE UNNECESSARY CODE AND REPLACE CODE IN CORRECT PLACE
S3132G1   CORRECTS USAGE OF P.ZERO AND REMOVES USELESS
          CONDITIONALLY ASSEMBLED CODE
          ALSO IMPROVES ECS STORAGE MOVE INTERFACE
          RFG      04/14/75  MTR
S3132G8   CORRECTS USAGE OF ROUTINE WITH CHANGED INTERFACE
          RFG    08/21/75    ECLINK 
  
  
  
  
  
S3132G7   CORRECTS PROBLEMS IN RESTORING REGISTERS
          RFG    08/21/75    ECSSUB 
          NAME CHANGE FOR PL1A
          NAME CHANGE FOR PL1A
          NAME CHANGE FOR PL1A
S3143AIP
          NAME CHANGE MODIFICATIONS FOR IPTEXT
          MODEL MICRO CHANGE
          ADDITION OF OS.ID 
  
          JSW    8/8/75 
  
  
 SC44547  DELETE ERRONEOUS COMMENT OUT OF 1AJ.
  
          JYY    09/16/75    1AJ
  
  
SC45145   CODE 3IR TO RESET POINTERS AFTER A LONG BACKSPACE.
          HH     75/09/15    3IR
  
SC45152   DO NOT ABORT SYSTEM IF PARITY ERROR WHEN RELEASING LIBRARY
SC45152   SPACE IN ECS
          PAP    75/09/12          RACDAC 
SC45170   CHECK FOR VARIOUS USER ERRORS IN CEM
          PAP    75/09/12          CEM
SC45172   INITIALIZE A1 TO T.SUBPG BEFORE RETURNING CONTROL TO STORE
SC45172   AFTER A PARITY ERROR
          PAP    75/09/12          ECS
SC45192   ALLOW OPEN OF EMPTY ECS RESIDENT RANDOM FILES 
SC45192   ALLOW WRITING OUT OF INDEXES OVER 15 PRUS LONG
          PAP    75/09/18          CPCIO
S3132D007 HAVE 3DO CALL 1SX INSTEAD OF 6WM AND COMPLETE REQUEST 
S3132D007 WHEN FET ADDRESS IS OUT OF THE FIELD LENGTH 
S3132F5   CORRECT 262K CODE IN 1MT TO UPDATE POINTERS IN FL.
          HH     75/09/25    1MT
  
 S3132PLA MODIFY THE OPERATING SYSTEM TO SUPPORT UP TO 262K CENTRAL 
          MEMORY SIZES.  THE ADDRA MACRO REPLACES ALL CALLS TO R.TFL
          AND MOST REFERENCES TO D.RA.  THE LDCA MACRO IS CHANGED TO
          INCLUDE AN ADDRA CALL.  P.ZERO IS MOVED TO CM LOCATION 70B
          AND SHOULD ONLY BE USED STRICTLY FOR READING 5 BYTES OF 
          ZEROS.  P.AAZ IS CM ABSOLUTE ADDRESS ZERO.  S3132 IS FOR
          SUPPORT OF THE CYBER 170 SERIES OF COMPUTERS.  THE FOLLOWING
          IDENTS AND ROUTINES MODIFIED ARE AS FOLLOWS ----
  
                 S3132JSB    6PM
                 S3132G4     PPSYS/STL
                 S3132A01    PPSYS/PPTEXT 
                 S3132F3     DSD
                 S3132V21    CONTROL
                 S3132V01    ACE
                 S3132V02    RAPARAM
                 S3132V13    1AJ
                 S3132V11    SSH
                 S3132V12    TDS
                 S3132V14    1EJ
                 S3132V15    1IB
                 S3132V16    IMH
                 S3132V17    1NS
                 S3132V18    1SI
                 S3132V19    1SO
                 S3132V20    1TJ
                 S3132V03    DIS
                 S3132V04    JAC
                 S3132V05    JDP
                 S3132V06    MEM
                 S3132V07    QAC
                 S3132V08    RPV
                 S3132V09    SSC
                 S3132V10    SSF
                 S3132V22    CMMGR
                 S3132V23    1SO
                 S3132G1     MTR
                 S3132G2     CCPSM
                 S3132G3     CCPECSM
                 S3132G6     CCPSM
                 S3132Q1     LOC
                 S3132D001   FSN
                 S3132D002   4ES
                 S3132D003   4DO
                 S3132D004   CEM
                 S3132D005   3DO
                 S3132D006   1SP
                 S3132D008   4ES/3DO
                 S3132H27    1CR
                 S3132H29    1CS
                 S3132H28    1CT
                 S3132H30    1C9
                 S3132H26    1WI
                 S3132H25    1WS
                 S3132H5     1NR
                 S3132H6     1R9
                 S3132H7     1RS
                 S3132H8     1RT
                 S3132H32    1RV
                 S3132H33    1P1
                 S3132H34    1P2
                 S3132H36    1P3
                 S3132H35    1P4
                 S3132H2     NSV
                 S3132H3     1BT
                 S3132H4     1CL
                 S3132H42    LBLSUBS
                 S3132H23    LBLINIT
                 S3132H40    1TS
                 S3132H38    1RP
                 S3132H37    1OP
                 S3132H39    1TF
                 S3132H41    2TB
                 S3132H22    CIO
                 S3132H46    REQ
                 S3132H47    1MF/1TR/1TO/6IM
                 S3132H1     STS
                 S3132H10    1IT
                 S3132H11    2IA
                 S3132H12    2IB
                 S3132H19    2IO
                 S3132H13    3IC
                 S3132H20    3IE
                 S3132H14    3IF
                 S3132H15    3IL
                 S3132H16    3IM
                 S3132H17    3IO
                 S3132H21    3IR
                 S3132H18    1IT/3IV/3IW
                 S3132H44    TPCOMD 
                 S3132H45    CIOCOM 
                 S3132H9     1NW
                 S3132H24    1W9
                 S3132H43    6WM
                 S3132H48    1MT
                 S3132PL     1PL
                 S3132N1     CPMTR
                 S3132N2     SPM
                 S3132N3     RACDAC 
                 S3132N4     ECSSUB 
                 S3132N5     ECLINK 
                 S3132N6     CPCIO
                 S3132N7     ECSSWAP
                 S3132G7     ECSSUB 
                 S3132G8     ECLINK 
  
  
FEAT1421  CODE 6WM TO ABORT FATAL ERROR IF EP NOT SET.
          HH     75/09/15    6WM
  
FEAT1423  CLEAR COMPLETE BIT PRIOR TO SETTING IT COMPLETE.
          HH     75/09/15    6WM
  
 SC45151     TDS HANGS WHEN TRIES TO ISSUE AN ATTACH DAYFILE
             FAILED MESSAGE BECAUSE THERE IS NO DAYFILE FNT 
             JCL     09/16/75     TDS 
 SC45218     IRCP TO CHECK DEVICE ON-STATUS WHILE CHECKING FOR AT LEAST 
             ONE MEMBER WITH THE APPROPRIATE ATTRIBUTE IN THE SET.
             JCL     09/27/75     IRCP
 SC45219     IRCP TO CHECK ALL DEVICES WITHIN A SET ARE UNIFORMLY 
             SHARED OR NOT SHARED ON THE UNIT LEVEL.
             JCL     09/27/75     IRCP
 SC45236     IRCP COMPUTES INCORRECT EOI-S FOR PFD AND PFC
             IN NORMAL DEADSTART. 
             JCL     10/01/75     IRCP
SC45275   DISALLOW NEGATIVE FIRST IN CPCIO
          PAP    75/10/08          CPCIO
SC45283   SOME SEGMENTS ARE EXECUTED TO OFTEN TO BE ECS RESIDENT
          PAP    75/10/10          CMRDIR 
S3143ANC1 TAKE THE NAME *SCOPE* FROM DSD POST DEADSTART DISPLAY 
          DAD       10/10/75      DSD 
SC43547   FIX DOL FOR 6000/7000 BYTES AND LARGE ADDRESSES 
          DAD    10/22/75    DSD
SC45266   RESTORE L TAPE CONTROL WORD.
          HH     75/10/24    2IA
  
SC45267   INCREASE TIMEOUT LOOP IN SUBROUTINE OFC TO 500 US AS SPECIFIED
          HH     75/10/24    1IT
  
SC45268   CHECK FOR IRRECOVERABLE WRITE POSITION ERROR. 
          HH     75/10/24    3IM,3IW
  
SC45269   CODE PROTECTS RECOVERY FROM TRANSIENT 7021 COUPLER ERRORS.
          HH     75/10/24    3IE,3IR,3IW
  
SC45270   SAVE BYTE COUNT FOR RECOVERY. 
          HH     75/10/24    1IT,2IB,2ID
  
SC45271   REMOVE UNNECESSARY DELAY IN SUBROUTINE GSTS.
          HH     75/10/24    1IT.3IW
  
SC45305   IMPROVE SEGMENTATION OF CRITICAL SEGMENTS ADRB,PLBECS,CP4ES 
          PAP    75/10/15          CMR,CMRDIR,CPMTR,SPM,ECS,CPCIO 
SC45330   PREVENT 6WM FROM CLOBBERING AN FNT IT DOES NOT OWN ON ERROR 3 
          PAP    75/10/21 
 SC45355  FIX CLEARING-DUAL-ACCESS-EST-ENTRIES PROBLEM
          IRCP
SC43477A  SLAVE PP IS NOT DROPPED DURING CROSS VOLUME PROCESSING
          HH     10/30/75    3IM
  
SC44227A  FIX 2IP TO HANDLE BKPRU SCOPE TAPE CORRECTLY
          HH     75/11/03    2IP,3IV
  
SC45268A  CHANGE ERROR CODE FOR BAD WRITE REPOSITION TO 33B.
          HH     75/11/06    1IT,3IW
  
SC45408   DEFINE AND USE ABORT FLAG TO REQUEST ECS SR TERMINATION FROM
SC45408   1SP IN THE EVENT OF AN UNCORRECTABLE RMS ERROR TO AVOID 
SC45408   FATAL AMBIGUITY ON THE MEANING OF THE EOT FLAG
          PAP    75/11/04          1SP,ECS
SC45426   CORRECT COMPUTATION OF FET EXTENSION ADDRESS. 
SC45426   1OP WAS WRITING PERMISSION BITS RANDOMLY. 
          CMD    11-07-75    1OP
 S3132TB  FIX 2TB TO MODIFY AN LDC INSTRUCTION CORRECTLY. 
  
          A PP CALL ERROR WILL OCCUR IF NOT CORRECTED.
          HH    11/07/75    2TB 
FEAT1424  CORRECT CODE IN FETCK SUBROUTINE TO USE MEMORY CELL TO HOLD 
          OFFSET FOR FET ADDRESS. 
          HH     75/11/11    3IM
  
SC45489   1SI/1SO FIX TO INSURE RECOVERY OF DAYFILE FST1 BY IRCP
          DAD    11/19/75    1SI/1SO
FEAT1425  INSERT MISSING LINE OF CODE.
          HH     11/12/75    3IM
  
FEAT1426  CODE 6WM TO COMPLETE FNT IF FET NOT IN FL ERROR.
          HH     11/18/75    6WM
  
S3131PX   CODE DRIVERS TO HANDLE *FET OUTSIDE FL* ERROR CORRECTLY.
          HH     11/20/75    1P1,1P2,1P3
  
 *L420*    *********************************************************************
 SC41963  PREVENT THE RELEASE OF ZZZZZ06 MAIN FNT ENTRY 
          PAP    75/11/05          1EJ,ECS
SC42049   RELEASE 844 DRIVES WHEN AUTOLOADING THE BUFFER CONTROLLER 
          PAP    75/09/26          CONTROL
SC42882   CORRECT ECS RPE PROCESSING ADDRESS IN STORE 
          PAP    75/10/01          ECS
 SC42957  FIX CONDITIONAL CODE IN 1EJ FOR S.URES AND S.AUTO.
 HRK   10/23/75   1EJ 
 SC43163  PREVENT ERPEREC FROM CALLING ITSELF 
          PAP    75/11/05          ECSSUB 
 SC44252  MEM INCORRECTLY RETURNS THE CURRENT ECS FL WHEN ASKED FOR 
          THE MAXIMUM AVAILABLE TO THE JOB.   FIX IT. 
 HRK   10/09/75   MEM 
SC44418   CHANGES ROUTINES TO REFERENCE M.KILL INSTEAD OF 77B 
          DGK    10-10-75     1EJ,1RN,REQ,1SO,1IB,SCHTEXT 
SC44509   DSD FIX FOR Y DISPLAY OVERFLOW AND CLEAN UP LISTING 
          DAD    08/26/75    DSD
 SC44594  1EJ SETS THE GO/RECHECK BITS INCORRECTLY WHEN WAITING 
          FOR A GO WHILE TRYING TO UNLOAD A TAPE AT EOJ.
 HRK   10/09/75   1EJ 
 SC44683  INSERT PRU SIZE IN FET FOR ECS OPEN 
          PAP    75/11/05          CPCIO
 SC44764  FIX MEM TO RETURN INSTALLATION DEFINED MAX FL IF
          THE INITIAL FL IN THE CP AREA IS ZERO, IE, IF SYSTEM JOB. 
          ALSO USE SYMBOL C.CPFLI.
 HRK   10/22/75   MEM 
SC44770   DECREMENT JOB RUNNING PRU COUNT BY CORRECT AMOUNT WHEN
SC44770   SENDING CHAIN SEGMENT TO 1EV FOR RELEASE
          PAP    75/11/04          CMR,CMRDIR,SPM 
 SC44829  THE SSH CHECK FILE NAME ROUTINE, CHFN, SHOULD RETURN
          NO MATCH IF LOCK BIT SET. 
 HRK   10/05/75   SSH 
 SC45000  JAC - USE THE JDT ENTRY LENGTH IN WORD P.SCH INSTEAD
          OF AN INTERNALLY DEFINED SYMBOL.
 HRK   09/16/75   JAC 
SC45125  CHANGES THE DEFAULT SETTING OF IP.IUSID TO CORRESPOND TO THE 
         INSTALLATION HANDBOOK
         DGK     10-10-75    IPTEXT 
SC45396   FIXES DEADSTART DISK DRIVER, IRP, FROM HANGING ON I/O 
          INSTRUCTIONS BY USING THE NO HANG BIT FOR DCN, FAN,IAN,OAN, 
          AND FNC.
          CRN    07/17/75    CONTROL
SC45398   REMOVE LP FROM DEADSTART DUMP DISPLAYS
          EEH    75/10/31          CONTROL
SC45401   CLEAR THE RANDOM I/O IN PROGRESS FLAG ON AN INCOMPLETE READLS 
          PAP    75/10/31          CPCIO
SC45416   PREVENT ASSEMBLY OF SEGMENT REUSE CODE TO SPEED UP LOADING
          PAP    75/11/04          LINKCMR
 SC43735  FIX 1EJ TO SEND A COURTESY DAYFILE TO A TERMINAL IF 
          OUTPUT ROUTED TO CENTRAL SITE.
          JYY    05/01/75    1EJ
 SC44269  1EJ SHOULD PLACE RERUN TAPE JOBS BACK IN THE INPUT QUEUE
          WITH A DC OF 05.
 HRK   10/09/75   1EJ 
 SC44419  1EJ SHOULD CHECK FOR SPECIAL NAME OUTPUT BEFORE CHECKING FOR
          DISPOSITION CODE OF 0 OR SCRATCH. 
 HRK   11/18/75   1EJ 
SC45494   DROP SPOTS ON A DEADSTART RECOVERY (SOURCE ID STARTING WITH $)
SC45494   ALSO RELEASE ZZZZZ23 CHAIN AFTER SYSTEM LOADING 
          PAP    75/11/20          IRCP 
SC45497   CHECK FOR CORRECT FET LENGTHS IN POSMF PROCESSING 
          PAP    75/11/24          CIO
 SC45523  FIX PROBLEMS IN LOADING OF 54-TABLES. 
          GMT    75/12/05    1AJ
  
 SC45537  IMS DOCUMENTATION FOR THE FOLLOWING ROUTINES....
          CEJ, CONTROL, GENDJ.
 CP139A1  *1IB* IS MODIFIED TO NO LONGER REFERENCE *IP.MAP* BUT 
          TO STILL INITIALIZE *W.CPLDR1* TO ZERO. 
          CJL    75/08/12    1IB                           FEATURE
  
 CP139A2  *IP.MAP* IS REMOVED FROM *IPTEXT*.
          CJL    75/08/12    IPTEXT                        FEATURE
  
 CP139A3  THE SYMBOL *S.CPCMM* IS PUT INTO *PPTEXT*.
          CJL    75/08/12    PPTEXT,SCPTEXT                FEATURE
  
 CP139A4  REWRITE LOADREQ MACRO TO HANDLE CMM AND DATA PARAMETERS.
          GMT    75/07/24    ACTCOM 
  
 SC43602  CORRECT SYSTEM ABORT WHEN DOING *LOC* FROM INTERCOM 
          WITH *INPUT* FILE NONEXISTANT.
          CJL    76/01/09    LOC
  
SC44070A  CODE 3II TO USE FET MLRS FIELD IF S-TAPE.  USING DEFAULT
          MLRS FOR READSKIP FUNCTIONS CAN CAUSE READN TO FAIL.
          HH     01/05/76    1IT
  
SC44227B  CODE 2IP TO HANDLE SKIP COUNT CORRECTLY IF LOAD POINT AND 
          SKIPB ON SCOPE TAPE.
          HH     12/23/75    2IP
  
SC44832   D.ERRNO NOT SET UP CORRECTLY WHEN CALLING 3IM WITH
          *PROTECTED VOLUME* MESSAGE. 
          HH     12/31/75    3IO
  
SC45177   WRITEF FUNCTION ON 66X FAILS TO WRITE A LEVEL 17 (END-OF- 
          FILE) IF THERE IS DATA IN THE BUFFER WHEN THE FUNCTION IS 
          ISSUED. 
          RLM.   75/12/10.   1IT(2IW),2ID.
  
SC45269A  LOOP FAULT OR MDI ERRORS NOT DIAGNOSED IN OFC SUBROUTINE
          AND ARE INCORRECTLY BEING LOGGED AS SYSTEM ERRORS.
          HH     12/15/75    3IR,3IW
  
 SC45299  IF NOISE OCCURS ON A 66X TAPE JUST PRIOR TO A TAPE MARK, THIS 
          WILL RESULT IN AN END-OF-RECORD INDICATION INSTEAD OF A TAPE
          MARK (EOF) STATUS.
          RLM.   75/11/12.  2IR, 2IA, 2IC, AND 3IE. 
  
 SC45537A IMS DOCUMENTATION CHANGES FOR THE FOLLOWING ROUTINES -
          CMR, STL, 1AJ, 1EJ
SC45553   CORRECT DOCUMTNTATION IN TAPE DRIVERS FOR *DOCK* OUTPUT.
          HH     12/09/75    1IT.3IW,1TO,2TC,1MF,1TR
  
SC45563   FIX CPU B OFFED PROBLEM ON MTS
          EEH    75/12/30          CONTROL
SC45585   CODE RECOVERY DRIVERS TO LOG COMPLETE INFO IN CEEF. 
          HH     12/15/75    3IE,3IR,3IW
  
SC45586   ERROR CODE 14 DURING WRITE REPOSITION INCORRECTLY LOGGED
          AS SYSTEM ERRORS. 
          HH     12/15/75    3IW
  
SC45587   SYSTEM ERRORS DESTROYS WORD 1 OF DETAILED STATUS. 
          HH     12/15/75    3IE,3IW,3IR
  
SC45649   BAD CODE AT 3IL.2099 SHOULD BE LDN NOT LDD. 
          HH     01/05/76    3IL
  
  
 SC45666  FIX 1EJ TO ZAP THE INPUT FNT IF THERE ISNT ANY PFC
  
          POINTER TO THE INPUT FILE.
  
          JYY    01/07/76    1EJ
CP139INT  SETS MAP OFF FOR INTERCOM JOBS AT LOGIN.
          REPLACES CP139IN WHICH FORCED MAP,OFF FOR ALL JOB STEPS 
          DAD    01/05/76    1SI
SC45714   UNABLE TO D/S CYBER 172, 173, OR 174 WITH 262K CM 
          EEH  76/01/22            CONTROL
SC45719   SKIP OVER ZERO BYTES BEFORE OVERFLOW WP 
          VMS    02/04/76    4ES
 SC45783  TO CLEAR LOC P.ZERO IN CMR BEFORE FRESH LOAD OF CMR 
          SO CONTROL MAY USE FOR INITIALIZATION.
          JWB    76/02/04    CONTROL
  
SCA*76A    UPDATES COPYRIGHT INFORMATION
          DGK    12-01-75    CPCTEXT,CPUTEXT,IPTEXT,PPTEXT,SCHTEXT,SCPTEXT
 SC45812  IRCP RESETS FLAW LIST POINTERS BUT FAILS TO 
          REREAD THE PHYSICAL FLAW TABLE WHEN PROCESSING
          SET MEMBERS AFTER THE ALL OPTION HAS BEEN 
          ENTERED DURING LABEL PROCESSING 
          JWB    09/11/76    IRCP 
  
CP139A5   CHANGE BUFFER LOCATIONS FOR STATION BUILT WITH CYBER LOADER 
          DAD    02/13/76    STATCOM
L432     ***
 SC41002 CLEARS W.TVRN1 IN *TAPES TABLE* ENTRY. 
          JDL.   75/11/24.   1CL. 
  
SC41357   REMOVE EXTRANEOUS COLON IN A 4LB MESSAGE. 
          RLM.   75/12/04.   4LB. 
  
SC41887   CH.FST SHOULD BE USED TO INTERLOCK DAYFILE, CERFILE WHEN
          THE FILE IS SET BUSY. 
          RLM    75/06/02          MTR,1DF
 SC42001  SETS DISABLE I/O CHARGING IN 4LB. 
          ENABLE I/O CHARGING IN TAPE COMMON DECK TPCOMD. 
          JDL.   75/12/12.   4LB. 
  
SC42210   NR OPTION NOT USED CORRECTLY BY 1MT.
          RLM.   75/12/18.   1MT. 
 SC42836  FIX 1MH TO CORRECTLY UNLOAD 66X TAPE DRIVES ON TYPE 10 CALL.
          JLN    75/12/03    1MH
 SC43462  MOVE THE ACCOUNTING DAYFILE MESSAGE IN 1IB SO THAT IT 
          IS ISSUED BEFORE  1IB MAY HAVE TO GO INTO RECALL AND THUS 
          LOOSE THE FNT INFORMATION.
 HRK   11/18/75   1IB 
 SC43628  BEFORE ADDING A JOB TO THE P-DISPLAY VSN BUFFER, INSURE THAT
          THE JOB IS DESTINED FOR THE HOST MAINFRAME. 
          JLN    75/12/03    1MH
SC43725   WORD 7 OF FET IS DESTROYED BY 2IA AFTER RECOVERY PROCEDURE
          TAKES PLACE FOR READ AND READSKP FUNCTIONS ON 66X L-TAPES.
          RLM.   75/12/17.   2IA. 
  
 SC44267  TEST FNT ENTRIES THE SAME WAY AFTER RESERVING CHANNEL AS
          BEFORE RESERVING. 
          JLN      75/12/22       1MH 
  
 SC44445  HAVE 1IB AND 1RN IGNORE A NON-ZERO DEPENDENCY COUNT IF
          THE PREABORT FLAG IS SET. 
 HRK   11/03/75   1IB,1RN 
 SC44671  HAVE 1EJ JUST CLEAR THE PAUSE BIT IN RA+0 INSTEAD OF THE
          ENTIRE WORD THUS PRESERVING THE MODE ERROR INFORMATION
          FOR USE BY DMP. 
 HRK   12/18/75   1EJ 
SC44717   BAD CODE IN COM3II AT *SCAN4*.  IF UNIT IS LOGICALLY OFF, 
          THE *VSN READ FROM TAPE* BIT IS SET IN THE TAPES TABLE BY 
          MISTAKE.
          RLM.   75/12/18.   1IT(3II).
  
SC44780   CODE IN 1RS/1NR DESTROYS LOW 6 BITS OF FET EXTENSION POINTER
          WHEN STORING/CLEARING THE UBC.
          RLM.   75/12/12.   1RS,1NR. 
  
SC44783   IF WRITEN CIO FUNCTION CODE AND NO DATA IN THE BUFFER, 1NW
          STORE TAPES TABLE INFORMATION IN PRU COUNT OF FNT/FST.
          RLM.   75/12/12.   1NW. 
  
 SC44881  REORGANIZE STRUCTURE AND USAGE OF SUBROUTINES "DELINK" AND
          "LINKENT" TO PREVENT CONFLICTS OF VARIABLE USAGE. 
          JLN    75/12/03    1MH
SC44914   2IA WILL DESTROY CM IF A CWM IS EXECUTED WITH A ZER 
          WORD COUNT.  MOVE DECREMENTING *SIZE* TO *BUMPIN* FROM
          *BUMP*. 
          RLM.   75/12/17.   2IA. 
  
SC44922   THIS CODE ALLOWS THE OPERATOR TO SEE THE VSN, LABEL,
          AND REEL INFORMATION ON THE P DISPLAY WHEN THE X=SV 
          PARAMETER IS USED ON THE LABEL CONTROL CARD AND AN UNLOAD 
          CONTROL CARD IS USED TO UNLOAD THE TAPE.
          GDM    10/21/75          1CL
  
SC45032   THE DEFAULT FOR THE EDITION NUMBER IN 66X DRIVERS IS 01 AND 
          IT SHOULD BE 00.
          RLM.   75/12/17.   2IO. 
  
SC45046   ASSEMBLE CODE IN 1TO TO PROCESS 3000 LABELS ONLY IF S.2LBP
          IS 1. 
          RLM.   75/12/17.   1TO. 
  
SC45048   IP.NOISE/IP.NOIS9 NOT USED CORRECTLY IN 66X DRIVERS.
          RLM.   75/12/17.   1IT. 
  
SC45080   DOCUMENTATION FOR CONTROL AND MODIFY PERMISSION BITS IS 
          INCORRECT IN MTSCOM AS WELL AS IN THE SYSTEM PROGRAMMERS
          REFERENCE MANUAL. 
          RLM.   75/12/09.   1IT. 
  
 SC45119  CORRECT FIELD ACCESS FLAG USEAGE IN 1EJ.  ALSO USE P.ZERO 
          IN TWO PLACES WHERE 0 HAD BEEN USED.
 HRK   12/16/75   1EJ 
SC45181   RETRY COUNT NOT STORED CORRECTLY IN CE ERROR FILE MESSAGE 
          ON READ ERRORS. 
          RLM.   75/12/10.   3IR. 
  
SC45211   SET LOCK BIT IN GNT SUPPLEMENT. 
          RLM.   75/12/11.   NSV. 
  
SC45213   IF BLANK TAPE IS ENCOUNTERED, 3IE DOES NOT TELL SLAVE PP
          TO DROP IF ONE IS PRESENT.
          RLM.   75/12/10.   3IE,3IR,3IW. 
  
 SC45276  HAVE 1TJ ISSUE A MORE REASONABLE ERROR MESSAGE WHEN THERE IS A JOBCARD
          ERROR ON A ROUTE TO INPUT.
 HRK   10/0975   1TJ
SC45290   ERASE PROCESSING IN 3IW DESTROYS SOME SPECIAL VARIABLES.
          RLM.   75/12/08.   3IW. 
  
 SC45291  CLARIFY THE ERROR MESSAGE FOR MEMORY INCREASE 
          WITHOUT AUTO-RECALL.
 HRK   10/23/75   MEM 
 SC45291A CHANGE THE MEMORY MACRO SO THAT IT DOES NOT FORCE AUTO RECALL.
 HRK   11/03/75   ACTCOM
SC45301   CORRECT THE PROCESSING OF THE EP BIT IN 3IM.
          RLM.   75/12/08.   3IM. 
  
SC45363   BAD LINE OF CODE IN MODSET *NEW1RS* WHICH CAUSES 1R2
          TO DEACTIVATE CHANNEL ZERO ON TAPE READ ERRORS. 
          RLM.   75/12/03.   1R2. 
  
SC45369   LABEL CONTROL CARD DOES NOT DEFAULT REEL NUMBER TO 1 IF 
          NOT SPECIFIED.
          RLM.   75/12/03.   LABEL. 
  
SC45377   DELAY CODE IN 66X L-TAPE DRIVER INCORRECT.
          RLM.   75/12/02.   1IT,2IA. 
  
SC45378   CODE IN 3IO USES A CONSTANT AS A SHIFT COUNT INSTEAD OF 
          A SYMBOL. 
          RLM.   75/12/02.   3IO. 
  
SC45387   INVALID *NTXX REJECT* MESSAGE ON 659. 
          RLM.   75/12/04.   1NW, 1W9, 1NR, 1R9.
  
SC45388   1NW HANGS IF TAPE IS NOT AT LOAD POINT DURING INITIALIZATION. 
          RLM.   75/12/04.   1NW. 
  
SC45395   1R9 DESTROYS PP RESIDENT. 
          RLM.   75/12/04.   1R9. 
  
SC45397   CODE SEQUENCE INSERTED TO ALLOW SELECTABLE UNIT READY STATUS. 
          THIS CODE ISSUES FORMAT MASK TO 66X CONTROLWARE.
          10/31/75      BRJ   1IT 
 SC45436  HAVE 6RD EVICT ZERO LENGTH FILES. 
 HRK   11/18/75   6RD,1EJ 
SC45448   3II - LAST CIO CODE NOT INITIALIZED WHEN COMING BACK FROM 
          EVENT STACK.
          RLM.   75/12/02.   1IT. 
  
SC45555  CHANGE ROUTINES TO USE P.ZERO/P.AAZ WHERE THEY SHOULD
                        REQ 
SC45557   PROTECT AGAINST RBT BASE ADDRESS OUTSIDE MEMORY 
          RLM    76/01/05          MTR
SC45569   CORRECT CODE TO CALL 3IE WITH VALID OP CODE.
          HH     12/10/75    2IL
  
 SC45672  REQ WILL NOT ASSEMBL WITH CERTIAN VARIATIONS OF IP.TSG    . 
          THIS CODE MAKES ROOM IN REQ BY, 
              TAKE NON STANDARD PP HANG CODE OUT OF REQ.
              REPLACE IT WITH A SUBROUTINE THAT ISSUES AN M.KILL REQUEST
              MAKING SOME CODE MORE EFFICIENT.
              MOVING TAG SAVE  FROM THE MAIN CODE TO OVERLAY 3MN. 
              MOVING TAG LABFLGS  FROM THE MAIN CODE TO OVERLAY 6MN.
              REMOVING AN EXTRA TEST OF FL.PK 
  
          THIS CODE ALSO SAVES SOME PAPER WHEN REQ IS LISTED
          AND ADDS COMMENTS TO THE ERR CARDS FOR PROGRAM OVERFLOW.
                        REQ 
SC45684   CHANGES FOR CONTROLWARE LEVEL A09... FUNCTIONS
          17B AND 117B BECOME 217B AND 317B IF FRAME COUNT ERROR 3
          OCCURS. CHANGE TO ERROR CODE 51 AND ERROR CODE
          66 ADDED. 
  
          GLN.   76/01/22.   3IE,3IM,3IW,MTSCOM 
 SC45733  ADD COMMENTS TO CIO.
                       CIO
  
SC45809  FIX 1AJ TO INITIALIZE THINGS RIGHT 
  
          JYY    02/14/76    1AJ
  
  
 SC45832  FIX 1EJ TO FLUSH BUFFERS OF DISPOSITION FILES.
  
          JYY    02/19/76    1EJ
  
SC45838   DONT FIND WRONG EST IF REQUEST IS FOR MF,MN AND 9 TRACK 
          TAPE IS ASSIGNED. 
                        REQ 
SC45862   SOME CODE INTRODUCED IN LEVEL 414 IN 1MT TO SUPPORT 262K
          CENTRAL MEMORY IS INCORRECT.  THIS COULD/DOES CAUSE CM OF 
          OTHER JOBS TO BE OVER-WRITTEN.
          RLM.   76/03/01.   1MT. 
  
SC40401   ADDS RPV COMMAND TO DIS.
          DAD    03/10/76    DIS
SC40771   1SO MOD FOR OPERATOR ACTION QUEUE BIT IN RA+0 
          DAD    03/05/76    1SO
SC40771A  CMMGR MOD FOR OPERATOR ACTION QUEUE BIT IN RA+0 
          DAD    03/05/76    CMMGR
SC40771B  DSD MOD FOR OPERATOR ACTION QUEUE BIT IN RA+0 
          DAD    03/05/76    DSD
SC44941   REMOVE UNUSED CODE. 
          HH     3/05/76     REQ
  
  
 SC45902  FIX DEADSTART RECOVERY TO NOT GET ERRONEOUS RB CONFLICTS. 
  
          THESE RB CONFLICTS ALWAYS ABORTS RECOVERY AND SCREWS UP THE 
  
          RBT CHAINS. 
  
          JYY    03/10/76    IRCP 
  
SC45927          GET CORRECT CHANNEL NO. FOR COUPLER-OR-UNIT-RESERVED 
                 MESSAGE. 
          EEH    76/03/15          IRCP 
 FEAT133  STACK PROCESSOR RESTRUCTURE - DEFINITIONS 
          SW     11/21/75          CMRDEF, PPSYS, CMRTEXT 
 FEAT133B STACK PROCESSOR RESTRUCTURE - CP CODES
          SW     11/21/75          CMR, CPMTR, SPM, CMRDIR, ECS 
 FEAT83A         MODS TO PL1A FOR 844 FACTORY FORMATTING/FLAWING
                 JBC  01/14/76  CONTROL, IRCP, 1SP, CMR, DSLCOM, RMSY 
 FEAT133B1 STACK PROCESSOR RESTRUCTURE - MULTI-ACCESS CORRECTIONS 
          SW     12/11/75          CMR, SPM 
 FEAT133C STACK PROCESSOR RESTRUCTURE - PP CODE PART 1
          SW     11/21/75          MTR, 3DO, 4DO, 1S5 
 FEAT133E  STACK PROCESSOR RESTRUCTURE - DEADSTART CP CODE
          SW     11/21/75          IRCP 
 FEAT133E1 CORRECTIONS TO IRCP RMS CONTROLLER DISPLAY ROUTINE 
          SW     12/29/75          IRCP 
 FEAT133F STACK PROCESSOR RESTRUCTURE - DEADSTART PP CODES
          SW     11/21/75          CONTROL
FEAT133G  DSD MODS FOR STACK PROCESSOR RE-STRUCTURE 
          DAD    12/04/75    DSD
 FEAT133C1 RBR FIELD IN SR 3RD WORD IS SHIFTED RIGHT 3 BITS.
           SW    01/27/76          1SX, 4DO 
 FEAT133C2 CORRECTS LENGTH OF COMPARISON OF STATUSES FROM EST AND DDT.
           SW    02/17/76          1RN
FEAT133E2        FREE DAT/DST CORRECTION
          EEH    76/02/12          IRCP 
 FEAT133E3 RELABEL BIT IS MOVED FROM DDT TO EST 
           SW    02/23/76          IRCP, GENDJ, PPSYS 
FEAT169D  ADD SYMBOLS FOR IDLE BIT IN EST 
          CMD    75/12/09 
FEAT169A  DEADSTART MODS FOR EXPANDER, PHASE 1
          EEH    76/01/27          DSLCOM, IRCP, CONTROL
FEAT169AB DSD MODIFICATIONS TO ALLOW 3 DIGIT EST ORD IN RMS COMMANDS
          DAD    01/27/76    DSD
FEAT169B  DSD MODS FOR 844 EXPANDER SUPPORT 
          DAD    01/13/76    DSD
 FEAT169C MODIFY ROUTINE TO CHECK FOR IDLE BITS IN EST INSTEAD OF DAT 
          GENDJ 
FEAT169AC CHANGE REQ TO HANDEL 3 DIGIT EST ORDINALS.
                        REQ 
FEAT169AF CHANGE 6IM TO HANDEL 3 DIGIT EST ORDINALS.
                        6IM 
FEAT169AK MODIFY GENDJ TO ALLOW 9 BITS WORTH OF EST ORDINALS
          JEP  2/25/76  PLA  GENDJ
FEAT169AA        MODIFICATIONS TO D/S ROUTINES FOR EXPANDER, PHASE 2. 
                 ALSO INCLUDES ADDITION OF NP EST ENTRY.
          EEH    76/02/18          DSLCOM, CONTROL, IRCP
FEAT169AG        MISCELLANEOUS FIXES TO D/S ROUTINES. 
          EEH    76/02/23          DSLCOM, CONTROL, IRCP
FEAT749I  DEFINE PPS MAJOR CYCLE TIME PARAMETER 
          JWB    02/24/76    IPARAMS
  
FEAT749A  DEFINE 2XPP SPEED TEST BIT
          JWB    02/09/76          PPSYS
  
FEAT749B  INITIALIZE 2XPP TEST BIT IN SCR AND CMR 
          JWB    02/09/76    CONTROL
 FEAT749D DSD-1DL MODS FOR 2XPPU
          JLN      76/02/22      DSD/1DL
SC43743   STOP 1DL FROM ISSUING DAYFILE MESSAGE IF S.CPSOP IS SET 
          AND CLEAN UP 1DL CODE AND LISTING A LITTLE
          DAD    03/17/76    1DL
FEAT145A RECOGNIZE AZ AS 844-41 DEVICE TYPE 
         CALL RBRLN MACRO FOR  844-41 
PL1A      CMD    02/02/76    DSLCOM 
FEAT145B RECOGNIZE PB SIZE OF 112 FOR 844-21 AND 844-41.
         THIS IS NEEDED FOR HANDLING FLAWS. 
PL1A      CMD    02/02/76      IRCP 
FEAT145E RECOGNIZE DEVICE TYPE 14 FOR 844-41
PL1A      CMD    02/02/76    1RN
FEAT145F RECOGNIZE AZ AS MNEMONIC FOR 844-41
PL1A      CMD    02/02/76    3DO
FEAT145H ISSUE DETAILED STATUS FOR 844-41 
PL1A      CMD    02/02/76    1SX
 FEAT145J SUPPORT FOR 844-41 DISK DRIVES.  DOUBLE DENSITY.
PL1A                    REQ,REQUEST 
FEAT145L  DSD MODS FOR 844 DOUBLE DENSITY SUPPORT 
          DAD    01/13/76    DSD
FEAT145M CALL RMSY FOR 844-41 AS WELL AS 844-21 
PL1A      CMD    02/02/76    CONTROL
FEAT145P  FOR PB SIZE OF 112 ON ALL 844-S FACTORY FLAW MAP
          HAS DIFFERENT PHYSICAL ADDRESS
PL1A      JBC    02/02/76    CONTROL,SPM
 FEAT169K CAUSE IRCP TO ASSIGN AY/AZ ON A GIVEN CHANNEL A SINGLE DST ORD
          IRCP
FEAT145R  EXPAND SPACE FOR MINI DIRECTORY CONTAINING
          RMS DRIVERS AND CONTROLWARE 
PL1A      EEH    02/11/76    DSLCOM,IRCP,CONTROL,STL
FEAT145A1 DEVNAMES MACRO DOES NOT HAVE ENTRY AY FOR 844 SINGLE DENSITY
PL1A      CMD    02/11/76    DSLCOM,CONTROL,IRCP
FEAT145Q1 CAUSE IRCP TO ASSIGN AY/AZ ON A GIVEN CHANNEL A SINGLE DST ORD
         JEP   2/24/76  PLA  IRCP 
FEAT169K  CREATE XU COMMAND FOR EXPANDER UNITS AND ALLOW + FIELD TO 
          INCREMENT BY 10 OCTAL 
          JEP  2/24/76  PLA  IRCP 
 FEAT133C3 ALLOWS 10-BIT RBR NO. FOR COMMUNICATION BETWEEN 1SP AND 1SX. 
          MODIFY 1SP/1SX INTERFACE TO PASS 1SP PPU NUMBER.
          MODIFY 1SX TO PUT OUT C.E. ERROR FILE MESSAGES FOR RMS AND 844
          DEVICES WITH 12 BIT EST FIELD AND PP NUMBER FIELD MOVED.
          JEP  2/24/76 PLA   1SP,1SX
  
 S3163A02 ADD VERIFYJ MACRO TO ACTCOM.
  
          JYY    11/14/75    ACTCOM 
  
S3163A03  MODIFIES ACQUIRE MACRO TO ALLOW CALLING *QAF* 
          RFG      01/14/76  ACTCOM 
  
 S3163A04 PUT OV.VEJ SYMBOL INTO PPTEXT 
  
          JYY    01/14/76    PPTEXT 
  
 S3163A05 TAKE EXTRA DEBUG MESSAGE OUT OF VEJ.
  
          JYY    01/28/76    VEJ
  
S3159A    PPSYS MODS FOR SCP EXTENSIONS 
          DAD    09/22/75    PPSYS
S3159B    1AJ MODS FOR SCP EXTENSIONS 
          DAD    12/10/75    1AJ
S3159C    MTR MODS FOR SCP EXTENSIONS 
          DAD    09/22/75    MTR
S3159E    SSYS MODS FOR SCP EXTENSIONS
          DAD    09/29/75    SSYS 
S3159H    SYSTEM CONTROL POINTS EXTENSIONS
          RLM    76/01/14          CMRDIR 
S3159J    SYSTEM CONTROL POINTS EXTENSIONS
          RLM    76/01/14          CDATA
S3159K    INHIBIT SWAPPING WHILE SCP WAIT RESPONSE ACTIVITY IS NON-ZERO 
          RLM    75/12/19          1SO
          INHIBIT SWAPPING IF THE TEMPORARY LOCK-IN BIT IS SET (S.JDTLI)
          DAD    12/01/76          1SO
S3159KA   FIX BUGS INTRODUCED BY S3159K 
          DAD    01/22/76    1SO
S3159L    1SI MODS FOR SYSTEM CONTROL POINT EXTENSIONS
          DAD    12/17/75    1SI
S3159M    SYSTEM CONTROL POINTS EXTENSIONS
          EEH    76/01/14          IRCP 
FEAT133C4  EXEMPT 1SP FROM STEP CONTROL,  INSTEAD OF 1S5
          RLM       76/02/27             MTR
FEAT145A2 844-41 GETS 2 RBR-S IF AZ TYPED IN AT D/S TIME
PL1A      CMD    03/02/76    DSLCOM,IRCP
FEAT145U  AFTER AUTOLOADING 844 BUFFER CONTROLLER,CHECK FOR 
          GENERAL STATUS OF ZERO. ZERO MEANS NO CHANNEL PARITY ERROR
          OR CHECKSUM ERROR HAS OCCURRED. 
PL1A      SW     03/02/76    CONTROL
S3159CA   MTR MOD TO PUT ALL M.SCH WITH 2 BIT IN TYPE INTO STACK
          DAD    02/24/76    MTR
S3159EL   DEFINES THE *SF.LIST* FUNCTION
          RLM    76/02/20          SSYS 
S3159JA   ADD SOMASK TO CDATA FOR SCHEDULER MODS FOR SF.SWPO/SF.SWPI
          DAD    02/16/76    CDATA
S3159JL   DATA WORDS USED BY *SF.LIST*
          RLM    76/02/20          CDATA
S3159M    MODS TO IRCP TO RECOVER COUNTS FOR SYSTEM CONTROL POINT EXTENS
          DAD    02/11/76    IRCP 
S3159N    MODS TO TDS TO PRESERVE COUNTS IN W.CPSR ON RECOVERY D/S
          DAD    02/11/76    TDS
S3159Q    SCHEDULER MODS FOR SYSTEM CP EXTENSIONS - SF.SWPO/SF.SWPI 
          DAD    02/12/76     CMMGR 
S3159R    TALK 1AB IN TO RECOGNIZING SCP-S HUNG WAITING FOR UCP-S.
          DAD    03/01/76    1AB
FEAT169AM DEADSTART RECOVERY FAILS IF ANY EST ENTRY FOR ORDINAL 77
          OR ABOVE IS EMPTY.
          SW     03/04/76          IRCP 
 SDDTEXT  DEFINE A SYSTEM TEXT CONTAINING MACROES TO INTERFACE TO THE 
          DYNAMIC DUMP FILE AND ROUTINES. 
                        SDDTEXT 
 S3137AC  ADD QUEUE FILE DISPOSITION 66B TO THE QAC LIST
          GW     8/27/75      QAC 
 S3137IP  CHANGE TO IRCP TO RECOVER WORD P.FDD
          BJP  8/14/75  IRCP
S3137MH   ADDS SUPPORT CODE FOR DYNAMIC DUMP FEATURE WHICH WILL CALL 1DD
          WHEN AN EVICT CALL IS ISSUED FOR ZZZZZDD
          RFG    06/27/75    1MH
 S3137PP  MODIFICATIONS TO PPSYS FOR FEATURE S3137
            ADD SYMBOLS DEFINING SYSTEM DYNAMIC DUMP POINTER WORD 
            ADD SYMBOL DEFINING THE PPU OVERLAY NAME OF THE SYSTEM
              DYNAMIC DUMP SERVICE PROCESSOR
            ADD SYMBOL DEFINING M.ICE PROGRAM ORDINAL TO INITIATE A 
              DYNAMIC ECS DUMP
                        PPSYS 
S3137SD   DSD MODIFICATION FOR DYNAMIC DUMP FILE TYPE.
          DAD    06/30/75    DSD
 S3137TD  CHANGE TO TDS TO CREATE A DYNAMIC DUMP FNT FOR ZZZZZDD
          BJP  8/14/75  TDS 
FEAT133BD STACK REQUEST MAY BE LOST IF STACK AREA IS FULL WHEN SPM
          IS CALLED BY CP4ES. 
          SW     03/23/76          CPCIO
FEAT169AN         STOP IRCP WIPING OUT CM PRECEDING RBR HEADERS 
                   1) WHEN LAST RBR REMOVED BY DELETING ALL RMS DEVICES 
                   2) WHEN NO RBR EXISTS FOR RMS DEVICE 
          EEH    76/03/15          IRCP 
          DONT INCLUDE FACTORY FLAWS WITH UTILITY FLAWS IN MAP
          SKH    03/11/76    IRCP 
FEAT133C5 REISSUE OF WRITE SR AFTER DAM PROCESSING WILL BE DONE THRU
          3DO WITH S.STDAM FLAG TO MAKE ENDLESS NO-RBT LOOP GO
          OUTSIDE OF SPM-1SP. 
          SW     04/06/76          3DO
S3159BA   DONT CLEAR WORD ZERO OF T.IJCT
          RLM    76/03/30           1AJ 
          ADD LE.FNT TEST TO 1SX
          SKH    3/30O76     1SX
SC45369A  CORRECT CODE TO FORMAT DEFAULT REEL NO. IN DISPLAY CODE.
          ALSO REMOVE *AOD  FMT.ERR* IN *FORMAT* SUBROUTINE, THIS 
          SHOULD ONLY BE DONE IN *ZFACD* (4LB). 
          HH     04/02/76    4LB,LABEL
  
SC44557   FIX J.ENTL,0.  COMMAND TO GIVE INFINITE TIME LEFT 
          DAD    03/29/76          DSD
SC45299A  CODE INTRODUCED BY SC45299 IN LEVEL 420 CAUSES *READN*
          FUNCTION TO FAIL FOR L TAPES. 
          RLM.   76/03/26.   1IT(2IR),2IA,2IC.
  
FEAT133BH 1SP SHOULD LEAVE PP AT MTR REQUEST EVEN WHEN REQUESTS ARE 
          OUTSTANDING FOR THE DEVICE IF THEY ARE NOT IMMEDIATELY
          DISPOSABLE. 
          SW     04/09/76          CSPM2
FEAT169AO CHANNEL NUMBER KEPT IN D.Z1.  D.Z1 IS OCASSIONALLY ZEROED.
          SO KEEP CHANNEL NUMBER IN BCCH2 
          SW     04/02/76 CONTROL 
FEAT145MA USE COMPASS CORRECTLY TO CHECK FOR AZ (DOUBLE DENSITY)
          SW     04/02/76    CONTROL
  
 SC46018  FIX CONTROL TO DISPLAY CORRECT DEVICE WHEN UNIT/COUPLER 
  
          RESERVED DURING PRE-LOAD. 
  
          JYY    04/05/76      CONTROL,RMSY 
  
  
 SC46019  TELL OPERATOR IF INTERCOM CANT BE RECOVERED.
  
          JYY    04/05/76    CONTROL
  
  
 SC46017  FIX IRCP TO KEEP TRYING FOR A BUNCH OF TIMES TO RESERVE 
  
          COUPLER FOR 844-S WHEN ALTERNATE ACCESS IS RESERVED.
  
          JYY    04/05/76    IRCP 
  
          COMPUTE GAP SECTORS AND PRU NUMBERS RIGHT FOR 844S
          SKH    4/16/76     IRCP 
FEAT133BJ READING OVER END-OF-VOLUME MAY HANG SYSTEM IF EOVPRU IS 
          NOT EQUAL TO RBSIZE.
          SW     04/13/76          CSPM2
FEAT133BF STACK REQUEST TO DEVICE REQUESTING IDLE SHOULD NOT BE 
          ATTACHED TO DOT 
          SW     03/31/76          CMR, SPM 
NB00015   CODE TO CORRECT SUPERFLUOUS DATA IN LAST BLOCK WRITTEN. 
          CORRECT CODING ERROR IN S3132F5 
          WVM    76/04/06     1MT 
  
L430     ***
SC40401A  FIX SC40401 IN DIS FOR BACKSPACE AND CLEAR ENTRIES
          DAD    04/29/76    DIS
SC40765   ADJUST USERS CPU TIME FOR TIME USED BY CPMTR
          RLM      75/06/11        CCPMTR,LINKCMR,CMR 
SC40765A  CALL *AVC* 3 TIMES FROM MTR MAINLOOP
          RLM     76/04/30              MTR 
SC43483   66X CONTROLWARE NOT AUTOLOADED ON SECONDARY TAPE CHANNEL
          AEM    4/9/76            CONTROL
SC44208   PUT NOHANG CHANNEL INSTRUCTIONS INTO DSD
          DAD    03/29/76          DSD
SC44208A  PUT NOHANG CHANNEL INSTRUCTIONS IN DIS
          DAD    03/29/76          DIS
SC45061   DSD CODE TO HANDLE ALL STATION RETURN CODES 
          DAD    03/29/76    DSD
SC46047     MOVE MODEL AND OS.ID
          DGK    04-19-76     IPTEXT
SC46055   CODE 3IL TO SET FIELD ACCESS FLAG WHEN SEARCHING FOR UVL LABEL
          ALSO CORRECT MSG TO *FET OUTSIDE FL*. 
          HH     4/26/76     3IL
  
 SC46086  GETPRU FOR ECS I/O BUFFERING MAY GET FROM ECS ONE PRU MORE
          THAN APPROPRIATE CAUSING ECS POSITIONING INCORRECTLY MANAGED. 
          SW     04/21/76          GETPRU AND PLBCNT OF ECS 
SC46092   CODE REQ TO USE D.ASG FOR UNIT NO. TO DAYFILE, D.FNT+6 IS 
          ZERO UNDER SOME CONDITIONS (AUTO ASSIGN SCRATCH)  AND MAX.
          UNITS ARE EXCEEDED. 
          HH     5/04/76     REQ
  
SC46100   CODE 3IR AND 2IP TO PROCESS OPPOSITE PARITY RECOVERY WHEN 
          POSITIONING OVER SCOPE TYPE BLOCKS. 
          HH     5/10/76     3IR,2IP
  
SC45305E  MULTIPE ENTRY POINT IF IP.ECSB=1 AND IP.ELIB=0
          RLM     76/05/05         ECS
  
NB00024   1SC DOES NOT LOG SCR IMAGE IN CERFILE FOR SINGLE BIT SECDED 
          ERRORS.   INTERVAL COUNT FOR SINGLE BIT ERRORS IS TOO LARGE.
          JLN      04/09/76        CMR,1SC
NB00045   IRCP CLEARS CPU PRIORITY CAUSING INTERCOM JOBS TO HANG. 
          AEM    5/7/76            IRCP 
FEAT133AG FET ADDRESS ERROR EXIT FROM NON-CM SR IS NOT CORRECT. 
          SW     04/26/76          1SP
FEAT133BL STACK REQUEST WITH PRIORITY FLAG SET WILL BE PLACED 
          AT THE START OF SR CHAIN FOR A DST. 
          SW     04/29/76          SPM3 
FEAT145B1 FIX PB NUMBER IN 2ND RBR HEADER FOR 844-41
          FIX MAX CYLINDERS ALLOWED FOR FLAWING 
         CMD     76/05/07    IRCP 
FEAT145C1 DIFFERENTIATE BETRWEEN STANDARD RB SIZE AND STANDARD PB SIZE
          PREVIOUSLY, BOTH ASSUMED TO BE THE SAME 
          CHANGE RBR MACRO TO DIFFERENTIATE 
          CMD    05/07/76    CMR   PL1A 
FEAT133BK BACKSPACE OVER OVERFLOW RBT WORD PAIR WITHIN SAME DEVICE
          FAILS TO GIVE CORRECT PRU POSITION. 
          SW     04/21/76          SPM2 
 NB00046  FIX ERROR IN ECS LINK DRIVER WHEN HE COMPUTES 
          THE LIMIT - LWA SO AS NOT TO LEAVE THE FILE HANG
          BECAUSE THEY ARE EQUAL. 
          DJR    76/05/07.   ECSLINK
  
  
SC40765B  SYSTEM JOB TIME IS OCCASIONALLY CHARGED TO A USER.
          ALSO CORRECTS AN ERROR IN LINKCMR, CENTRAL STEP MODE
          RLM    76/05/20          CCPMTR,CRA1,LINKCMR
SC44208B  FIX BUG IN N.DISPLAY INTRODUCED BY SC44208
          DAD     05/19/76   DSD
 SC45537C          DOCUMENTATION CHANGES
                   JTT       76/05/25  DSD,1DL,1MH,DIS,1PL
                   SRN=IMSA01 
FEAT133AJ SETS 844 CONNECTED STATUS WHEN 1SP IS INITIATED IF I/L UNIT 
          IS ALREADY CONNECTED
          SW     05/27/76          1SP
FEAT133AK SCHEME OF CM READ/WRITE ERROR PROCESSING WITH EP BIT SET
          IS MODIFIED.
          COMMUNICATION OF FATAL ERROR FLAG FROM 1SP TO SPM FOR 
          TERMINATION OF O.RMR IS NEVER SET.
          SW     05/24/76          1SP
FEAT133AL READING EMPTY FILE (EOIPRU = 0) GOES OVER END-OF-RB.
          SW     05/14/76          1SP
FEAT133AM PROCESSING OF SR INTERLOCK BROKEN IS INCORRECT IF 1SP IS
          DUAL ACCESS TYPE. 
          SW     05/17/76          1SP
 NB00041  ILLEGAL ECS ERRORS WHEN USING DDP 
 PL1A     JLA    05/14/76    ECS
          DISALLOW SYSTEM SET DEVICES WHICH START ON ODD NUMBERED PBS 
          SKH    5/19/76     IRCP 
          CHECK FOR INCOMPATABLE RB SIZES 
          SKH    5/19/76     IRCP 
SC41126   4LB DOES NOT LOAD THE CORRECT MMTC CONVERSION TABLE BASED      SC41126
          ON IP.NBCD.                                                    SC41126
          RLM.   76/01/06.   4LB,4LC,8T3.                                SC41126
                                                                         SC41126
SC41261   OUTPUT FILES DISPOSED OR ROUTED FROM INTERCOM JOBS             SC41261
          SHOULD GET DEFAULT PRIORITY.                                   SC41261
          DPK    05/17/76          6RD                                   SC41261
SC41533   FOR 9-TRACK PACKED MODE TAPES, 1NW DOES NOT HANDLE UBC         SC41533
          CORRECTLY - THUS THE 3N+2 FEATURE IS NOT USED CORRECTLY.       SC41533
          ALSO 1NW DOES NOT ZERO OUT CORRECTLY THE PADDED BYTE.          SC41533
          RLM.   76/01/06.   1NW.                                        SC41533
                                                                         SC41533
SC41538   CURRENTLY AN END-OF-FILE STATUS IS NOT RETURNED FOR AN S OR L  SC41538
          TAPE IF A TM IS ENCOUNTERED JUST AFTER THE END-OF-TAPE         SC41538
          REFLECTIVE SPOT AND BEFORE THE END-OF-VOLUME LABEL SEQUENCE.   SC41538
          1RP AND 3IV RETURN AN UNRECOGNIZABLE TRAILER LABEL MESSAGE.    SC41538
          RLM.   76/01/07.   1RP,3IV.                                    SC41538
                                                                         SC41538
                                                                         SC41721
SC41721   DSD AND 1RN DO NOT RESERVE CHANNEL BEFORE MODIFYING TAPES TABL SC41721
          JLN    05/19/76          DSD,1RN                               SC41721
                                                                         SC41721
                                                                         SC42602
                                                                         SC42602
 SC42602  FIX 1AJ TO REINITIALIZE BUF IF REPROCESS OF ACCOUNT CARD.      SC42602
          JYY    09/10/75    1AJ                                         SC42602
SC42730   IF DURING 1NW INITIALIZATION THE TAPE IS FOUND TO BE BUSY AND  SC42730
          AN ERROR OCCURS (E.G. OPERATOR DROP), THE PRU COUNT GETS       SC42730
          BASHED IN THE FNT/FST AND THUS THE COUNT IN THE TRAILER        SC42730
          LABEL IS GARBAGED.                                             SC42730
          RLM.   76/01/13.   1NW.                                        SC42730
                                                                         SC42730
SC42798   FNT REMAINS BUSY IF OPERATOR DROPS JOB WHILE WAITING FOR       SC42798
          A *GO/RECHECK* FOR AN UNRECOGNIZABLE TRAILER LABEL ON A        SC42798
          SCOPE TAPE.                                                    SC42798
          RLM.   76/01/08.   1RP.                                        SC42798
                                                                         SC42798
SC43065   SKIPF ON SCOPE FORMAT TAPES IS FAILING ON A MULTI-REEL FILE    SC43065
          BECAUSE 1TF TREATS THE TM WHICH IS A PART OF THE TRAILER       SC43065
          LABEL AS A LEVEL 17 END-OF-RECORD/FILE INSTEAD OF IGNORING IT. SC43065
          RLM.   76/01/12.   1TF.                                        SC43065
                                                                         SC43065
SC43361   1WS AND 1NW NOT COMPARING BLOCK LENGTH IN HEADER WORD FOR      SC43361
          *WRITEN* REQUESTS WITH MLRS CORRECTLY.                         SC43361
          RLM.   76/01/05.   1WS,1NW.                                    SC43361
                                                                         SC43361
SC44014   FIX 1EJ TO CALL CIO WITH CLOSE,UNLOAD FOR WRITTEN TAPE         SC44014
          (INSTEAD OF REWIND).                                           SC44014
          DPK    05/17/76          1EJ                                   SC44014
                                                                         SC44207
SC44207   REPEAT KEY DOES NOT WORK WITH N.DISPLAY COMMANDS.              SC44207
          JLN    05/21/76          DSD                                   SC44207
                                                                         SC44207
                                                                         SC44388
SC44388   "PROGRAM STOPPED" MESSAGE ON O-DISPLAY CAN FAIL IF PROGRAM     SC44388
          IS NOT ACTUALLY STOPPED.                                       SC44388
          JLN    06/02/76    DSD                                         SC44388
                                                                         SC44388
SC44553   DELETE UNNECESSARY LINES IN 1AJ                                SC44553
          DPK    03/11/76          1AJ                                   SC44553
SC44647   DO NOT SEND MESSAGE TO INTERCOM CONTROL POINT DAYFILE.         SC44647
          DPK    03/11/76          ACE                                   SC44647
SC44690   INCORRECT RING STATUS WHEN REEL-SWAPPING.                      SC44690
          ADD PARAMETER TO *MOUNT VSN* MESSAGE. ZERO CURRENT VSN         SC44690
          WHEN DRIVE FOUND NOT-READY DURING STATUSING.                   SC44690
          WVM    06/01/76          1IT,3IM,3IV                           SC44690
                                                                         SC44690
                                                                         SC44692
                                                                         SC44692
SC44692   REMOVE OBSOLETE CODE (PFMOVE) AND FIX INITIALIZATION           SC44692
          06/08/76           1AJ                                         SC44692
                                                                         SC44722
SC44722   LINKED COMMAND X(Z),NNNNNN. SHOULD NOT BE PROTECTED            SC44722
          JLN      05/21/76        DSD                                   SC44722
                                                                         SC44722
SC44772   FIX PARAMETER WORD COUNT IN RA+64, IF CONTROL CARD ENDS WITH   SC44772
          SEPARATOR INSTEAD OF TERMINATOR.                               SC44772
          DPK    03/11/76          ACE                                   SC44772
SC44776   CORRECT PARAMETER WORD COUNT IN RA+64, FOR CONTINUED           SC44776
          CONTROL CARD.                                                  SC44776
          DPK    05/20/76          1AJ,PPSYS                             SC44776
SC44864   OVERFLOW TEST IS BAD IN WRITE RECOVERY DRIVERS                 SC44864
          1P1,1P2,1P3 AND 1P4                                            SC44864
          WVM.   76/04/28    1P1,1P2,1P3,1P4                             SC44864
                                                                         SC44864
SC45015   IRCP HAS BAD TEST FOR VALID INSTALLATION DEFINED EST           SC45015
          AEM    6/30/76           IRCP                                  SC45015
SC45042   DUPLICATE LINES OF CODE IN 2IB.  D.SVARGS AND D.ARGS-2         SC45042
          HAVE THE SAME VALUE.                                           SC45042
          RLM.   76/02/02.   2IB.                                        SC45042
                                                                         SC45042
                                                                         SC45045
SC45045   GARBAGE ON Q-DISPLAY IF IP.ILCMD IS NON-ZERO                   SC45045
          JLN    06/02/76    DSD                                         SC45045
                                                                         SC45045
SC45068   ABORT IF TERMINATOR AFTER RFL, LIMIT, OR SWITCH.               SC45068
          DPK    05/17/76          1AJ                                   SC45068
 SC45107  THIS CODE CREATES A NEW FNT STRUCTURING FOR MULTI-FILES.       SC45107
          MULTI-FILES NOW HAVE A MASTER FNT ENTRY CONTAINING THE         SC45107
          MULTI-FILE NAME AND A MEMBER SUPPLEMENT FNT CONTAINING THE     SC45107
          MEMBER NAME.                                                   SC45107
          JLC    10/15/75          CIO,REQ,6WM.                          SC45107
                                                                         SC45107
                                                                         SC45320
SC45320   BAD PID IDENTIFIER PASSED TO STATION BY DSD IF IP.LINK=1. IF   SC45320
          NO LINKS ARE ACTIVE, THE RESULTING REJECT FROM STATION KILLS   SC45320
          DSD.                                                           SC45320
          JLN    06/10/76          DSD                                   SC45320
                                                                         SC45320
SC45362   SPECIAL PROCESS OF TAPE END-OF-VOLUME LABELS AND TO            SC45362
          DISASSOCIATE THE LOGICAL FILE WITHOUT REQUIRING AN ADDITIONAL  SC45362
          TAPE VOLUME TO BE MOUNTED. REQUIRE ADDITION OF NEW CIO         SC45362
          FUNCTION CODE 374B,CLOSER/RETURN.                              SC45362
          WVM    6/28/76     CIO,1IT,3IV,CPSYS                           SC45362
                                                                         SC45362
SC45362A  INSTALL NEW CIO FUNCTION CODE 374B, CLOSER/RETURN INTO         SC45362
          3II FUNCTION TABLE.                                            SC45362
          WVM    6/28/76     CIO,1IT,3IV,CPSYS                           SC45362
                                                                         SC45362
SC45362B  IF WRITING, PROCESS EOV LABEL AND IF CIO CLOSER/RETURN         SC45362
          CALL 3IC TO DO LOGICAL RETURN, DO NOT SWAP.                    SC45362
          IF READING, PROCESS EOV LABEL AND IF CIO CLOSER/RETURN         SC45362
          CALL 3IC TO DO LOGICAL RETURN, DO NOT SWAP.                    SC45362
          WVM    6/28/76     CIO,1IT,3IV,CPSYS                           SC45362
                                                                         SC45362
SC45362C  NEW SYSTEM MACRO FOR CLOSER/RETURN.                            SC45362
          WVM    6/28/76     CIO,1IT,3IV,CPSYS                           SC45362
                                                                         SC45362
SC45420   DS DUMP ABORTS IF DUMP UNIT NOT READY OR NO RING               SC45420
          AEM    6/28/76           CONTROL                               SC45420
SC45514   THE *LABEL* CARD SOMETIMES DOES NOT SET THE DENSITY            SC45514
          CORRECTLY - CAUSED BY 1TO-4LB INTERFACE PROBLEM.               SC45514
          RLM.   76/02/05.   1TO.                                        SC45514
                                                                         SC45514
SC45515   FET TOO SHORT RESULTS IN BAD FNT ADDRESS - 6WM CLOBBERS CMR.   SC45515
          RLM.   76/02/05.   6WM.                                        SC45515
                                                                         SC45515
SC45525   FORTRAN WRITTEN BINARY MULTI-REEL TAPE FILE DOES NOT GET       SC45525
          POSITIONED PROPERLY ON A REWIND.                               SC45525
          RLM.   76/01/09.   CIO.                                        SC45525
                                                                         SC45525
 SC45547  CORRECT 3IC FROM RESERVING 2 CHANNELS.                         SC45547
          JDL.   76/02/05.   3IC.                                        SC45547
                                                                         SC45547
SC45580   FOR A MULTI-REEL LABELED S-TAPE, IF A TAPE MARK (NOT PART OF   SC45580
          THE TRAILER LABEL SEQUENCE) OCCURS AT END-OF-TAPE REFLECTIVE   SC45580
          SPOT AND A DATA BLOCK(S) FOLLOWS IT BEFORE THE END-OF-VOLUME   SC45580
          TRAILER LABEL SEQUENCE (*EOV1**), AN EOV STATUS IS FORCED      SC45580
          AND THE TM PLUS DATA BLOCK(S) ARE LOST.  MODSET SC45580        SC45580
          FIXES THIS CASE.  THE CASE WHERE THE TAPE MARK ABOVE IS        SC45580
          FOLLOWED IMMEDIATELY BY THE END-OF-VOLUME LABEL SEQUENCE       SC45580
          (*EOV1**), WAS FIXED BY MODSET SC41538.                        SC45580
          RLM.   76/01/13.   1RP,3IV.                                    SC45580
                                                                         SC45580
SC45627   CHANNEL ADDRESS TABLE DOES NOT END WITH A ZERO WORD.           SC45627
          RLM.   76/02/02.   1MT.                                        SC45627
                                                                         SC45627
SC45635   IF TAPE BECOMES NOT READY DURING INITIAL LABEL CHECK           SC45635
          (STATUSING), 3IE HANGS IN A LOOP WAITING FOR UNIT TO BECOME    SC45635
          READY.                                                         SC45635
          RLM.   76/02/03.   3IE,3IR,3IW.                                SC45635
                                                                         SC45635
                                                                         SC45664
SC45664   W-DISPLAY HAS GARBAGE FOR LAST CHARACTER OF SETNAME OF         SC45664
          MEMBER PACK.                                                   SC45664
          JLN      05/17/76            DSD                               SC45664
                                                                         SC45664
SC45691   LABELS ARE NOT WRITTEN (IF UNLABELED TAPE MOUNTED) OR          SC45691
          RE-WRITTEN (IF A LABELED TAPE MOUNTED) ON SUBSEQUENT REELS     SC45691
          OF A MULTI-REEL FILE WHEN THE TAPE WAS REQUESTED WITH THE *E*  SC45691
          OR *R* PARAMETERS ON THE *REQUEST* AND *LABEL* CARDS           SC45691
          RESPECTIVELY.                                                  SC45691
          RLM.   76/04/12.   3IV.                                        SC45691
                                                                         SC45691
SC45788   IF IP.PCL=2, 1MT DOES NOT ASSEMBLE CORRECTLY.                  SC45788
          RLM.   76/03/05.   1MT.                                        SC45788
                                                                         SC45788
SC45791   IF ROUTINE *NSV* FINDS FNT FULL, IT WILL LOOP FOREVER IN A     SC45791
          TIGHT LOOP BECAUSE OF A BAD JUMP INSTRUCTION.                  SC45791
          RLM.   76/03/05.   NSV.                                        SC45791
                                                                         SC45791
SC45803   BLOCK COUNT MIS-MATCH OCCURS ON STRANGER TAPES IF BLOCK        SC45803
          COUNT IS GREATER THAN 12287D.                                  SC45803
          RLM.   76/03/05.   3IV.                                        SC45803
                                                                         SC45803
SC45825   1TS WILL NOT ALWAYS SET TAPES TABLE READY BIT FOR              SC45825
          UNLABELED TAPES.                                               SC45825
          RLM.   76/03/03.   1TS.                                        SC45825
                                                                         SC45825
SC45836   IRCP INCORRECTLY CHECKS COMMUNICATIONS AREAS FOR 1QF CALLS     SC45836
          AEM    6/30/76           IRCP                                  SC45836
SC45850   REWRITE 1MH                                                    SC45850
                 76/02/25          1MH,6PD                               SC45850
                                                                         SC45851
SCJ5851   EVICTED SPOT JOBS ARE NOT DELINKED FROM THE VSN DISPLAY        SC45851
          JLN      04/12/76        1MH                                   SC45851
                                                                         SC45851
                                                                         SC45860
SC45860   CLROP COMMAND PLUGS BAD INSTRUCTION INTO IN-LINE CODE,         SC45860
          RESULTING IN BLANK SCREENS.                                    SC45860
          JLN    06/10/76          DSD                                   SC45860
                                                                         SC45860
SC45875   MODSET SC45270 DELETED SOME CODE IN 2IB WHICH DROPPED THE      SC45875
          SLAVE PP AT END-OF-TAPE.                                       SC45875
          RLM.   76/03/03.         1IT,2IB.                              SC45875
                                                                         SC45875
SC45896   FIX SSH COMPLETE-WORD ADDRESS ERROR (FC.INIT FUNCTION),        SC45896
          WHICH LEFT STATION HUNG.                                       SC45896
          DPK    03/11/76          SSH                                   SC45896
SC45900   TAPE SPECIAL STATUS BIT NOT CHECKED CORRECTLY BY 1RN.  CODE    SC45900
          INTRODUCED BY SC44279 AND SC44279A IS NOT ENTIRELY CORRECT.    SC45900
          RLM.   76/03/26.   1RN,3IV,PPTEXT.                             SC45900
                                                                         SC45900
SC45916   FET LIMIT MUST BE LESS THAN OR EQUAL TO FIELD LENGTH           SC45916
          DPK    04/19/76          1EJ                                   SC45916
SC45946   SLAVE NOT RESETTING HIS IN POINTER IF MASTER ENCOUNTERED       SC45946
          A NOISE BLOCK AND ISSUED A REPEAT READ FUNCTION.               SC45946
          CHECK FOR NOWCM (NOT WRITE CM) BIT WAS NOT A VALID CHECK       SC45946
          WHICH ALLOWED  CM BUFFER TO HAVE GARBAGE WITTEN INTO IT.       SC45946
          WVM    76/05/24          2IA                                   SC45946
                                                                         SC45946
SC45948   1SO FIX TO DETECT SUSPECTED PROBLEM. (THE CONDITIONS TESTED    SC45948
          SHOULD NEVER HAPPEN.)                                          SC45948
          DPK    06/21/76          1SO                                   SC45948
SC45972   SKIPF WITH A LEVEL 17 WILL NOT WORK FOR AN S OR L TAPE FOR     SC45972
          A SKIP COUNT GREATER THAN 1.  ALSO MP.LCALL WAS NOT BEING      SC45972
          CLEARED WHICH CAUSED PARITY ERRORS ON SUBSEQUENT SKIPS.        SC45972
          RLM.   76/04/05.   3IV.                                        SC45972
                                                                         SC45972
 SC45999C        1AJ AND 6RD REFERENCE ABSOLUTE ZERO INSTEAD             SC45999
                 OF P.ZERO.  CHANGED CODE TO USE P.ZERO.                 SC45999
                 76/06/01          1AJ,6RD                               SC45999
SC46001   TAPE SCANNER FAILING TO SCAN ALL UNITS.                        SC46001
          RLM.   76/04/05.   1IT.                                        SC46001
                                                                         SC46001
SC46003   PACKED MODE REQUESTS FOR 9-TRACK S-TAPE ARE NOT MOD 8.         SC46003
          RLM.   76/04/08.   1IT(2IW),2IB.                               SC46003
                                                                         SC46003
SC46005   RESTORE THE 3IM PORTION OF SC44505 WHICH WAS OMITTED DURING    SC46005
          THE RESEQUENCING OF 3IM BETWEEN L410 AND L414.                 SC46005
          RLM.   76/04/05.   3IM.                                        SC46005
                                                                         SC46005
SC46041   SKIP DRIVER *2IP* NOT RELEASING CHANNEL DURING SKIPS WITH LARG SC46041
          SKIP COUNT. ADD RELEASE/RESERVE LOGIC BETWEEN LOGICAL          SC46041
          RECORDS.                                                       SC46041
          WVM    07/14/76    2IP                                         SC46041
                                                                         SC46041
SC46066   RESTORE LINE OF CODE (3IV.2675) TO STORE UPPER 6 BITS OF       SC46066
          TAPES TABLE ADDRESS                                            SC46066
          WVM.   76/04/28.   3IV                                         SC46066
                                                                         SC46066
SC46132   1MT DESTROYS EXTENDED ERROR CODE AND FET EXTENSION POINTER     SC46132
          IF XP=1 WHEN SAVING UBC IN FET + 6.  ADD CODE TO SAVE          SC46132
          EXTENDED BYTES.                                                SC46132
          WVM    07/08/76    1MT                                         SC46132
                                                                         SC46132
                                                                         SC46152
          SC46152     1RN AND 1TS DO NOT USE PPTEXT SYMBOLS              SC46152
          JLA    06/17/76          1RN,1TS                               SC46152
 SC46187         IP.ICC NOT NEEDED.                                      SC46187
                 76/06/01          ECSCOM                                SC46187
                                                                         SC46205
SC46205   DSD T-DISPLAY WILL ENTER INFINITE LOOP IF C.SNTLWA OF T.SPF    SC46205
          CONTAINS AN ODD VALUE.                                         SC46205
          JLN    07/09076          DSD                                   SC46205
                                                                         SC46205
SC46260   TEST FOR TAPE-MARK IN SCPBKWD IS INCORRECT.                    SC46260
          RECORD FRAGMENT BIT NOT SET CORRECTLY IN *SIZE*, 2IP.          SC46260
          WVM    07/14/76          2IP                                   SC46260
                                                                         SC46260
 LDR0153  ADD SYMBOL TO PPSYS FOR SUPPORT OF THE MAP VALIDITY BIT AND    LDR0153
          DELETE OBSOLETE SYMBOLS *S.CPLL* AND *S.CPLW*.                 LDR0153
          GEL    76/04/06    PPSYS                         PSR           LDR0153
                                                                         LDR0153
                                                                         NB00007
 NB00007  COMSSCR LEAVES CALLING PROGRAM IN DIFFERENT BLOCK.             NB00007
          JLN      03/16/76      COMSSCR (1SC,MTR,CONTROL)               NB00007
NB00016   BLANK LABEL ROUTINE WAS ABORTED ANYTIME THAT A WRITE           NB00016
          RECOVERED PARITY ERROR TOOK PLACE.                             NB00016
          RLM.   76/04/05.   1IT.                                        NB00016
                                                                         NB00016
                                                                         NB00026
NB00026   OFFING OF MUX EQUIPMENT TYPES SHOULD BE PROTECTED              NB00026
          JLN    05/19/76          DSD                                   NB00026
                                                                         NB00026
NB00051   TRAILER LABEL PROCESSING ON 669 ONLY TRIES ONE CONVERSION      NB00051
          MODE. SUBROUTINE (CHGDC) FROM 3IO IS ADDED TO 3IV TO ALLOW     NB00051
          CHECKING OPPOSITE CONVERSION TABLE ON 9 TRACK. ALSO TRY        NB00051
          OPPOSITE DENSITIES ON 7 TRACK. IF OPERATOR GIVES A GO TO       NB00051
          *CANNOT READ TRAILER LABEL* MESSAGE, EOI AND EOF WILL BE       NB00051
          RETURNED TO USER.                                              NB00051
          WVM.   05/26/76    3IV                                         NB00051
                                                                         NB00051
                                                                         NB00057
NB00057   DSD DOES NOT UPDATE T.VSNBUF WHEN CHANGING PRIORITY OF TQ1 JOB NB00057
          JLN    05/21/76          DSD                                   NB00057
                                                                         NB00057
NB00097   ACCESS MODE AT D/S IS FIRST IN FIRST OUT INSTEAD OF SEEK       NB00097
          AEM    6/29/76           DSLCOM                                NB00097
NB00099   INCORRECT RESIDUAL SKIP COUNT ON CIO 640B FUNCTION TO TAPE.    NB00099
          ADD CODE TO SAVE RESIDUAL SKIP COUNT ON SKIPB IN 2IP.          NB00099
          UPDATE RESIDUAL SKIP COUNT IN 2TB ON SKIPB AND BOI.            NB00099
          WVM    05/26/76    2IP,2TB                                     NB00099
                                                                         NB00099
 NB00113  BACKSPACING OF EMPTY RMS FILE OR A FILE AT BOI DECREASES       NB00113
          AVAILABLE STACK REQUEST ENTRY COUNT.                           NB00113
          SW     06/18/76          CSPM3                                 NB00113
NB00114   1SI MUST NOT UPDATE THE FNT POINTER IN USER-S FETS, EXCEPT     NB00114
          FOR MUJ (EDITOR JOBS).                                         NB00114
          (THIS CODE IS THE SAME AS BMI SCP 377, SUBMITTED 6/23/76.)     NB00114
          DPK    06/30/76    1SI                                         NB00114
                                                                         NB00122
 NB00122  1MH DOES NOT CHECK FOR CONTROL POINT ZERO WHEN LOOKING FOR     NB00122
          QUEUE FILES TO DISPLAY IN T.VSNBUF.                            NB00122
                                                                         NB00122
          CODE WILL ALLOW DEAD STARTING ON A BLOCK ID CONTROLLER.        NB00135
          THE INPUT OF GENERAL STATUS IS STILL ONLY ONE WORD INPUT,      NB00135
          BUT THE CHANNEL IS NOW DEACTIVATED AFTER ONE WORD. A BLOCK ID  NB00135
          CONTROLLER WOULD EXPECT A 2ND STATUS WORD TO BE TAKEN BY THE   NB00135
          STATUSING ROUTINE.                                             NB00135
          WVM    76/07/16          CONTROL(CED,IRP)                      NB00135
                                                                         NB00135
 NB00138  THE LENGTH PARAMETER (FP) IS NOT PROCESSED CORRECTLY ON        NB00138
            SF.READ OR SF.WRIT                                           NB00138
          RLM    76/07/13          CSCP                                  NB00138
 NB00139         SYSTEM HANGS ON AN ATTEMPT TO LINK A JOB DELEGATED      NB00139
          TO THE OTHER CPU, IF THAT CPU IS TURNED OFF.                   NB00139
          RLM    76/06/28          CCPMTR                                NB00139
SC44949Z  ADDS COMDECK COMPPIO TO PL1A                                   SC44949
          JGS    01/16/75          COMPPIO                               SC44949
SC44949Y  USE PIO TO SET NO-RERUN BIT AND CALL 1QF MODE 4 TO SET         SC44949
          NO-RERUN BIT IN THE FNT IN PFC                                 SC44949
          JGS    02/09/76    JDP                                         SC44949
SC44949W  1EJ  MUST NOT SET THE RERUN FLAG IN THE FNT.                   SC44949
          DPK    03/24/76          1EJ                                   SC44949
SC44949X  1IB SETS THE PRE-ABORT ERROR FLAG AND SENDS A DAYFILE MESSAGE  SC44949
          IF THE RERUN FLAG IN THE FNT IS SET.                           SC44949
          DPK    03/24/76          1IB                                   SC44949
NB00144   WHEN PROCESSING 844 FACTORY AND UTILITY FLAW MAPS              NB00144
          IRCP DOES NOT PROCESS ALL FLAWS.                               NB00144
          AEM    8/10/76           IRCP                                  NB00144
 NB00155  MAKE 1AJ INITIALIZE X0 TO THE ECS FL FROM THE C.CPECFL IN      NB00155
          THE CONTROL POINT AREA, NOT THE EXCHANGE PACKAGE.              NB00155
          JLH    76/08/10    1AJ                                         NB00155
                                                                         NB00160
NB00160   CLEAR SCR BIT 183 (DOUBLE BIT ERROR STATUS) FOLLOWING          NB00160
          OCCURANCE OF A DOUBLE BIT SECDED ERROR.  THIS PREVENTS         NB00160
          SUBSEQUENT SINGLE BIT ERRORS FROM ERRONEOUSLY BEING REPORTED   NB00160
          AS DOUBLE BIT ERRORS.                                          NB00160
          JLN    08/11/76          1SC                                   NB00160
                                                                         NB00160
 SC44949XA CORRECT SC44949X SO ACCOUNTING MSG IS ISSUED.                 SC44949
           JLH                1IB                                        SC44949
L434     ***                                                             *L434* 
L439     ***                                                             *L439* 
CP146E    *1AJ* IS MODIFIED TO ZERO THE *CMM* BIT IN THE CONTROL         CP146E 
          POINT AREA (W.CPFLAG/C.CPFLAG/S.CPCMM) WHEN ADVANCING          CP146E 
          TO THE NEXT JOB STEP.                                          CP146E 
          CJL    76/01/27    1AJ                                         CP146E 
                                                                         CP146E 
CP146F    *MEM* MODS FOR CMM.  THIS INCLUDES ERROR CHECKING AND          CP146F 
          PROCESSING OF THE CMM BIT IN THE CP AREA.                      CP146F 
          GEL    76/01/28    MEM                           FEATURE       CP146F 
                                                                         CP146F 
SC45822   RESTORE LAST 2 WORDS OF FIELD LENGTH PROPERLY AFTER ROLLIN.    SC45822
          DPK    09/08/76    1SI,1SO                                     SC45822
SC46310   CHANNEL HANG OCCURING IN 2IL WHEN TRYING TO READ VOL1          SC46310
          HEADER OF MULTI-VOLUME FILE. UNIT WAS STILL BUSY AT THE TIME   SC46310
          THE READ FUNCTION WAS ISSUED. ADD NOTBUSY CHECK BEFORE         SC46310
          READ FUNCTION.                                                 SC46310
          WVM    08/02/76          2IL                                   SC46310
                                                                         SC46310
F4600IB   SET ACCESS LEVEL IN C. P. AREA FOR BATCH JOBS.                 F4600IB
          DPK    07/22/76    1IB                                         F4600IB
F4600IP   DEFINE IP.IACES (ACCESS LEVEL)                                 F4600IP
             AND IP.DBAL (DEFAULT BATCH JOB ACCESS LEVEL).               F4600IP
          DPK    08/11/76    IPARAMS                                     F4600IP
F4600PP   DEFINE W.IUAPP, C.IUACS (INTERCOM USER TABLE OFFSETS),         F4600PP
          DEFINE W.IACES, C.IACES (ACCESS LEVEL FIELD IN C. P. AREA).    F4600PP
          DPK    07/22/76    PPSYS                                       F4600PP
 F7820PS  ADD SYMBOL *F.PNTGN* TO PPSYS.                                 F7820PS
          RKN    76/08/20    PPSYS                                       F7820PS
                                                                         F7820PS
NB00197   DO NOT ALLOW SC44690 TO UNLOAD TAPE IF RING STAUS IS NOT       NB00197
          CORRECT, UNIT IS ALREADY UNLOADED AND WILL GET A SYSTEM ERROR. NB00197
          WVM    09/30/76          3IV                                   NB00197
                                                                         NB00197
NB00212   1QF BMR - 1TO ON RETURN FROM EVENT STACK IN RESPONSE TO GOXX   NB00212
          FOR UNEXPIRED LABEL CHECK LOSING FNT DEVICE TYPE.  PROBLEM IN  NB00212
          TRODUCED BY SC45514.                                           NB00212
          WVM    10/05/76          1TO                                   NB00212
                                                                         NB00212
NB00233   1OP NOT WAITING FOR COMPLETE BIT IF CPEF IS SET                NB00233
 10/22/76 JLA    1OP                                                     NB00233
NB00114A  RESPONSE 2.  1SI UPDATES THE FNT POINTER IN USER-S FET         NB00114
          FOR MUJ ONLY (RESPONSE 1).  THIS CAUSED A PROBLEM WITH 1PK, SO NB00114
          1SI ALSO UPDATES THE FNT POINTER IN USER-S FET FOR ANY JOB,    NB00114
          IF THE FNT CODE AND STATUS IS NOT COMPLETE.                    NB00114
          DPK    10/13/76          1SI                                   NB00114
NB00244   SPM LOSES TWO RBS OF DATA ON FILE OVERFLOW                     NB00244
11/08/76  JLA    SPM2(CMR)                                               NB00244
L447     **** 
NB00020   SETNAME SHOULD BE INCLUDED IN NO SPACE MESSAGE                004180
          JLA    07/12/76    3DO                                        004190
NB00105   IP.PCL = 2 NOT SUPPORTED FOR 607 READ RECOVERY, RETRY         002820
          COUNT NOT ADJUSTED PROPERLY WHEN IP.PCL .NE. 3.               002830
          WVM    08/02/76          1R2                                  002840
                                                                        002850
                                                                        001100
NB00142   IP.CSET SYMBOLS DEFINED IN WRONG LOCATION.                    001110
          JLN    07/27/76    IPARAMS                                    001120
                                                                        001130
NB00169   CED HAS INSUFFICIENT SPACE FOR MAINTENANCE                    005400
          AEM    8/26/76           CONTROL                              005410
 SC44677         NO CHECK IS MADE THAT RACDAC CALLS ARE FROM EDITLIB.   000680
                 ADDED A CHECK IN RACDAC AFTER THE ENTRY POINTS TO      000690
                 ENSURE THAT THE PROGRAM THAT CALLED IT WAS FROM        000700
                 THE SYSTEM LIBRARY.                                    000710
                 76/06/20          RACDAC                               000720
SC46277   SCHEDULER MUST RELEASE C. P. INTERLOCK BEFORE UPM EXIT.       011210
          DPK    08/23/76    CMMGR                                      011220
SC46288   UBC FIELD OF THE FET BEING SET TO ZERO IN DOING A READSKP EVEN000480
          IF TRUNCATION DID NOT OCCUR.                                  000490
          WVM    07/26/76          1NR,1RS                              000500
                                                                        000510
SC46289   FET EXTENSION POINTER BEING CLOBBERED WHEN UBC IS STORED.     000140
          WVM    07/26/76          1CR,1CS                              000150
                                                                        000160
                                                                        001200
SC46297   AVAILABLE RB COUNT SHOULD APPEAR ON V DISPLAY NOT E DISPLAY.  001210
          JLN    07/23/76          DSD                                  001220
                                                                        001230
SC46185   RESPONSE *YYYY.NO* TO MESSAGE (F.ERR124) *SHOULD WRITING BE   003170
          ALLOWED ON UNEXPIRED TAPE* DOES NOT PREVENT EOJ PROCESSING    003180
          FROM WRITING TRAILER LABEL ON TAPE.  ADD CODE TO CLEAR FNT    003190
          WRITE BIT AT TAG *RESPOND* IN COM3II IF *YYYY.NO* RESPONSE.   003200
          WVM    08/09/76          1IT                                  003210
                                                                        003220
 FEAT161AJ *1AJ* IS MODIFIED TO PROCESS THE NEW *PNT* FORMAT
          IN SUPPORT OF *FDL*.
          CJL    76/01/23    1AJ                           FEATURE
  
F4600AC   RETURN EOR STATUS IF SHORT PRU FOUND WHEN BACKSPACING 
          CONTROL CARDS (NEEDED FOR CYBER CONTROL LANGUAGE PROCESSING). 
          DPK    08/12/76    ACE
F4600AJ   SET CCL REGISTER *EF* = C.CPEF, BITS 0-5. 
          SET JOB ORIGIN TYPE IDENTIFICATION IN RA+66, BYTE 2.
          DPK    07/22/76    1AJ
F4600AT   DEFINE CCL FUNCTION MACROS - ACCSF, ENCSF, FILINFO, GETJCI, 
          AND SETJCI. 
          DPK    07/22/76    ACTCOM 
F4006B    CLEAR THE INPUT FILE FST WORD AND POINTER IN THE
          C. P. AREA WHENEVER THE CONTROL STATEMENT BUFFER IS ALTERED 
          WITH X.CCC... OR ENS.CCCC...
          SET THE ACCESS LEVEL IN THE C. P. AREA (W.IACES). 
          DPK    07/21/76    DIS
 F7510DS  THIS CODE CHANGES THE *E*, *W*, AND *V* DISPLAYS IN DSD.       FTDSD
          THE CHANGE IN THE *E* DISPLAY SHOWS THE ACCESS TYPE OF THE     FTDSD
          UNIT, THE *W* DISPLAY CHANGES SHOW THE RECORDING MODE OF THE   FTDSD
          PACK REQUESTED, AND THE *V* DISPLAY MODS ELIMINATE THE BUFFER  FTDSD
          DEVICE FLAG.                                                   FTDSD
                                                                         FTDSD
          RAM    07/07/76          DSD, 8DE, 8DV, 8DW.                   FTDSD
                                                                         FTDSD
 F7510ES  THIS MOD CHANGES THE EST MACRO TO ALLOW FOR CONTROLLER TYPE 
          FOR 844 CONTROLLERS.  THIS MOD ALSO DELETES THE SHARED
          CONTROLLER ATTRIBUTE FROM THE EST MACRO.
  
          RAM    08/02/76          CMR
  
 F7510IT  ADD RECORDING MODE SYMBOLS TO IPTEXT. 
  
          RMD    08/13/76          IPTEXT 
  
 F7510PT  THESE CHANGES DEFINE THE NEW SYMBOLS IN THE RMS TABLES FOR 844
          FULL TRACKING RECORDING MODE AND CONTROLLER TYPE BITS.
  
          JLC    07/07/76          PPTEXT 
  
 C7510PT  ADD DST,DAT SYMBOLS TO PPTEXT FOR 844 FULL TRACKING 
  
          RMD    08/13/76          PPTEXT 
  
 F7520CM  CHANGES CMR TO ALLOW A PFC SPECIFIED WITH THE EST MACRO.
          JLH    8/16/76     CMR
 F7520CP  CHANGE DEADSTART TO ACCEPT A PARAMETER TO TOGGLE THE PFC BIT
          IN THE EST
          JLH    8/16/76     IRCP 
 F7520DD  DSD WILL APPEND A P TO PRINTERS PFC EQUIPED 
          JLH    8/16/76     DSD
 F7520QA  MODIFIES QAC TO RETURN THE SC PARAMETER ON A GET FUNCTION.
          JLH    8/16/76     QAC
 F7520RD  CREATES A 104B FNT SUPPLEMENT TO HOLD THE SC FOR OUTPUT FILES 
          JLH    8/16/76     6RD
 F7520RT  A NEW PARAMETER IS ADDED TO ROUTE,  THE SC FOR PFC PRINTERS.
          JLH    8/16/76     ROUTE
 F7540BA  REDEFINE PP RESIDENT DEFINITIONS FOR RESTRUCTURING AND
          SEGMENTED READ/WRITE LOGIC. 
          07/23/76                 PPTEXT 
 F7540BH  CLEAN UP PP RESIDENT CODE, IMPLEMENT VARIABLE DELAYS
          ACCORDING TO SYSTEM PP CHARACTERISTICS, AND IMPLEMENT 
          A GENERAL SEGMENTATION SCHEME FOR READ/WRITE LOGIC. 
          07/23/76                 STL
 F7540BP  CLEAN UP PPLIB CODE AND IMPLEMENT M.PPLIB FUNCTION. 
          08/14/76           CCPMTR 
 F7540BQ  CLEAN UP DEFINITION AND COMMENT PP RESIDENT SEGMENT SAVE
          TABLE (T.PPOVL).
          07/23/76                 CMR
 F7540BR  SAVE PPNT+1 ADDRESS IN MSG2 INSTEAD OF MSG3.
          08/14/76           CRESCH 
 F7540BS  CHANGE USES OF MSG3 TO MSG2 AND USE MSG3 TO PASS SEGMENT
          LOAD INFO 
          08/14/76           ECS
 F7540BT  DEFINE M.PPLIB FUNCTION.
          08/14/76           MTR
 F7540BU  DEFINE M.PPLIB FUNCTION FOR M DISPLAY.
          08/14/76           DSD
F7820GD   CODE TO USE NEW MSG= INTERFACE                                000120
                 07/14/76    GENDJ                                      000130
 F7820LR  CHANGE *LDCMR=* DOCUMENTATION.
          RKN    76/08/20    LDCMR= 
  
F7820SR   CODE TO SUPPORT NEW COMMON MESSAGE MACRO
                 07/14/76    COMCSYS
F7820DS   CODE FOR DEADSTART TO SUPPORT THE EXPANDED PNT FORMAT 
          IMPLEMENTED BY THE FAST DYNAMIC LOADER PROJECT
          AEM    8/4/76            IRCP 
SC46366   READN REQUEST FAILS ON 66X LTAPE IF MLRS=0.                   062670
          CHECK FOR READN REQUEST IF MLRS=0. IF IT IS, SET MLRS TO      062680
          LIMIT-FIRST-2.                                                062690
          WVM    08/30/76    1IT                                        062700
                                                                        062710
 F7510DC  THESE MODS DEFINE NECCESARY SYMBOLS FOR DEADSTART FO FULL     071540
          TRACKING.                                                     071550
                                                                        071560
          AEM    09/09/76          DSLCOM                               071570
                                                                        071580
 F7510SP  THESE MODS IMPLEMENT 844 FULL TRACKING.                       071780
                                                                        071790
          JLC/RAM 09/09/76         1SP                                  071800
                                                                        071810
  
F7020TD   TDS MODS FOR SYSTEM IDLE.  ADD CODE TO INITIALIZE THE SYSTEM
          CHECKPOINT FILE (ZZZZCKP) ON ALL DEADSTARTS.  TDS HAD TO BE 
          RESTRUCTURED TO MAKE ROOM FOR THIS CODE.
          JLN    09/11/76          TDS,6T1,6T2
  
F7020CD   DEFINE DATA AREAS FOR SYSTEM IDLE.
          JLN    09/11/76    CDATA
  
SYSIDLE   SYSTEM IDLE MAIN-LINE CODE. ADDS NEW DECK SYSIDLE AND NEW 
          COMDECK CSYSIDLE. 
          JLN    09/11/76    SYSIDLE, CSYSIDLE
  
  
F7020MM   SCHEDULER MODS FOR SYSTEM IDLE.  RESTRICT SCHEDULER TO
          CLEANING UP CONTROL POINT AREAS WHEN IN SYSTEM IDLE MODE. 
          JLN    09/11/76    CMMGR
  
  
F7020CP   CPMTR MODS FOR SYSTEM IDLE.  DETECT CONTROL POINT MODE ERRORS 
          CAUSED BY MEMORY FAILURE AND INITIATE A SYSTEM CHECKPOINT 
          IN RESPONSE.
          JLN    09/11/76    CCPMTR 
  
  
F7020DR   CMRDIR MODS TO DESCRIBE SYSTEM IDLE SEGMENTS. 
          JLN    09/11/76    CMRDIR 
  
  
F7020CM   CMR MODS TO SUPPORT SYSTEM IDLE. (TABLE CHANGES.) 
          JLN    09/11/76    CMR
  
  
F7020RE   MODS TO CPU RESCHEDULING TO SUPPORT SYSTEM IDLE.
          JLN    09/11/76    CRESCH 
  
  
F7020MR   MTR MODS FOR SYSTEM IDLE.  MONITOR T.SIOR AS A DISPERSED
          FUNCTION AND DISALLOW STORAGE MOVE ON CONTROL POINTS WITH CPU 
          STATUS R. 
          JLN    09/11/76          MTR
  
  
F7020IP   DEFINE IP.SIDLE DEFAULT VALUE IN IPARAMS. 
          JLN    09/11/76    IPARAMS
  
  
F7020PP   TEXT CHANGES TO DEFINE SYSTEM IDLE SYMBOLS. 
          JLN    09/11/76    PPSYS
  
F4600MH   SET ACCESS LEVEL FOR SYSTEM JOB.
          DPK    07/23/76    1MH
F4600TD   SET ACCESS LEVEL IN CONTROL POINT AREA FOR GENDJ. 
          DPK    09/21/76          TDS
 F7510SX  THIS CHANGE ADD THE EXTRA 8 BYTES OF DETAILED STATUS TO THE CE
          ERROR FILE FOR 844 DISKS. THE DETAILED STATUS LENGTH IS NOW 
          TWENTY BYTES. 
  
          RAM    08/05/76          1SX
  
 F7820TD  CHANGE THE *LO* PARAMETER OF THE *LDCMR* STATEMENT. 
          RKN    08/20/76    TDS
  
 C7520RT  CORRECTIVE CODE FOR F7520.  CONFORMS TO CODING STANDARDS. 
          JLH    9/15/76     ROUTE
 C7520QA  CORRECTIVE CODE FOR F7520.  CONFORMS TO CODING STANDARDS. 
          JLH    9/15/76     QAC
SC46304   FTN REWIND OF MULTI-VOLUME TAPE FILE SOMETIMES FAILS.         147000
          FTN ISSUED A CLOSE-NR AND AN OPEN-NR BEFORE WRITING ON FILE   147010
          WHICH CHANGED LAST CIO FUNCTION FROM A REWIND TO A CLOSE      147020
          FUNCTION. 3IO IN CHECKING LAST CIO FUNCTION DID NOT ASK FOR   147030
          REEL ONE IN THIS CASE. THIS MODSET WILL SAVE A BIT IN THE     147040
          TAPES TABLE TO INDICATE A REWIND HAS BEEN DONE ON             147050
          THIS FILE SO THAT THE NEXT OPEN WILL KNOW TO ASK FOR REEL ONE.147060
          WVM    08/02/76          3IC,3IO                              147070
                                                                        147080
MPTR749F  SUPPORT 2XPPU SPEED FOR CYBER 170.                             F7090EJ
          PREVIOUSLY FEAT749F, BEING REINTRODUCED BY FEAT7090.           F7090EJ
          WVM    08/20/76          1IT.3IW                               F7090EJ
                                                                         F7090EJ
MPTR5180  UPPER 30 BITS OF WORD 7 OF FET ARE DESTROYED BY 66X DRIVERS    F7090EK
          -XP FIELDS ARE DESTROYED.                                      F7090EK
          PREVIOUSLY WAS SC45180, BEING REINTRODUCED BY FEAT7090.        F7090EK
          WVM    08/20/76          1IT(2IR),2IA,2IC                      F7090EK
                                                                         F7090EK
MPTR5569  CORRECT OVERFLOW PROBLEM IN 2IL                                F7090EL
          WVM    08/22/76    2IL                                         F7090EL
                                                                         F7090EL
MPTR6100  DIRECT CELL D.TFB IS NOW MEMORY CELL H.TFB FOR ATS/6250        F7090EM
          FEAT7090 MODS.                                                 F7090EM
          WVM    08/22/76    3IR                                         F7090EM
                                                                         F7090EM
MPTR5635  CHECK FOR SYSTEM REQUEST NOT NECESSARY IN 3IW                  F7090EN
          WVM    08/22/76    3IE,3IR,3IW                                 F7090EN
                                                                         F7090EN
MPTR6036  PURGE SC46036 AND REINTRODUCE WITH FEAT7090 TO RESOLVE CONFLI  F7090EQ
          CTS.  SYSTEM ERROR ON UPDATE CREATING A WPL.  INSERT A JUMP    F7090EQ
          TO GSTS ROUTINE AFTER ISSUING MOTION FUNCTION IN 2IP.          F7090EQ
          WVM    08/26/76          2IP                                   F7090EQ
                                                                         F7090EQ
                                                                        090850
F7020AJ   DECOMMIT SUPPORT FOR SECOND PARAMETER ON MODE CARD.  ALWAYS   090860
          ENABLE ERROR EXIT ON HARDWARE ERRORS.                         090870
          JLN    08/11/76          1AJ                                  090880
                                                                        090890
                                                                        091280
F7020SO   FORCE ALL SWAP-OUTS TO DISK WHEN SYSIDLE IS ACTIVE.           091290
          JLN    08/11/76          1SO                                  091300
                                                                        091310
 F7510CO  THESE MODS IMPLEMENT FULL TRACKING CAPABILITIES.              240040
                                                                        240050
          JLC    09/09/76          CONTROL                              240060
                                                                        240070
 F7510IR  THESE MODS IMPLEMENT THE DEADSTART PROCEDURES FOR THE 7154    244830
          AND FOR 844 FULL TRACKING.                                    244840
          AEM    09/09/76          IRCP                                 244850
                                                                        244860
 F7510SM  THIS MODSET IMPLEMENTS 844 FULL TRACKING CHANGES NECCESARY    251460
          FOR SPM.                                                      251470
                                                                        251480
          JLC    09/09/76          SPM                                  251490
                                                                        251500
NB00149   REQUEST CARD WITH *MF* PARAMETER AND WITHOUT *E/N* PARAMETER  255860
          DEFAULTS TO *N* PARAMETER.  CODE REQUEST TO DEFAULT TO *E*    255870
          IF.....*MF* SPECIFIED, *E/N* NOT SPECIFIED AND LABEL TYPE NOT 255880
          SPECIFIED.                                                    255890
          WVM    08/11/76          REQUEST                              255900
                                                                        255910
  
 F7190AT  ADD MACROS *CEVAL* AND *GETMC* TO COMMON DECK *ACTCOM*. 
          RKN    76/09/20    ACTCOM 
  
F4600AK   CHECK USER-S ACCESS LEVEL AND PERMISSIONS BEFORE LOADING
          A SYSTEM PROGRAM. 
          LOAD *BEGIN* FOR LIBRARY-RESIDENT PROCEDURE CALLED BY NAME. 
          DPK    09/24/76          1AJ
F4600SI   SET ACCESS LEVEL IN C. P. AREA FOR INTERCOM LOGIN.
          DPK    09/17/76    1SI
F4600SO   CCL-GENERATED FILES (ZZCCLXX) ARE CONSIDERED SYSTEM FILES.
          DPK    09/05/76    1SO
 F7190DS  ADD *ENGR.* COMMAND TO *DSD*. 
          RKN    76/08/31    DSD
  
 F7190PS  ADD SYMBOLS *T.ENGR* AND *C.ENGR* TO PPSYS. 
          RKN    76/08/31    PPSYS
  
  
F7020DC   MODIFICATIONS TO DSLCOM TO SUPPORT A RECOVERY OF THE SYSTEM 
          FROM THE CONTENTS OF THE SYSTEM CHECKPOINT FILE ZZZZCKP.
          AEM    09/22/76    DSLCOM 
  
  
F7020CN   MODIFICATIONS TO CONTROL TO SUPPORT A RECOVERY OF THE SYSTEM
          FROM THE CONTENTS OF THE SYSTEM CHECKPOINT FILE ZZZZCKP.
          AEM    09/22/76    CONTROL
  
  
F7020IR   MODIFICATIONS TO IRCP TO SUPPORT A RECOVERY OF THE SYSTEM 
          FROM THE CONTENTS OF THE SYSTEM CHECKPOINT FILE ZZZZCKP.
          AEM    09/22/76    IRCP 
  
  
F7020SC   1SC REWRITE FOR SYSTEM IDLE PROJECT.
          JLN    09/22/76          1SC
  
  
F7020CS   COMSSCR MODS FOR SYSTEM IDLE. 
          JLN    09/22/76          COMSSCR
  
 C7090AO ENABLES ATS UNIT CHECK IN CIO TO CALL 1IT DRIVERS. 
          WJS.   76/09/28 
  
 C7090BAAA IS A MOD TO TDS ROUTINE DUE TO RESTRUCTURED TDS. 
 THE CALL TO 1LC WAS REMOVED FROM AN OVERLAY AREA.
          WJS.   76/09/28 
  
  
  
C7510C1   THIS MOD REPAIRS TWO PROBLEMS IN IRP, ONE THAT PREVENTS THE 
          PROPER HALF TRACK CONTROLWARE TO BE LOADED, AND ANOTHER THAT
          OVERWRITES VALID CODE IN IRP SEGMENTS.
  
          JLC    09/26/76.   IRP. 
  
 FEAT161DQ ADD *LOADD* AND *LOADQ* MACROS TO THE COMMON DECK *ACTCOM*    FDLMACS
          IN SUPPORT OF FAST DYNAMIC LOADING.                            FDLMACS
          SBJ    76/02/25    ACTCOM                        FEATURE       FDLMACS
                                                                         FDLMACS
  
C7020AD   CHECKPOINT COMMAND SHOULD BE ILLEGAL IF SYSTEM ALREADY IN 
          IDLE MODE.
          JLN    10/07/76          DSD
  
  
C7020AC   IN DUAL CPU SYSTEMS LEVEL 2 SYSTEM IDLE MAY TIME OUT TOO SOON 
          WHEN SWAPPING CONTROL POINTS. 
          JLN    10/01/76          CSYSIDLE 
  
  
C7020AB   CONSOLE-INITIATED JOBS SHOULD HAVE EXIT MODE SET TO 7007B.
          JLN    09/29/76          1MH
  
  
C7020AA   IRCP DOES NOT KILL INTERCOM USER TABLES PROPERLY FOR
          CHECKPOINT RECOVERY.  RECOVERY OF T.ELST SHOULD ONLY RESTORE
          W.ELSTOP WORDS. 
          JLN    09/29/76          IRCP 
  
                                                                         C7090AI
 C7090AIRB - MODS TO 6IM TO PUBLISH TAPE/UNIT MISMATCH MESSAGE           C7090AI
                                                                         C7090AI
                                                                         C7090AD
 C7090ADRA - FIX LABEL TO RECOGNIZE NON-STANDARD EXPIRATION DATE, AT     C7090AD
             LEAST TO THE EXTENT OF NOT DISPLAYING GARBAGE.              C7090AD
                                                                         C7090AD
C7090FW IS MOD TO 1MH FOR CODE REVIEW ALTERATION REQUIREMENTS 
          WJS.   76/10/15 
  
C7090FJAC CORRECTS RECOVERY PROBLEMS IN IRCP (DEADSTART RECOVERY
          WITH ALTERED EST TAPE ENTRIES AND CHECKPOINT RECOVERY.) 
  
          WJS.   76/10/13 
                                                                         C7090AG
 C7090AGRC - MODIFY REQ TO EXAMINE S.TTWD IN TAPES TABLE FOR AN          C7090AG
             UNREADABLE TAPE, IF *NORING* OR EXISTING LABEL WAS          C7090AG
             REQUESTED.                                                  C7090AG
                                                                         C7090AG
C7090ABAB IS MOD TO CORRECT EST MACRO ALTERED AT RESEQUENCE OF CMR AT R2
          THE MOD=(MTS,BID) WAS DISABLED ERRORONEOUSLY. 
          WJS.   76/09/28 
 C7090FV CHANGES MOUNT MESSAGE TO 67X FOR AN ATS UNIT.                   C7090FV
          WJS.   76/09/28                                                C7090FV
                                                                         C7090FV
C7090BDCA 1IT DOESNT POST *REJECT* MSG AND SHARE CHANNEL IF A UNIT IS    C7090BD
          SWITCHED OFF LINE AT THE ATS CONTROLLER.                       C7090BD
          FIX.   FORCE THE *RES* SUBROUTINE IN COMSUB TO ISSUE *REJECT*  C7090BD
          MSG AND TO RELEASE AND RE-RESERVE EQUIP WHILE WAITING FOR THE  C7090BD
          ABNORMAL CONDITION TO CLEAR. (NOTE...EC=3 IS UNDEFINED ON MTS  C7090BD
          SO 66X IS NOT AFFECTED BY THIS CHANGE)                         C7090BD
          WVM    09/30/76    1IT                                         C7090BD
                                                                         C7090BD
C7090EIAB CORRECT PROBLEM OF *0I* NOT IN PPLIB.                          C7090EI
          OCCURING ON MTS BINARY READ RECOVERY.                          C7090EI
          WVM    10/06/76          1IT(3II)                              C7090EI
                                                                         C7090EI
C7090EGAA UNLOAD CONTROL CARD NOT UNLOADING TAPE UNIT. F7090EG RESERVED  C7090EG
          UNIT BEFORE GOING TO TAKE CUMULATIVE STATUS WHERE UNIT WAS     C7090EG
          RELEASED AFTER STATUS WAS TAKEN. UNLOAD/REWIND FUNCTION WAS    C7090EG
          THEN REJECTED THEREFORE NOT UNLOADING UNIT.                    C7090EG
          WVM    10/11/76          3IC                                   C7090EG
                                                                         C7090EG
C7090BMAA STATUS ROUTINE IN 3IC NOT HAVING GENERAL STATUS LENGTH RESET.  C7090BM
          WVM    10/12/76          3IC                                   C7090BM
                                                                         C7090BM
C7090FRAB PREL ROUTINE NOT RELEASING CHANNEL                             C7090FR
          WVM    10/13/76          2IP                                   C7090FR
                                                                         C7090FR
C7090EECA MOVE TEMP ID WINDOW TO ALLOW RECOVERY                          C7090EE
          NH     10/06/76          3IR,3IW,3IE                           C7090EE
                                                                         C7090EE
                                                                         C7090EF
 C7090EFRA - MODIFY 3IC TO NOT INCREMENT STGFRE IF UNIT IS OFF. ( IT     C7090EF
             MAY HAVE BEEN DOWNED OR OFFED OR MADE READ ONLY WHILE UNIT  C7090EF
             WAS ASSIGNED TO A CONTROL POINT, OR IT MAY HAVE BEEN        C7090EF
             A READ ONLY UNIT ASSIGNED IN THE NORMAL MANNER.             C7090EF
                                                                         C7090EF
C7090CTCA IS MOD TO DISTINGQUISH GCR UNITS FROM NRZI/PHASE UNITS. 
          WJS.   76/10/16 
  
C7820DS   IRCP FAILS TO INSERT DISK ADDRESSES INTO A PNT
          CONTAINING FDL CAPSULE GROUP ENTRIES. 
          AEM    10/06/76    IRCP 
  
  
 C7090FX  MODS TO DSD FOR ATS/RAM IMPLEMENTATON.
  
          BJE    09/30/76     DSD 
  
C7090EFRB C7090EFRA SHOULD HAVE MINUS JUMP IF UNIT IS OFF 
          WVM    76/10/19          3IC
  
NB00025E  ADD FC.1PK10 TO PPTEXT
          JLA    06/16/76          PPTEXT 
  
NB00025D  1RN WILL CALL 1PK WITH FC.1PK10 IF IT FINDS APF ENTRIES WITH
          BIT S.APOM SET
          JLA    06/16/76          1RN
  
NB00151   RECHECK REPLY TO F.ERR101,F.ERR102,F.ERR103 DOES NOT ALWAYS 
          RECHECK IF CORRECT TAPE IS MOUNTED. 
          CODE 3IO TO TRY BOTH CONVERSION TABLES IF NINE TRACK AND
          RECHECK REPLY.
          WVM    09/20/76          3IO
  
SC46409   3IW STORES LARGEST NOISE BLOCK IN TEMP2 BUT CHECKS LOCATION 
          TEMP FOR LARGEST NOISE BLOCK. 
          WVM    09/29/76          3IW
  
SC46287   CORRECT CP/PP INTERLOCK TEST. 
          DPK    09/15/76          1SO
NB00195   NOT ALL FLAWS FROM THE 844 UTILITY SECTOR ARE PROCESSED.
          AEM    10/06/76    IRCP 
  
  
SC46295   WHEN ADDING PREASSEMBLED FLAWS FROM CMR, ERROR PROCESSING 
          IS IN ERROR.
          AEM    10/07/76    IRCP 
  
  
SC46276   IRCP CANNOT HANDLE SPM RELEASE CHAIN. 
          AEM    10/07/76    IRCP 
  
  
  
 C7190DS  ENTER *ENGR.* IN SYSTEM DAYFILE.
          76/10/05           DSD
  
C4600IB   INPUT FILE DISPOSITION CODE = XX04 (C.FDC). 
          DPK    10/01/76    1IB
F4600EJ   SEARCH FOR INPUT FILE IN CASE CCL PROCEDURE FILE HAS BEEN 
          SUBSTITUTED. (DON-T RELY ON C.CPFST)
          DPK    10/01/76    1EJ
C4600PP   ADD SYMBOLS FOR CCL CONTROL AND ERROR REGISTERS TO THE
          CONTROL POINT AREA SYMBOLS. 
          CORRECT FORMAT OF W.IACES AND C.IACES DEFINITIONS.
          DPK    10/11/76          PPSYS
F4600CL   USE JDT ADDRESS TO DETERMINE IF SYSTEM JOB. 
          PREVENT RETURN/UNLOAD OF INPUT FILE OR OF CCL PROCEDURE FILE. 
          DPK    10/07/76    1CL
C4600SI   CHECK CCL PROCEDURE LEVEL IN W.CPCCL1 BEFORE SETTING
          C.CPFST.  IF LEVEL IS ZERO, SET C.CPFST TO *INPUT*. 
          IF LEVEL IS ODD, SET C.CPFST TO *ZZZZZC1*.
          IF LEVEL IS EVEN, SET C.CPFST TO *ZZZZZC2*. 
          DPK    10/06/76          1SI
  
C7020AE   RESTRUCTURE OF CED TO PROVIDE SPACE FOR FURTHUR CODE
          TO SUPPORT THE SYSTEM IDLE PROJECT. 
          AEM    10/12/76    CONTROL
  
  
C7020AF   DEADSTART MEMORY TESTING SHOULD REPORT QUADRANT NUMBER WHEN 
          DOUBLE-BIT SECDED ERRORS ENCOUNTERED. 
          JLN    10/11/76          CONTROL
  
  
 C7510S1  THIS MOD CORRECTS THE ENTRY TO FULL TRACK ERROR RECOVERY IN 
          THE EVENT OF A CONTROLLER FUNCTION TIME-OUT.
  
          RAM.   10/01/76.         1SP, CONTROL (IRP).
  
  
 F7020SP  THIS MOD CHANGES THE PROCESSING OF CONTROL POINT ZERO NOFET 
          STACK REQUESTS.  THIS MOD ALSO ALLOWS THE LWA OF CM TO BE 
          ACCESSED VIA A CONTROL POINT ZERO NOFET STACK REQUEST.
  
          JLC    09/23/76          1SP
  
  
 C7510IR  THIS MOD CORRECTS A PROBLEM OF RETAINING AND DISPLAYING THE 
          FULL TRACK CONTROLLER STATUS IN THE EST RECONFIGURATION 
          CODE CAUSED BY THE LACK OF DST INFORMATION AND LOCATION. IT 
          ALSO RETAINS CHANNEL CONTROLLER INFORMATION FOR THE SUBSEQUENT
          DST REBUILDING IN THE EST POST-PROCESSING.
  
          RAM    09/24/76.         IRCP.
  
  
 C7510I2  THIS MOD CLEANS-UP EXISTING CODE. 
  
          JLC    10/01/76          IRCP 
  
  
 C7510I1  THIS MODSET REPAIRS THE EST DISPLAY IN DEADSTART AND CHANGES
          THE RMS DISPLAY TYPE-IN PROCESSING OF THE HALF TRACK/FULL 
          TRACK ATTRIBUTE.
  
          RAM.   09/28/76.         IRCP.
  
  
 C7510PX  THIS MOD DEFINES BYTE POSITIONS FOR CHANNEL EQUIPMENT AND 
          DRIVER NAME IN THE STACK PROCESSOR INPUT REGISTER WORD IN THE 
          DST.
  
          RAM    10/05/76.         PPTEXT.
  
  
          THIS MOD CHANGES THE DETAILED STATUS FUNCTION AND ASSOCIATED
          LENGTH OF INPUT IN SUBROUTINE DETSTAT TO UTILIZE THE NEW 20D
          BYTE DETAILED STATUS.  IT ALSO CORRECTS THE FUNCTION TIMEOUT
          PROCESSING IN DETSTAT.
  
          JLC    9/30/76           CONTROL(IRP) 
  
  
          THIS MOD MOVES THE DDT FWA INITIALIZATION CODE FROM 
          SUBROUTINE ADRCOM TO IRPS INITIALIZATION PROCESSING.
  
          JLC    9/30/76           CONTROL(IRP) 
  
  
          THIS MOD SETS DDTPFLGS TO THE CORRECT VALUE FOR USE BY THE
          FACTORY FORMAT PROCESSING IN SUBROUTINE ADRCOM. 
  
          JLC    9/30/76           CONTROL(IRP) 
  
  
          THIS MOD DELETES UNUSED SUBROUTINE GENSTAT. 
  
          JLC    9/30/76           CONTROL(IRP) 
  
  
          THIS MOD DOES CLEAN-UP OF EXISTING CODE.
  
          JLC    9/30/76           CONTROL(IRP) 
  
  
 C7510C8  THIS MOD ACCOUNTS FOR THE MOVE OF THE CONTROLWARE TYPE BIT IN 
          THE DETAILED STATUS.
  
          RAM.   10/18/76.         CONTROL (IRP). 
  
F4600IR   UPDATE INPUT FILE FST POINTER IN CONTROL POINT AREA (C.CPFST) 
          WHEN INPUT FILE FOUND DURING FNT SEARCH.  THIS ALLOWS RERUN 
          OF JOBS EXECUTING CCL PROCEDURES AND OF JOBS MODIFIED BY
          DIS COMMANDS. 
          DPK    10/18/76    IRCP 
 SC45931  PROPERLY TREATS STAGED TAPE JOB AS CLASS 2
          10/08/76           QAC
 SC45771  ADDS CODE TO IGNORE SETNAME FNT ENTRIES 
          10/08/76           QAC
 SC45249  ADDS CODE TO REMOVE TAPE JOB FROM P-DISPLAY WHEN TRANSMITTED
          TO ANOTHER MAINFRAME
          10/08/76           QAC
 NB00065  PREVENTS TRANSMITTING PRE-ABORTED JOBS TO ANOTHER MAINFRAME 
          ALSO ALLOWS THE SPOOLING OF ZERO PRIORITY FILES 
          10/08/76           QAC
 F7410AN  CODE FOR LINKED SYNTAX EXTENSION TABLES 
          PFK/DJR/WWS   DSD        76/10/22 
  
  
 F7410AO  ADD TWO NEW ERROR CODES TO STATCOM. 
          DJR    74/10/14          STATCOM
  
  
 NB00213  ADDS CODE TO RETURN REPEAT COUNT AND DAYFILE PRESENT FLAG 
          ALSO RETURNS JOB DEPENDENCY COUNT FROM INPUT FNT
          10/08/76           QAC
 F7240MR  CMR MODS CHANGE MUX TABLE MACROS FOR 2550 FRONT END MODE 4 4800 BAUD
          DIAL UP LINES,MODE 3 HARDWIRED LINES,MODE 3 600 BAUD LINES, AND 
          MODE 3 1200 BAUD LINES
                        CMR 
 F7540DA  DEFINE NUMBER OF CEFAP BUFFERS. 
          10/20/76           IPARAMS
 F7540BB  ADD 1 WORD TO CEFAP BUFFER LENGTH.
          10/20/76           PPSYS
 C7540WC  DEFINE THE CYBER 176 TYPE FIELD IN T.176 AND THE 819 FNT
          EXTENSION.
          10/20/76           PPSYS
 F7540CA  ADD SEGMENT RWH DEFINITION
          09/02/76           PPTEXT 
 F7540DF  ALLOCATE SPACE FOR CEFAP BUFFERS. 
          CHANGE 819 INTERRUPT HANDLER FOR RECOVERED/UNRECOVERED ERRORS.
          STOP ON EDITLIB CHANGE FLAG IN 819 INTERRUPT HANDLER. 
          10/20/76           CMR
 C7540JA  INSTALL IP.819 PARAMETER
                 10/19/76    CMR (IH) 
 F7540DC  HANDLE NEW DEFINITION OF CEFAP BUFFER.
          10/20/76           ECSSUB 
 F7540DD  HANDLE NEW DEFINITION OF CEFAP BUFFER.
          10/20/76           ECS
 F7540DE  SEND 819 ERROR MESSAGES TO CE FILE. 
          10/20/76           CEM
 F7540CH  ADD SEGMENT RWH TO R.RWP FOR PPIO ON 819 FILES. 
          09/02/76           STL
 F7540BD  ADD 819 PPIO SEGMENT DEFINITIONS. 
          10/06/76           CMRDIR 
 F7540CP  IMPLEMENT THE M.ICE/EX.PPIO FUNCTION FOR THE 819
          DISK STACK PROCESSOR. 
          09/22/76           CCPMTR 
 C7540WG  DETERMINE CYBER 176 TYPE AND SAVE IN T.176
          10/20/76           CONTROL
 F7540MA  ALLOW 819 TO BE ON THROUGH DEADSTART. 
          11/03/76           IRCP 
 C7540WF  DEALLOCATE 819 LCM BUFFERS AND TABLES WHEN SWAPPING OUT OR
          ROLLING OUT.
          10/20/76           1SO
 C7540WD  DEALLOCATE LCM BUFFERS AND TABLES FROM AN 819 FILE WHEN IT
          IS CLOSED AND UNLOADED. 
          10/20/76           1CL
 C7540WB  SET THE COMPLETE BIT IN THE 819 FNT EXTENSION 
          10/20/76           3DO
 C7540WA  SET THE COMPLETE BIT IN THE 819 FNT EXTENSION 
          10/20/76           REQ
 C7540WE  DEALLOCATE 819 LCM BUFFERS AND TABLES EACH TIME 1AJ IS CALLED 
          10/20/76           1AJ
 F7540WB  ADD 819 DEVICE CODE AND MNEMONIC TO 6IM TABLES DEVCOD2
          AND DEVTB2
          10/28/75           6IM
  
  
C7540MA   THIS CODE SOLVES THE PROBLEM OF THE OPCOM BUFFER USED DURING
          DEADSTART DUMP WRAPPING AROUND MEMORY AND CAUSING THE DISPLAY 
          CHANNEL TO HANG.  THE SOLUTION IMPLEMENTS A NEW SEGMENT OF
          CONTROL (CALLED *DTI*) THAT PERFORMS TAPE DUMP INITIALIZATION,
          THEREBY SHORTENING THE TAPE DUMP SEGMENT *DMT*.  THIS 
          ALLOWS A LOWER FWA FOR THE OPCOM BUFFER TO BE DEFINED.
  
  
NB00242   THE IRCP EST DISPLAY ROUTINE DISPLAYS A SECOND CHANNEL FOR
          SINGLE CHANNEL DEVICES IF THE UPPER 6 BITS OF BYTE C.ESTCH1 
          ARE NON-ZERO. 
          AEM    11/01/76    IRCP 
  
  
NB00237   IRCP FAILS TO READ THE PHYSICAL FLAW TABLE FOR AZ DEVICES 
          CAUSING SOME FLAWS ENTERED AT THE CONSOLE TO BE LOST. 
          AEM    11/01/76    IRCP 
  
SC45692   UNABLE TO ENTER VSN FOR THIRD REEL IF TAPE IS MOUNTED ON SAME 
          UNIT. THE READY BIT WAS BEING DROPPED FROM FLAG WORD OF TAPES 
          TABLE WHEN 3IV WAS COMPLETING REEL SWAP.
          SAVE FLAG WORD INFORMATION WHEN SWAP IS TO SAME UNIT,THIS IS
          CORRECT STATUS AS SCANNER HAS RESPONDED TO SPECIAL STATUS 
          REQUEST BY 3IV. 
          WVM    11/08/76          3IV
  
C4600CL   1CL MUST ALLOW RETURN OF LINKED INPUT FILE, WHEN DISPOSI- 
          TION CODE IS XX04.
          DPK    11/19/76    1CL
F7540WA   DEFINE 819 MNEMONIC FOR THE F DISPLAY 
          11/15/76           DSD
  
  
C7020AI   ZZZZCKP SHOULD RESIDE ON SYSTEM DEVICE. 
          JLN    11/15/76          TDS
  
  
C7020AG   EXIT MODE FOR T.XPSCH AND T.XPIDLE SHOULD BE 7007.
          JLN    11/15/76          MTR
  
C7090GA   UNDER SOME CONDITIONS 3IC WOULD NOT UNLOAD REEL AT EOJ TIME    C7090GA
          CAUSED BY OPERATOR RESPONSE BIT BEING SET IN TAPES TABLE UPON  C7090GA
          ENTRY.  ADD CODE TO ADD 10B (MP.C1EJ) TO 1EJ CODE HELD IN      C7090GA
          BYTE 4 OF TAPES TABLE FLAG WORD.  THIS WILL ALLOW 3IC TO       C7090GA
          DETERMINE IF THIS IS SECOND CALL AND TO ALLOW VALID CHECKING   C7090GA
          OF OPERATOR RESPONSE. CODE ALSO NECESSARY TO RETAIN MESSAGE    C7090GA
          ADDRESS IF MORE THAN ONE TAPE ASSIGNED TO THIS CONTROL POINT.  C7090GA
          NOTE. PRESENTLY IF MORE THAN ONE TAPE FILE ASSIGNED TO THIS    C7090GA
          CONTROL POINT AND EACH IS REWINDING, THE MESSAGE TO THE        C7090GA
          CONTROL POINT MAY BE OVERWITTEN, AND ONLY LAST TAPE CHECKED    C7090GA
          WILL BE DISPLAYED.                                             C7090GA
          WVM    10/25/76          3IC                                   C7090GA
                                                                         C7090GA
C7090GB   PSR SC45585 INTRODUCED EXCESSIVE INFORMATIVE ENTRIES INTO      C7090GB
          CE ERROR FILE.                                                 C7090GB
          WVM    10/27/76    3IE,3IR,3IW                                 C7090GB
                                                                         C7090GB
C7090GD   MAKE MAX3L EQUAL TO EVEN CENTRAL MEMORY BOUNDARY.              C7090GD
          WVM    11/02/76          1IT.3IW                               C7090GD
                                                                         C7090GD
C7090CYCA 1. MODIFY COMFCN TO USE THE OLD 66X RECOVERY IF ALL OF THE     C7090CY
             BLOCK IDS ARE THE SAME.                                     C7090CY
          2. MAKE SURE THAT ALL MARGINAL DRIVE INDICATIONS RESULT IN THE C7090CY
             UPDATING OF THE URT.                                        C7090CY
          3. DECLARE AN ERROR TO BE IRRECOVERABLE IF THE REPOSITIONING   C7090CY
             ID WINDOW IS INVALID.                                       C7090CY
          NH     11/02/76          3IE,3IR,3IW                           C7090CY
                                                                         C7090CY
C7090GG   3IM CLEARING STACK ON IRRECOVERABLE READ/WRITE ERROR .         C7090GG
          CONTROL MUST RETURN TO READ/WRITE DRIVER TO ALLOW UPDATING     C7090GG
          ID WINDOW AND PRU COUNT, CODE 3IM NOT TO CLEAR STACK.          C7090GG
          ALSO DISABLE RESERVE ON EXIT IF SYSTEM CALL AND 1RN REQUEST.   C7090GG
          WVM    11/17/76          3IM                                   C7090GG
                                                                         C7090GG
C7090GH   ON A SYSTEM CALL BY 1RN TO SCAN ATS/BID/MTS UNITS IN THAT      C7090GH
          ORDER WOULD CAUSE SYSTEM ERRORS. DUE TO GENERAL STATUS LENGTH  C7090GH
          NOT BEING RESET FOR EACH UNIT DURING THE SCAN.                 C7090GH
          CODE TO INPUT ONLY ONE WORD OF GENERAL STATUS DURING SCAN      C7090GH
          WILL WORK IN ALL COMBINATIONS.                                 C7090GH
          WVM    11/17/76          3IO                                   C7090GH
                                                                         C7090GH
C7090EFCA DEGRADE MTS UNIT TO READ ONLY (INSTEAD OF DOWN) ON AN ERASE    C7090EF
          CURRENT MDI. DEGRADE ATS UNIT TO READ ONLY (INSTEAD OF DOWN)   C7090EF
          ON AN ERASE OR WRITE CURRENT FAILURE IF THE UNIT HAS BEEN      C7090EF
          WRITING.                                                       C7090EF
          NH     11/04/76          3IE,3IR,3IW                           C7090EF
                                                                         C7090EF
C7090EECB MODIFY LABEL SCANNING RECOVERY SO THAT IT DOES NOT GIVE A      C7090EE
          *SYSTEM ERROR* WHEN SOME 6250 BPI TAPES ARE PUT ON SOME 66X    C7090EE
          UNITS. CURRENTLY THE BUFFER CONTROLLER HAS BEEN OBSERVED TO    C7090EE
          REACT TO GCR TAPES IN THE FOLLOWING WAYS ---                   C7090EE
                 1. ALERT + PARITY ERROR + ERROR CODE 00.                C7090EE
                 2. ALERT + ERROR CODE 10 (BLANK TAPE).                  C7090EE
                 3. ALERT + ERROR CODE 14 (SHORT READ ACCESS).           C7090EE
                 4. ALERT + NOISE + ERROR CODE 60 (REPEAT READ ISSUED    C7090EE
                    LATE).                                               C7090EE
          THIS MODSET WILL ATTEMPT TO PROCESS CASES 3 AND 4 ABOVE.       C7090EE
          IF A GCR TAPE IS INDICATED BIT S.TTWD WILL BE SET IN THE TAPES C7090EE
          TABLE AND THE TAPE WILL BE SET TO READY AND UNLABELED.         C7090EE
          NH     11/04/76          1IT,3IE,3IR,3IW                       C7090EE
                                                                         C7090EE
C7090GE   CORRECT 2IW MISMANAGEMENT OF DIRECT CELL D.MODE DURING WRITE   C7090GE
          RECOVERY OF A ZERO LENGTH PRU. THIS WILL ELIMINATE SOME *BLOCK C7090GE
          COUNT MISMATCH* MESSAGES AND INSTANCES OF LOST 0 LENGTH PRUS.  C7090GE
          NH     11/15/76          2IW                                   C7090GE
                                                                         C7090GE
C7090GF   FORCE THE READ, WRITE, AND SKIP DRIVERS TO PAUSE FOR STORAGE   C7090GF
          MOVE AND CHECK ERROR FLAGS                                     C7090GF
          NH     11/16/76          1IT THRU 3IW                          C7090GF
                                                                         C7090GF
C7090BVCA PREVENT 3IW FROM ERASING MORE THAN 25 FEET OF TAPE WHEN TWO    C7090BV
          IRRECOVERABLE WRITE ERRORS OCCUR IN SUCCESSION.                C7090BV
          NH     11/17/76          3IW                                   C7090BV
                                                                         C7090BV
  
 C7020S1  THIS MOD CORRECTS THE ISSUING OF A CM NOFET STACK REQUEST 
          IN SUBROUTINE CONTDAM.  THE PROBLEM IS DUE TO THE NEW 
          PROCESSING OF CM NOFET STACK REQUESTS.  THIS MOD ALSO CONTAINS
          CODE TO CORRECT SEVERAL SHARED RMS PROBLEMS.
  
          JLC    10/01/76          SPM(CONTDAM) 
  
  
  
C7020AH   THIS CODE ENABLES THE IRCP ROUTINE *CPR* TO CORRECTLY 
          DETERMINE IF THE IRCP BUFFERS OVERLAY THE INTERCOM USER 
          TABLE AREA ON A CHECKPOINT RECOVERY DEADSTART.
  
  
C7510I3   THIS PROVIDES CODE TO SEPERATE THE CONTROLLER TYPE IN THE 
          DEADSTART EST DISPLAY FROM THE DEVICE MNEMONIC
          BY A HYPHEN.
          AEM    11/17/76    IRCP 
  
C7090AN   1EJ SHOULD SET XP AND EP IN OPEN TAPE FILES TO INSURE CONTROL  C7090AN
          IS RETURNED IN CASE OF DETAIL ERROR CODE 22. THIS WILL PREVENT C7090AN
          3IM GOING INTO LOOP MODE WAITING FOR DROP OR RERUN FLAGS.      C7090AN
          WVM    10/12/76          1EJ                                   C7090AN
                                                                         C7090AN
C7090BYCA IRRECOVERABLE WRITE ERROR SHOULD ALLOW OPERATOR TO DROP 
          OR RERUN JOB. 
          WVM    11/17/76    3IM
  
  
F7540MB   THIS CODE SETS THE PREALLOCATION BITS IN THE RBR FOR THE
          SYSTEM SET MASTER DEVICE ON A CYBER 176 TO ALLOW FOR THE
          THIRTY CYLINDERS REQUIRED BY THE C. E. DIAGNOSTICS. 
          AEM    11/17/76    IRCP 
  
  
C7540ME   CODE TO ALLOW DUMP TO NINE TRACK MMTC WHEN C7540MA
          IS INCLUDED.
          AEM    11/29/76          CONTROL
  
 F7540ME  ADDED A TABLE TO PPSYS WHICH DEFINES DEVICE CODES.  ALSO      000210
          ADDED THE SYMBOL FNTY - FNT SUPPLEMENT TYPE - TO PPSYS.       000220
          GDM    11/22/76          PPSYS                                000230
 F7540MC  HAVE 7EC CHECK TO SEE IF FILE RESIDES ON 819 DISK.  7EC WRITES000370
          FNT SUPPLEMENT FOR 819 RESIDENT FILE.                         000380
          GDM    11/09/76          7EC                                  000390
                                                                        000400
C7540WL   819 FNT LINK WAS NOT BEING CLEARED                            000870
          11/23/76           1CL                                        000880
 C7540AM  IP.819 INSTALLATION PARAMETER WAS NOT COMPLETE.               000950
          11/23/76           CMR                                        000960
C7540MA   ALLOW MODIFY LABELS                                           001460
          11/23/76           IRCP                                       001470
C4600AJ   WHEN C.CPEF IS NON-ZERO, SET CCL *EF* REGISTER = C.CPEF,
          BITS 0-5.  USE PROPER SYMBOL FOR *EF* WORD IN C.P. AREA.
          DPK    12/03/76          1AJ
F7820AC   ADDS NEW COMMON MESSAGE MACRO 
                 07/14/76    ACTCOM 
 C7520RZ  IF AN SC WAS SPECIFIED ON A ROUTE, 6RD WAS CLEARING THE LAST
          CHAR OF THE JOB NAME CAUSING A COLON AS LAST CHAR.
          ALSO FIXES LINK GETTING LOST WHEN THREADED IN CHAIN.
          JLH    11/5/76     6RD
  
C7020AP   CERFILE ENTRY FOR SCR IMAGE SHOULD HAVE CODE 2100.
          JLN    12/15/76          1SC
  
  
C7410AA   DSD NEED NOT CHECK FOR COMMUNICATION BUFFER BUSY WHEN SENDING 
          DISPLAY MESSAGES TO STATION.   LOADING OF THE EXTENSION 
          DISPLAY OVERLAY 8EL SHOULD NOT BE SPECIAL CASED BY LDOV.
          JLN    12/13/76    DSD
  
  
 NB00285  THIS MOD CORRECTS AN OVERLAP SEEK PROBLEM.  WHEN BUILDING THE 
          PB LIST FOR THE OVERLAP SEEK FUNCTION, A RIGHT SHIFT IS 
          USED.  WHEN THE FIRST ENTRY IN THE LIST HAS BIT 11 SET, THE 
          GENERATED LIST IS ALL 7S EXCEPT FOT THE FIRST ENTRY.
  
          JLC    11/29/76          SPM(CSPM2) 
  
 C7540JD  FIX SPM TO HANDLE STORAGE MOVE FOR BETA                       002810
          12/03/76           CSPM3                                      002820
                                                                        002830
 C7540DN  ADD HDAY SEGMENT.                                             003090
          12/9/76            CMRDIR                                     003100
 C7540DG  OUTPUT MESSAGES TO JOB/SYSTEM DAYFILE                         003160
          11/15/76           CEM                                        003170
 C7540DH  DEFINE CODES FOR EX.SUB.                                      005580
          10/15/76           PPTEXT                                     005590
 C7540DI  ADD MONITOR FUNCTION EX.SUB TO EXECUTE AN OVERLAY.            005710
          11/15/76           CCPMTR                                     005720
C7540WM   LET HSP CLEAR THE 819 FNT LINK COMPLETION BIT                 006170
          11/22/76           1AJ                                        006180
                                                                        006200
C7540WN   LET HSP CLEAR THE 819 FNT LINK COMPLETION BIT                 006280
          11/22/76           1SO                                        006290
                                                                        006310
C7540WO   LET HSP CLEAR THE 819 FNT LINK COMPLETION BIT                 006440
          11/22/76           1CL                                        006450
                                                                        006460
 F7540JE  DELETE 819 SUPPLEMENTS ON INPUT AND OUTPUT FILES              006540
          BEFORE SENDING TO 1QF.                                        006550
          11/07/76           1EJ                                        006560
 F7540JJ  FLUSH 819 LCM BUFFERS AND DELETE FILE SUPPLEMENT.             006880
          11/15/76           1TJ                                        006890
 F7540JR  FLUSH 819 LCM BUFFERS AND TABLES AND DELETE                   007690
          819 FILE SUPPLEMENTS.                                         007700
          11/08/76           6RD                                        007710
 F7540JL  MODIFY 1CL TO NOT CONFUSE 819 LINKS WITH Q FILE               008800
          LINKS.                                                        008810
          12/07/76           1CL                                        008820
  
C7020AN   CODE TO ALLOW TURNING OFF CPU A OR B IN CONTROL AT DEADSTART
          TIME.  PROBLEM WAS CAUSED BY RESTRUCTURE OF CED BY C7020AE. 
          AEM    12/05/76    CONTROL
  
  
C7510I4   CODE TO MAKE GRL ROUTINE IN IRCP USE THE REVISION LEVEL 
          OF THE FIRST CONTROLWARE ENCOUNTERED RATHER THAN THE LAST.
          AEM    12/15/76    IRCP 
  
F4600TA   REQ AND 1TS MUST CHECK JDT ADDRESS (W.CPSCH,C.CPJDA)
          TO DETERMINE SYSTEM JOB FOR TAPE LIMIT CHECK. 
          DPK    12/15/76          2TACOM,REQ,1TS 
SC43361A  PSR SC43361 ADDED CHECK FOR BUFFER SIZE AGAINST MLRS. 
          CHECK WAS INVALID AND CAUSED FATAL ABORT IF CIRCULAR BUFFER 
          WAS SMALLER THAN MLRS. ADD CODE TO NOT ABORT IF C.B. SMALLER. 
          WVM    12/15/76          1WS
  
SC43361B  PSR SC43361 ADDED CHECK FOR BUFFER SIZE AGAINST MLRS. 
          CHECK WAS INVALID AND CAUSED FATAL ABORT IF CIRCULAR BUFFER 
          WAS SMALLER THAN MLRS. ADD CODE TO NOT ABORT IF C.B. SMALLER. 
          WVM    12/15/76          1NW
  
C7090AGRD - CORRECT BIT ASSIGNMENT IN REQ AND ADD MISSING LJM 
          BJE    11/76       REQ
  
C7090GV   MOD CORRECTS CRITICAL PSR IN DEADSTART RECOVERY TO ALLOW
          RECOVERY WHEN NO MTS/ATS ENTRIES. 
          WJS    12/08/76    IRCP 
  
C7090GI   2IP WAS NOT INCREMENTING THE PRU COUNT FOR  A SKIPF ON A SCOPE C7090GI
          TAPE WHEN A FILE MARK WAS ENCOUNTERED. THIS RESULTED IN A      C7090GI
          *BLOCK COUNT MISMATCH* MESSAGE FROM 3IV.                       C7090GI
          NH     11/23/76          2IP                                   C7090GI
                                                                         C7090GI
C7090GJ   AT REEL SWAP TIME IF CONTROL POINT IS LOCKED OUT AND VSN IS    C7090GJ
          ENTERED INTO TAPES TABLE, WHEN JOB IS UNLOCKED AGAIN UNIT      C7090GJ
          IS NOT STATUSED. THIS HAPPENS BECAUSE 3IV FINDS MATCHING VSN   C7090GJ
          AND ASSUMES UNIT HAS BEEN STATUSED. ADD CHECK FOR READY STATUS C7090GJ
          IN FLAG WORD OF TAPES TABLE. IF READY STATUS NOT SET CAUSE     C7090GJ
          SPECIAL STATUS BIT TO BE SET IN EST ENTRY AND WAIT FOR STATUS  C7090GJ
          TO COMPLETE.                                                   C7090GJ
          WVM    12/01/76          3IV                                   C7090GJ
                                                                         C7090GJ
C7090GK   IF ATS UNIT PRECEDS MTS UNIT IN UNIT SCAN 3II WILL NOT         C7090GK
          INITIALIZE FORMAT UNIT READY FUNCTION OR OBTAIN READY STATUS   C7090GK
          FROM CONTROLLER. ADD CODE TO INITIALIZE IF PREVIOUS UNIT IN    C7090GK
          SCAN WAS ATS.                                                  C7090GK
          WVM    12/01/76          1IT                                   C7090GK
                                                                         C7090GK
SC45231   IF DURING SCAN OF READY UNITS SCANNER ENCOUNTERS FATAL ERROR   C7090GL
          UNITS NOT SCANNED WILL BE LEFT WITH STATUS BIT SET IN EST      C7090GL
          THIS CODE WILL CAUSE 3IM TO ISSUE CALL FOR 3IO TO FINISH SCAN. C7090GL
          WVM    12/01/76          3IM                                   C7090GL
                                                                         C7090GL
C7090GM   3IO WAS NOT CHECKING FOR READY STATUS IN TAPES TABLE WHEN      C7090GM
          VSN WAS VALID. CAUSING CONTINUATION REEL NOT TO BE STATUSED    C7090GM
          PROPERLY THEREBY THE JOB WOULD JUST SET THERE LOOKING          C7090GM
          AND WAITING  FOR SOMETHING TO HAPPEN.                          C7090GM
          WVM    12/02/76          3IO                                   C7090GM
                                                                         C7090GM
C7090GN   IF TAPE REQUESTED BUT NOT USED BY JOB, AT END OF JOB BLOCKS    C7090GN
          READ MESSAGE WOULD BE ISSUED WITH BLOCK COUNT OF 31.           C7090GN
          CODE 3IC TO CONVERT MINUS PRU COUNT IN FNT TO 0.               C7090GN
          BJE    12/13/76    3IC                                         C7090GN
                                                                         C7090GN
C7090GO   INCREASE TRANSFER RATES OF 66X/67X READ DRIVERS BY UPDATING    C7090GO
          THE FET *IN* POINTER 40 TO 80 US SOONER TO REDUCE THE NUMBER   C7090GO
          OF TIMES THAT THE READ DRIVERS DROP OUT OF THE PP.             C7090GO
          NH     12/14/76          1IT,2IA,2IC,2IT                       C7090GO
                                                                         C7090GO
C7090GP   THIS MOD ALTERS USER 6250 CPI DENSITY DEVICE TYPE REQUEST. THE C7090GP
          LOWER 6 BITS OF THE DEVICE TYPE CODE FOR 9 TRACK TAPES WILL    C7090GP
          BE MODIFIED FROM AN 01 TO A 02 AND THE FNT DEVICE CODE ENTRY   C7090GP
          IS ADJUSTED ACCORDINGLY. THE USERS FET DEVICE TYPE CODE IS     C7090GP
          ALWAYS RETAINED AS XXXX01.                                     C7090GP
          NOTE***  C7090GP CAUSED UNIT STACK LENGTH TO DECREASE TO SEVEN C7090GP
                   UNITS.  UNIT STACK LENGTH WAS INCREASED TO ALLOW      C7090GP
                   SPACE IN STACK FOR ACCEPTABLE UNIT STATUSING.         C7090GP
          WJS    12/10/76    3II                                         C7090GP
                                                                         C7090GP
C7090GQ   MODIFY TAPE DRIVERS TO PAUSE WHEN THEIR CONTROL POINT HAS A    C7090GQ
          ROLLOUT REQUEST ACTIVE.                                        C7090GQ
          NH     11/18/76          1IT THRU 3IW                          C7090GQ
                                                                         C7090GQ
C7090GS   IF IN ERROR RECOVERY ON UNLABLED TAPE 3IR BACKSPACES OVER      C7090GS
          LOADPOINT DETAIL ERROR CODE 30 WILL RESULT CAUSING A SYSTEM    C7090GS
          ERROR. ADD CODE TO CHECK FOR PRU COUNT TO BE ZERO AND TAPE     C7090GS
          UNLABLED, IF SO CONTINUE RECOVERY.                             C7090GS
          WVM    12/15/76    3IR                                         C7090GS
                                                                         C7090GS
C7090GT   BYPASS DETAIL STATUS CONTENT CHECK FOLLOWING THE ATS MASTER    C7090GT
          CLEAR (MTS AUTOLOAD) FUNCTION CODE. THIS STOPS 3IE FROM        C7090GT
          ERRONEOUSLY *DOWNING* AN ATS CONTROLLER.                       C7090GT
          NH     12/16/76          3IE,3IR,3IW                           C7090GT
                                                                         C7090GT
C7090GU   MOD CORRECTS FET ERROR CODE FOR USING DOWNED UNIT              C7090GU
          WJS    12/08/76    3IM                                         C7090GU
                                                                         C7090GU
C7090GX   RETRY STOP MOTION REJECT AND DELAY BEFORE ISSUING GEN STATUS   C7090GX
          FUNCTION FOLLOWING A STOP MOTION FUNCTION. THIS WILL PREVENT   C7090GX
          A *SYSTEM ERROR* ON LOW SPEED UNITS.                           C7090GX
          NH     12/17/76          2IL                                   C7090GX
                                                                         C7090GX
C7090GY   REPLACE *EXECUTE* MACRO CODE WITH FOLLOWING CODE TO            C7090GY
          PRESERVE THE RE-ENTRANT ADDRESS FOR 3II WHEN PROCESSING        C7090GY
          DEFAULT OPEN WITH NEW LABELS ON L-TAPE.                        C7090GY
          WVM    09/08/76          3IO                                   C7090GY
                                                                         C7090GY
C7090CSCA THE L TAPE READ LOOP SHOULD BE CHANGED TO THE ATS TECHNIQUE    C7090CS
          BASED ON THE SETTING OF DIRECT CELL D.TSB (NOT THE EST).       C7090CS
          NH     12/14/76          2IA                                   C7090CS
                                                                         C7090CS
C7090FLAB FIRST 2 WORDS OF CE ERROR FILE INFORMATION BEING LOAST IF      C7090FL
          DOWN CHANNEL WAS FOUND. CODE TO PRESERVE W1 AND W2, AND TO     C7090FL
          RESTORE FOR ENTRY TO ERROR FILE.                               C7090FL
          ALSO ADD TWO SYSTEM ERROR CODES (SE.SOFT/SE.DNCH).             C7090FL
          ADD CODE TO PRIOR TO SAVE LAST FUNCTION FROM SW.FUNC           C7090FL
          SAVE DETAIL STATUS FOR ERROR FILE IF IN 3IR OR 3IW             C7090FL
          WVM    12/13/76          3IE                                   C7090FL
                                                                         C7090FL
C7090FLMB 3IE ABORTING AFTER UNSUCCESSFUL ATTEMPT TO DOWN HARDWARE       C7090FL
          CHANNEL WITH EST CHANNEL RESERVED.                             C7090FL
          WVM    12/02/76          3IE                                   C7090FL
                                                                         C7090FL
C7090GGMB FATAL ERRORS WITH EP BIT SET MAY COME FROM PROGRAMS OTHER      C7090GG
          THAN 3IE IN WHICH CASE STACK SHOULD BE CLEARED AND RESERVE     C7090GG
          DISABLED TO PREVENT LOOPING ON SYSTEM ERRORS.                  C7090GG
          WVM    12/02/76          3IM                                   C7090GG
                                                                         C7090GG
C7090GR   MODS TO 1EJ FOR FINAL F7090CODE REVIEW ACCEPTANCE.
          WJS    12/08/76    1EJ
  
  
C7090AHRB REMOVE GCR REQUEST BIT FROM REQ PARAMETER WORD AND MAKE 
          GE DENSITY = 1. 
          ADD DEVICE TYPES TO DVTBL 
          BJE    11/76       REQUEST
  
  
C7090ADRB REMOVE GCR REQUEST BIT FROM REQ PARAMETER WORD AND MAKE 
          GE DENSITY = 1
          BJE    11/76       LABEL
  
C7090GW   MOD REMOVES URT ENTRY MESSAGE AND INSERTS NEEDED COMMENT IRCP.
          WJS    12/08/76    IRCP 
  
C7090AGRF IGNORE STAGING TABLE COUNTS IF UNIT ASSIGNED WAS READ ONLY. 
          (REQ ONLY)
          BJE    12/76       REQ,2TACOM,1TS 
  
C7090AGRG TIDY UP REQ F7090 CODE. 
          ADD DEVICE CODES TO DEVTBL
          REPLACE MASK OF 77B WITH 777B TO DISPLAY 3 DIGIT EST ORDINAL
          IN DAYFILE  MESSAGE.
          IF OPERATOR ALLOWED EST/DEVTP CONFLICT TO BE ACCEPTED,
          SUBSTITUTE DEFAULT DENSITY FOR NEW DEVICE TYPE. 
          BJE    12/76       REQ
  
C7090AGRH REMOVE GCR REQUEST BIT FROM REQ PARAMETER WORD AND MAKE 
          GE DENSITY = 1. 
          BJE    11/76       REQ
  
          (RESOLVES I/E PSR NBOA415 ) 
          BJE    12/18/76 
  
C7090AGRJ ASSURE THAT EST POINTS TO A GCR UNIT IF REQUEST IF FOR GE 
          (RESOLVES I/E PSR NBOA461)
          BJE    12/76       2TACOM,REQ,1TS 
  
  
C7820SR   THROW AWAY BIT 22 (USED TO BE THE RECALL BIT) ON ENTRY TO 
          MSG=.  THIS AVOIDS PROGRAM ABORTS IF THE OLD CALLING FORMAT 
          IS USED WITH THE NEW MSG=.
          JLH    12/28/76    COMCSYS
  
C7090HA   MOD TO 1BT FOR CODE REVIEW REQUIREMENTS.
          WJS    12/20/76    1BT
  
  
C7090AK   PPSYS DEFINITION CLEANUP FOR F7090
          BJE    12/76       PPSYS
  
  
C7090HC   CMR MODS TO COMPLETE CODE REVIEW REQUIREMENTS 
  
NB00245   CRITICAL-1SP GENERATED BAD TRACK ADDRESS WHEN FIRST=LIMIT 
          DUE TO EOI PRU=0
          76/12/27           1SP
 SC46428  CORRECT ORDER OF VSN AND SET NAME BEFORE FLAW LIST. 
          12/13/76           CMR
  
C7020AM   1SC SHOULD TREAT AN FLPP ERROR IN THE SAME MANNER AS FATAL
          PPS ERRORS. 
          JLN    01/25/76    1SC
  
C7540WH   SET DEFAULT FOR 819 OFF 
          01/19/77           IPARAMS
  
C7540WI   CORRECT ASSEMBLY OPTIONS FOR IP.C176 AND IP.819 
          01/19/77           CCPMTR 
  
C7540WJ   TURN OFF 819 FLPP CODE WHEN IP.C176 EQ 0
          01/19/77           CONTROL
  
 NB00369  CORRECT 1SP - 1SX ERROR INFORMATION COMMUNICATION NECCESARY 
          BECAUSE OF INCREASED DETAILED STATUS LENGTH.
  
          RAM    01/21/77.         1SX, 1SP, CMR. 
  
  
C7020AJ   DEFINE SYMBOL FOR BIT IN T.SIDLE WHICH IS TOGGLED WHEN A
          SYSTEM CHECKPOINT IS COMPLETED. 
          JLN    01/12/76    PPSYS
  
  
C7020AK   SYSIDLE SHOULD SET A FLAG WHENEVER A SYSTEM CHECKPOINT IS 
          COMPLETED.
          JLN    01/12/76    CSYSIDLE 
  
  
C7020AL   DSD SHOULD NOTIFY OPERATOR WHEN A SYSTEM CHECKPOINT HAS BEEN
          COMPLETED BY IDLE MODE. 
          JLN    01/12/76    DSD
  
 NB00054         ECS ERROR CAUSED SYSTEM HANG.  FIX ELIMINATED AN 
                 INFINITE LOOP IN SEGMENT PLBERR.  FIX ALSO INCLUDES
                 MAKING ALL ECS PPU LOADING CODE CONDITIONAL ASSEMBLY 
                 ON ECSLIB UNEQUAL TO ZERO THUS ELIMNATING THE
                 CONFLICT OF PLBGO BEING DEFINED TWICE (ONCE IN CPMTR 
                 AND ONCE IN CPPXT OF ECS). 
                 76/06/20          ECS,CPMTR
SC44767   1SO MUST NOT CLEAR DDT ORDINAL IN JDT WAITING FOR PACK. 
          DPK    10/29/76          1SO
          COPYRIGHT MOD - PL1A/1977                                     000120
          DTK    01/12/77                                               000130
                                                                        000140
NB00290   1S5BMR ON NO SPACE IN PUBLIC SET. CAUSED BY BAD MST ORDINAL IN000120
          CHECK OF SET ATTRIBUTES.                                      000130
          76/11/30                 3DO                                  000140
  
C7090HB   CIOCOM DEFINITION CLEANUP FOR F7090 
          BJE    12/76       CIOCOM 
  
  
C7090HD   MTS COM CLEAN-UP FOR F7090
          BJE    12/76       MTSCOM 
  
  
F7540JM   CREATE A PSEUDO PP-STATUS TABLE ENTRY FOR THE 819 STACK 
          PROCESSOR.
          JLN    01/08/76    MTR
  
 C7540AW  ALLOW 819 EST TO COME BEFORE OTHER MASS STORAGE 
          DEVICES AND STILL BE PREFERRED. 
          11/24/76           3DO
  
 F7540AQ  PREVENTS THE 819 SOFTWARE FROM WAITING UNTIL MORE RB WORD 
          PAIRS ARE ACQUIRED. 
                 1RN
 C7540DA  FIXES IPARAMS TO PERFORM THE NON 819 PROCESSING CORRECTLY.
 C7540JZ  FIXES PPU FLUSHES TO 819. 
 C7540JY  FIXES PPU FLUSHES TO 819. 
 C7540JX  FIXES PPU FLUSHES TO 819. 
 C7540JW  FIXES PPU FLUSHES TO 819. 
 C7540JV  FIXES PPU FLUSHES TO 819. 
 C7540JU  FIXES PPU FLUSHES TO 819. 
 C7540JT  FIXES STS SO THAT FILES WITH EXTENSIONS WILL BE PROCESSED 
 CORRECTLY. 
C4600AK   1AJ MUST SET JOB ORIGIN TYPE (IN RA+66) USING JOB ORIGIN
          INSTEAD OF JOB CLASS. 
          DPK    01/26/77          1AJ
  
NB00395   MTR TRAP CODE TO DETECT PP"S ATTEMPTING TO DROP WITH
          INTERLOCKED STACK REQUESTS OUTSTANDING WAS NOT MODIFIED AT
          LEVEL 430 TO REFLECT  *T.DAT*  RESTRUCTURE. 
          JLN    02/04/77          MTR
  
  
C7090HLA  ALLOW FOR THE POSSIBILITY OF A DEADSTART TIMING PROBLEM AMONG 
          1RN, 1TS, AND 1LC.  MAKE SURE THAT STATUS BITS IN EST ARE 
          CLEARED PROPERLY. 
          BJE    1/77        1TS
  
  
C7090HLB  ALLOW FOR THE POSSIBILITY OF A DEADSTART TIMING PROBLEM AMONG 
          1RN, 1TS, AND 1LC.  MAKE SURE THAT STATUS BITS IN EST ARE 
          CLEARED PROPERLY. 
          BJE    1/77        1RN
  
  
C7540MG   CYBER 176 PREALLOCATION FOR DEADSTART DIAGNOSTICS LEAVES
          SYSTEM MASTER DEVICE RBR WITH NO FLAWS SET. 
          AEM    2/7/77      IRCP 
  
  
NB00397   CE PREALLOCATION FAILS WHEN A PB CONTAINS MORE THAN ONE RB. 
          AEM    2/7/77      IRCP 
  
 C7540JS  FIXES CPMTR TO HANDLE 819 FILE RESIDENT EDITLIBS              000120
          CCPMTR                                                        000130
 C7540DM  RECALL HDC UPON REQUEST.                                      000250
          11/15/76           CMR                                        000260
 C7540JQ  HSPTEXT HAD THE IFDEF WHICH IS NOT IFNE.                      001110
  
C7020AQ   CMR ASSEMBLY SHOULD VERIFY THAT CMR TABLE LENGTH DOES NOT 
          EXCEED VALUE OF CMRSIZE DEFINED IN DSLCOM.
          JLN    01/11/77          CMR
  
  
NB00368A  FIX HOLE IN 2TACOM TO BE SURE THAT AN 800 BPI REQUEST 
          DOES NOT END UP ON A GCR UNIT.
          BJE    1/77        2TACOM,REQ,1TS 
  
  
NB00368B  SHORTEN 6IM BY 1) REMOVING UNREACHABLE CODE, 2)COMBINING TWO
          ERROR MESSAGES, 3) REMOVING THE LOOP TO HANG THE PP.
          ADD LENGTH CHECK FOR OVERFLOW.
          BJE    1/77        6IM
  
  
C7540MD   CODE TO PREVENT DEADSTART DUMP FROM ACTIVATING CHANNEL 32 
          WHEN SENDING THE DUMP PROGRAMS TO THE PP-S. 
          AEM    11/18/76    CONTROL
  
  
C7540NA   CMR DOES NOT ASSEMBLE WITH IP.ECSB=0.  CONDITIONAL ASSEMBLY 
          USES WRONG TAGS.
          JLN    02/07/77    JLN
  
  
NB00421   3IO WAS SUBTRACTING CHARACTERS, NOT WORDS TO TEST BUFFER
          LENGTH FOR EXTENDED LABEL PROCESSING. 
          BJE    2/77        3IO
  
C7090HK   ADD MTS/ATS SYSTEM ERROR DOCUMENTATION TO 1IT IMS.
          WVM    01/25/77          1IT
  
C7090HI   LINE DELETED BY PSR SC45972 WAS INADVERTENTLY RESTORED BY 
          F7090DD, INSTALLATION OF FEATURE CODE FOR R3. 
          WVM    01/20/77          3IV
  
C7090HF   MODIFY ATS ERROR RECOVERY TO CORRESPOND TO THE CHANGE IN
          MEANING OF ERROR CODE 16 IN DETAIL STATUS. SPECIFICALLY, ERROR
          CODE 16 WILL NOW MEAN IMPROPERLY SET GCR GAINS RATHER THAN
          AN UNSUCCESSFUL WRITE TAPE MARK.
          NH     01/22/76          3IE,3IR,3IW
  
C7090HJ   PSR SC45684 ADDED DETAIL ERROR CODE 51 TO ERROR TABLE IN
          COMFCN. THIS ERROR SHOULD BE TREATED AS READY DROP TYPE 
          ERROR AND NOT ALLOW ANY RECOVERY ATTEMPTS. POSITION IS
          UNCERTAIN EVEN THOUGH THIS IS AN OPERATOR ERROR.
          DO NOT LOG IN CE ERROR FILE, PROBLEM IS NOT HARDWARE RELATED. 
          WVM    3IE,3IR,3IW       01/20/77 
  
C7090HJAA CHANGE MESSAGE *UNIT NOT PHYSICALLY CONNECTED* TO REQUIRE 
          DROP OR RERUN. POSITION IS UNCERTAIN AND RECOVERY SHOULD NOT
          BE ATTEMPTED
          C7090GGMB ADDED CODE TO CHECK IS 3IE WAS IN THE STACK, IMPLY- 
          ING RECOVERY MODE AND CONTROL SHOULD RETURN TO DRIVER WITHOUT 
          CLEARING THE STACK. A BETTER WAY TO CHECK FOR RECOVERY IS TO
          CHECK MP.RV AND MP.SRF BITS IN D.TSB. 
          WVM    3IM               01/20/77 
  
  
C7540MH   THE EXCHANGE PACKAGE USED BY DEADSTART DUMP TO DUMP ECS OR
          THE EXCHANGE PACKAGE WILL NOT WORK ON A CYBER 74. 
          AEM    2/7/77      CONTROL
  
NB00420   ADDS CODE TO CHECK FOR DAYFILE BUSY BEFORE CLEARING DAYFILE 
          FST.
          02/28/77           1EJ
C4600EJ   CORRECTS PROBLEMS WHICH RESULTED IN INPUT FILE BEING EVICTED
          CAUSING CROSSED RB-S WHEN A QUEUE RECOVERY TOOK PLACE.
          02/10/77    1EJ 
  
C7410JA   THE DEFAULT SETTING OF IP.STEX SHOULD BE OFF. 
          JLN    02/16/77          DSD
  
  
 NB00456  THIS MOD CORRECTS THE STACK REQUEST SELECTION OF INTERLOCKED
          STACK REQUEST AND ALSO THE PROBLEM OF A 844 UNIT SUDDENLY 
          BEING LEFT CONNECTED. 
  
          JLC/JLA 02/14/77         SPM2.
  
  
NB00459   IF SYSTEM IS IN STEP, 1RN CAN CAUSE PP SATURATION BY
          CONTINUING TO EXECUTE ITS NORMAL FUNCTIONS.  THIS CODE
          FORCES 1RN TO TEST FOR SYSTEM STEP MODE.  IF THE SYSTEM 
          IS IN STEP 1RN EXITS AFTER RECALLING ITSELF IN
          APPROXIMATELY 4 SECONDS.
          BJE    2/77              1RN
  
  
C7090HM   CODE TO PREVENT BLANK SCREENS DURING DEADSTART WHEN TRYING
          TO ENTER A MTS OR ATS TAPE DRIVE AFTER BEING GIVEN THE
          NO URT ENTRIES MESSAGE. 
          AEM    3/2/77      IRCP 
  
  
C7510CD   PROVIDE A DIAGNOSTIC TO ALERT THE OPERATOR THAT THE CM
          DEADSTART DRIVER BUFFER HAS OVERFLOWED. 
          AEM    3/10/77     CONTROL
  
  
C7020AT   IF IP.MCPU=1, CPMTR CANNOT INITIATE SCHEDULER OR STORAGE MOVE 
          WHILE A SYSTEM IDLE IS IN PROGRESS. 
          JLN    03/08/77          CRESCH 
  
  
C7510AM   CHANGE THE DEFAULT VALUES FOR BASE AND DRIVBFL IN DSLCOM
          TO ENABLE 49K DEADSTART.
          AEM    3/10/77     DSLCOM 
  
  
NB00504   DEADSTART FAILS WITH NB00169 INSTALLED AND CEJ/MEJ DISABLED.
          AEM    3/10/77     CONTROL
  
 NB00540  EXPAND DEFAULT APF SIZE FOR INSTALLATION
          PROCEDURE.
          JWB    03/24/77          CMR
  
 *L454*    **************************************************************** 
C7540WK   CORRECTION TO UNDERFLOW ERROR PROCESSING                      000130
          01/24/77           CMR                                        000140
                                                                        000160
                                                                        001840
C7540MI   CODE TO ALLOW SUCCESSFUL SYSTEM RECOVERY WITH 819 DISKS       001850
          DEFINED.                                                      001860
          AEM    2/21/77     IRCP                                       001870
                                                                        001880
C7540WV   FIX INDEFINITE ERROR FOR CYBER 176                            002050
          02/22/77           CMMGR                                      002060
                                                                        002080
 C7540GC FIXES 1TJ SO THAT QUEUED FILES WORK OKEY                       002300
          02/09/77           1TJ                                        002310
C7540WX   CLEAR SCR FLPP ERROR BIT AFTER DEADSTARTING AN FLPP           002420
          12/02/76           CONTROL                                    002430
                                                                        002450
 C7540DP  FIX UNRECOVERED ERROR PROBLEM.                                002550
          02/04/77           CMR                                        002560
C7540WZ   MORE SCR DEFINITIONS FOR THE CYBER 176                        002670
                                                                        002690
C7540WY   ADD CM CHECKING CAPABILITY FOR CYBER 176                      002880
          12/7/76            CONTROL                                    002890
                                                                        002910
C7540WP   ADD EEA TO XP FOR INITIALIZATION                              005680
          02/03/77           MTR                                        005690
                                                                        005710
C7540SA   DELETE XP MACRO FROM PPTEXT                                   006330
          2/16/77            PPTEXT                                     006340
                                                                        006360
C7540SB   ADD XP MACRO TO IRCP                                          006430
          2/16/77            IRCP                                       006440
                                                                        006460
C7540SC   ADD XP MACRO TO CMR                                           006940
          2/16/77            CMR                                        006950
                                                                        006970
 C7540MK         THE SUBROUTINE LIK IN 3DO DID NOT CORRECTLY BUILD      007460
                 THE FNT EXTENSION FOR A PERMANENT FILE ON AN 819.      007470
                 CODE WAS ADDED TO CORRECT THIS SITUATION.              007480
                 ALSO CERTAIN UNNEEDED VALUES FROM SOME TABLES WERE     007490
                 DELETED IN ORDER TO MAKE MORE SPACE.                   007500
                 77/02/20          3DO                                  007510
F7540WC   DEALLOCATE LCM FOR 819 DAYFILES 
          LOGICALLY DEPENDENT ON F7540WD. 
          02/22/77           1EJ
  
F7540WD   DEALLOCATE LCM FOR 819 DAYFILES.  LOGICALLY DEPENDENT ON
          F7540WC.
          02/22/77           6RD
  
  
SC40835   REWRITE DIS AND DSD DAYFILE DISPLAY ROUTINES TO CORRECT 
          NUMEROUS ERRORS.
          JLN    11/15/76          CMR,DSD,MTR,1EJ,DIS
  
  
SC43550   DSD FIX TO NOT ASSEMBLE 8DX IF IP.ECSB IS ZERO
          DAD    04/22/75    DSD
  
  
SC44779   -DIVERT- COMMAND ON INPUT DISPOSITION AFFECTS ALL FILE TYPES. 
          CORRECT ROUTINE TO RECOGNIZE INPUT QUEUE FILES PROPERLY.
          JLN    11/23/76          DSD
  
  
 SC45265A TURN SUBROUTINES *CSBS*, *RAGET*, *SFCP*, AND *CACT*
          INTO SEGMENTS.
          76/11/11           ECLINK 
  
  
 SC45265B MAKE SEGMENTS *PROCERR*, *CSBS*, *RAGET*, *SFCP*, AND *CACT*
          CM RESIDENT.
          76/11/11           CMRDIR 
  
  
SC45444   -DIVERT- COMMAND DOES NOT ACCEPT FORMATS WITH BOTH MFID AND 
          TID UNSPECIFIED.
          JLN    11/23/76          DSD
  
SC46303   REPLACE UJN  * WITH M.KILL MONITOR FUNCTION 
          WVM      11/16/76        1TS
  
  
SC46456   MODIFY THE DDT RECOVERY ROUTINE IN IRCP TO USE THE NEW
          CMR VALUES FOR THE NUMBER OF FIXED AND VARIABLE ENTRIES 
          IF THE DDT POINTER IN THE RECOVERED CMR HAS BEEN DESTROYED. 
          AEM    10/27/76    IRCP 
  
  
SC46467   DEADSTART WITH SYSTEM,I AND 2.B SELECTED CAUSES FLAWS 
          TO BE LOST WHEN CONVERTING TO 2.A.
          AEM    11/05/76    IRCP 
  
  
NB00208   CODE TO PREVENT THE IRCP RECONFIGURATION MODULE FROM
          CHANGING THE CHANNEL TIME ACCOUNTING FACTOR IN THE DST. 
          AEM    11/19/76    IRCP 
  
  
NB00128   GENERALIZE DSD L-DISPLAY TO ACCOMMODATE CYBER LOADER 1.1. 
          JLN    11/23/76          DSD
  
  
NB00215   CANNOT DEADSTART SYSTEM WITH MORE THAN 10 844 AND/OR
          66X BUFFER CONTROLLERS DEFINED. 
          AEM    11/04/76    CONTROL
  
  
NB00243   TDS SETS REDUCE FLAG INCORRECTLY WHEN SETTING UP
          THE GENDJ CONTROL POINT.
          AEM    11/03/76          TDS
  
  
NB00261   PROVIDE A CHECK FOR MAXIMUM RBT LENGTH IN IRCP ROUTINE
          REMPCHN.
          AEM    11/10/76          IRCP 
  
SC43948   1SI SHOULD USE THE FL SAVED BY 1QP IN C.JDFL WHEN INITIATING
          A LONG MUJ, INSTEAD OF THE DEFAULT FL (IP.SFL). 
          DPK    10/29/76          1SI
SC46493   1SI MUST IGNORE JOB-NAME MISMATCH WHEN SWAPPING IN
          RECOVERED INTERCOM JOB (WHICH WILL BE KILLED).
          DPK    11/24/76          1SI
  
 NB00286  TREAT *SP* = 0 THE SAME AS *SP* NULL IN CHECKPT MACRO.
          76/12/10                 ACTCOM 
  
  
NB00192   6PD ISSUES BAD STACK REQUEST IF THERE IS AN EXISTING
          PRE-DAYFILE WHEN IT IS CALLED.
          JLN    11/23/76          6PD
  
  
SC46532   1MH DOES NOT RECOGNIZE REQUEST CARD PARAMETERS (OTHER 
          THAN DEVICE TYPE AND DENSITY) WHICH INDICATE MAGNETIC TAPE
          REQUESTS.  THIS CAN RESULT IN UNWARRANTED PRE-ABORTS IF S.PREA
          OF IP.TSG IS SET. 
          JLN    01/19/76          1MH
  
  
NB00325   IF TAPE STAGING IS ON AND S.PREA OF IP.TSG IS SET, THEN 
          REQUESTS FOR MEMBER FILES OF A MULTI-FILE VOLUME CAUSE JOBS 
          TO BE PRE-ABORTED.
          JLN    01/12/77    1MH
  
  
SC46449   1MH ADDS PRE-ABORT BIT RATHER THAN ORING IT.  THIS RESULTS IN 
          SETTING OF RERUN BIT IF PRE-ABORT BIT IS ALREADY SET. 
          JLN    01/14/77          1MH
  
  
NB00156   1MH SHOULD USE CH.FNT INSTEAD OF CH.FST WHEN LOCKING FILES. 
          ALSO, CORRECT PROCESSING FOR FUNCTION CODE 3 (FILE STAGING) TO
          ALWAYS EXPECT AN FNT ADDRESS. 
          JLN    01/14/77          1MH
  
  
NB00156B  THE *STAGE.* COMMAND DOES NOT LOCK THE STAGED FILE"S FNT
          BEFORE CALLING 1MH.  THIS CAN RESULT IN A 1QF BMR IF 1QF IS 
          CALLED TO OPERATE ON THE FILE WHILE 1MH IS ACTIVE.
          JLN    01/14/77          DSD
  
  
NB00310   1MH ASSUMES N.VRNBUF IS LESS THAN 37 AND CAN OVERWRITE
          ARBITRARY MEMORY LOCATIONS IF THIS CONDITION DOES NOT HOLD. 
          JLN    01/14/77          1MH
  
  
NB00284   1MH MAY PRE-ABORT JOBS WITH VALID VSN DECLARATIONS.  THIS WILL
          OCCUR IF THE JOBCARD IS LESS THAN 9 CHARACTERS LONG AND THE 
          FIRST CONTROL CARD CPNTAINS VSN INFORMATION.
          JLN    01/14/76          1MH
  
  
SC46536   MODIFY NSV TO IGNORE A SECOND VSN CARD FOR A LFN IFF LFN
          ID STILL A GNT. (MAKES CODE MATCH THE REFERENCE MANUAL) 
          CORRECT INTERNAL DOCUMENTATION TO MATCH REFERENCE MANUAL. 
  
          BJE    12/76       NSV
  
 SC46414  THIS MOD CORRECTS THE PROCESSING OF A BKSPRU FUNCTION WHICH 
          CROSSES AN OVERFLOW RBT WORD PAIR.
  
          JLC    12/21/76          4DO. 
  
NB00244A  FIXES BAD CARD IN NB00244 
          76/12/21           CSPM2
NB00361   1SO MUST NOT CLEAR THE FET ADDR IN THE FNT ENTRY WHEN THE 
          FNT POINTER IN THE FET IS INCORRECT.
          DPK    02/01/77    1SO
NB00356   WHEN ACE OR 1AJ READS A BAD CONTROL STATEMENT, ACE MUST RESET 
          C.CPNCSP (NEXT CONTOL STATEMENT POINTER), AND 1AJ MUST NOT
          SET ERROR FLAG IF S.CPX IN C.CPFP IS ALREADY SET. 
          DPK    01/17/77    ACE,1AJ
  
SC46575   CHECK FOR CONFLICT OF *W* AND *NORING* PARAMETERS IN LABEL
          CARD PROCESSOR
          BJE    1/77        LABEL
  
  
SC46575A  CHECK FOR CONFLICT OF *N* AND *NORING* IN REQUEST CARD
          PROCESSING. 
          BJE    1/77              REQUEST
  
  
SC44920   MACRO ENTRY34 (SCHCOM) MUST CHECK FOR ZERO JDT ADDRESS
          (C.CPJDA) IN ORDER TO AVOID OVERWRITE OF BYTE 0, CM WORD 3
          (DUPE OF SC46296) 
          BJE    1/77        SCHCOM,REQ,MEM,1AJ,1SO,1IB,CIO 
SC46210   6MN EXITS WITHOUT NORMAL VSN PROCESSING IF TAPE IS
          REQUESTED FROM A CONSOL CONTROL POINT, AS N.X REQUEST(TAP, , )
          VSN EXITS BECAUSE MAXIMUM TAPES (W.CPTAPE) IS NOT SET 
          IN N.X JOBS.  THIS CODE TESTS JDT ADDRESS FOR ZERO.  IF SO
          PROCEEDS WITH NORMAL TESTING INSTEAD OF RETURNING TO
          3RQ IMMEDIATELY.
          BJE    1/77        REQ
NB00378A  PIO WILL NOT CALL 1QF MODE 4 FOR A SEQUENCER JOB
          JGS    02/01/77          COMPPIO IN PL1A
  
NB00400   SCHEDULER MUST CHECK BIT 39 OF REQUEST (NOT BIT 3) BEFORE 
          RESETTING TIME-INTO-QUEUE (C.JDTIN) IN JDT ENTRY. 
          DPK    02/09/77          CMMGR,CMR,MMGR 
NB00402   RB GREATER THAN PB DOES NOT WORK
          02/17/77           SPM2 
  
NB00101   VSN ALLOWED ONLY ONE DEFAULT SCRATCH DECLARATION PER CARD 
          (E.G., VSN(TAPE1)).  CAUSED BY FAILURE TO RECOGNIZE COMMA 
          AS A VALID SEPARATOR..  WITH THIS MOD VSN(TAPE1,TAPE2,..TAPEN)
          WILL CREATE GNT FOR EACH TAPE WITH VSN=SCRATCH. 
          BJE    1/77        VSN
  
NB00154   NSV FAILED TO USE SYMBOLIC VALUE FOR LE.FNT IN TWO PLACES.
          BJE    1/77        NSV
  
NB00302   +/- PROCESSING DOES NOT WORK FOR LINKED DISPLAYS IF 8YA IS
          CM RESIDENT.  CAN RESULT IN BLANK SCREENS.
          JLN    02/18/77          DSD
  
  
SC46137   DSD DOES NOT CLEAR IT"S OUTPUT REGISTER WHEN IT DETECTS A 
          *WAIT MTR* CONDITION.  IF MTR COMES BACK TO LIFE, THE FUNCTION
          WILL BE PROCESSED WITHOUT DSD KNOWING IT. 
          JLN    02/22/77          DSD
  
  
SC46569   IF *NORING* IS REQUESTED BOTH *EXTEND* AND *MODIFY* 
          PERMISSION BITS IN FNT NEED TO BE CLEARED. REQ WAS CLEARING 
          ONLY THE EXTEND BIT.
          BJE    2/77        REQ(6MN) 
  
  
NB00437   REQ WAS ALLOWING AUTOASSIGNMENT OF NON-ALLOCATABLE
          DEVICES WHICH WERE DEFINED TO BE NONAUTO-ASSIGNABLE.
          THESE EXEMPTED DEVICES INCLUDE CARD READER, PRINTERS, 
          AND CERTAIN OTHER DEVICES, MOST OF WHICH ARE USER SUPPORTED 
          SUCH AS MICROFILM AND GRAPHICS DEVICES. 
          REQ WILL NOW FILTER THESE DEVICES AND INSIST THAT 
          THE OPERATOR MAKE THE ASSIGNMENT. 
          BJE    2/77        REQ
  
SC46464   STS SHOULD NOT DECREMENT LIST LENGTH BYTE IN HEADER WORD. 
          DPK    02/15/77    STS
  
SC46254   DSD DEPENDS UNNECESSARILY ON W.CPPRI WHEN PROCESSING
          *J.UNLOCK* FOLLOWING *J.LOCKIN*.  THIS CAN RESULT IN SYSTEM 
          ABORTS FROM SCHEDULER ROUTINE *DJD* IF W.CPPRI IS OVERWRITTEN.
          JLN    02/25/77          JLN
  
NB00366   SHIFT INSTRUCTION IN SPM EVICT ON WRITE PROCESSING OUT OF 
          PLACE. CAN CLOBBER FIRST WORD OF UPDATED STACK REQUEST. 
          SUBJECT OF SIM NUMBER 5 
          03/02/77           SPM4 
SC43162A  PURGE AND RESUBMIT SC43162. DO NOT CHECK MLRS .GT. BUFFER ON
          READSKP OR READN. 
          WVM    01/11/77    1RS
  
SC43162B  CHECK FOR MLRS .GT. BUFFER IF NOT READSKP OR READN. 
          WVM    01/11/77    1NR
  
  
NB00064A  REQ (7RQ OVERLAY) WAS FAILING TO MAKE CORRECT DECISIONS 
          REGARDING ASSIGNMENT OF FILES TO PRIVATE SETS.  WITH THIS MOD 
          THE FOLLOWING RULES ARE EFFECTED. 
  
          1. NO *SPECIAL NAME* FILE WILL BE ASSIGNED TO A PRIVATE 
          SET.  THE LIST OF SPECIAL NAMES IS NOW, AND SHOULD BE 
          MAINTAINED, EXACTLY THE SAME AS THE 3DO *SPECIAL NAME* LIST.
          AN ERROR CODE OF 26B WILL BE RETURNED TO THE CALLER AFTER THE 
          DAYFILE MESSAGE *SPECIAL NAME FILES CANNOT RESIDE ON PRIVATE
          DEVICE SETS* HAS BEEN ISSUED. 
  
          2. NO *Q REQUEST WILL BE ASSIGNED TO A PRIVATE SET.  IF 
          THE REQUEST IS FOR *Q,SN=PVTDEV, AN ERROR CODE OF 26B WILL
          BE RETURNED TO THE CALLER AFTER THE DAYFILE MESSAGE 
          *Q FILES CANNOT RESIDE ON PRIVATE DEVICE SETS* HAS BEEN 
          ISSUED. 
  
          IF THE REQUEST IS FOR *Q,*PF,SN=PVTDEV, THE FILE
          WILL BE CREATED AS A PF (ONLY) AND THE INFORMATIVE
          MESSAGE *Q IGNORED FOR REQUEST ON PRIVATE SET* WILL 
          BE INSERTED IN THE DAYFILE. 
          BJE    2/77              REQ
  
 NB00258  RESETS 1SP ERROR PROCESSING TO BUMP THE DISK ADDRESS ON A 
          CM WRITE ERROR WITH THE EP BIT SET IN THE FET, IT DOES NOT
          HOWEVER CHANGE THE FET POINTERS, SO ON A RE-ISSUE THE PRU 
          WILL BE SKIPPED, BUT INFORMATION WRITTEN WILL BE CURRENT. 
  
          RAM    12/29/76.         1SP (RMSY, RMSM) 
  
 NB00450  IP.LNKMX WAS NO LONGER BEING USED, SO IT WAS DELETED. 
          GDM    77/03/18          ECSCOM 
  
  
NB00266   NB00266 FIXES THE PROBLEM WITH ZZZZZ06 ATTACHED TO A
          CONTROL POINT ON RECOVERY, CAUSING THE FNT TO BE RELEASED 
          BUT NOT THE ECS BUFFERS.  THIS FIX CHECKS FOR THIS FILE 
          ATTACHED AS A LOCAL FILE, CHANGES IT TO CONTROL POINT 
          ZERO AND SETS THE FNT COMPLETE. 
          AEM    11/02/76    IRCP 
  
  
NB00238   CHANGE COMMENTS FOR 3-DIGIT EST ORDINAL.
          DEVERR MODS TO ALLOW 3-DIGIT RBR ORDINAL. 
          AEM    11/02/76    IRCP 
  
  
NB00448   IF IP.STEX IS ENABLED, KEYBOARD ENTRIES WILL BE LOST IF MADE
          WHILE A STORAGE MOVE IS IN PROGRESS AT THE STATION
          CONTROL POINT.
          IF IP.STEX IS ENABLED, DSD CAN WRITE INTO LOW CORE IF UNABLE
          TO GET FIELD ACCESS TO STATION CONTROL POINT WHILE PROCESSING 
          A COMMAND FOUND IN THE EXTENDED SYNTAX TABLES.
          JLN    02/14/77          DSD
  
SC46586   1SO MUST ENSURE THAT THE STACK REQUEST COUNT IS ZERO
          AFTER THE SWAP FILE HAS BEEN WRITTEN. 
          DPK    03/04/77          1SO
NB00497   1SO MUST CLEAR THE STORAGE MOVE FLAG (S.CPUSTM) IN THE
          CONTROL POINT AREA ON THE SWAP FILE.  (CPMTR MAY NOT
          HAVE CLEARED IT YET.) 
          DPK    03/09/77          1SO
NB00352   ENLARGE MASK TO 3 DIGITS IN PRINT/NOPRINT TEST (EST ASSIGNED).
          BJE    1/77        REQ
  
  
 NB00521  THIS MOD CORRECTS THE INCORRECT DISPLAYING OF THE CHANNEL 
          NUMBER IN MESSAGES ASSOCIATED WITH LOADING OF 844 CONTROLLERS.
  
          JLC    01/07/77          CONTROL(IRP) 
  
 NB00521  THIS MOD CORRECTS A PROBLEM CONCERNING 844 DISKS BEING LEFT 
          RESERVED BY A MAINFRAME THAT GOES DOWN.  WHEN THAT MAINFRAME
          ATTEMPTS TO COME BACK UP, THE RESERVED 844S ARE STILL 
          RESERVED.  THE PROBLEM OCCURS BECAUSE 844 CONTROLWARE IS NOT
          ALWAYS AUTOLOADED DURING DEADSTART. 
  
          JLC    02/25/77          CONTROL(IRP).
 NB00357  (NB00357A - RAPARAM) ALLOW SINGLE COLON WITHIN LITERAL FIELD, 
          INTERPRET SEQUENTIAL $ CORRECTLY, DISALLOW * AS KEYWORD 
          SEPARATOR, AND ALLOW 40D PARAMETER WORDS IN RA+2 FF.
          (NB00357B - ACE) REMOVE UNNEEDED DEFINITIONS. 
          (NB00357C - 1AJ) REMOVE UNNEEDED DEFINITIONS. 
          (NB00357D - 1MH) CHANGE CODE TO FIT REVISED RAPARAM.
          ********  NOTE  ********* 
          NB00357B, NB00357C, AND NB00357D MUST BE APPLIED TO 
          ACE, 1AJ, AND 1MH AT THE SAME TIME AS NB00357A. 
          DPK    02/22/77          RAPARAM,ACE,1AJ,1MH
  
  
SC44510   LINKED H DISPLAY DOES NOT DISPLAY CORRECT DISPOSTION CODES
          FOR LR, LS AND LT FILES.
          JLN    03/10/77          DSD
  
  
NB00273   THE F=0 DISPLAY INCLUDES FILES FOR LOCKED-IN JOBS AND 
          ROLLED-OUT JOBS.   ALSO PAGING FOR THE F-DISPLAY AND THE
          H-DISPLAY IS AWKWARD.  DISPLAYING EC FIELD FOR PUNCH
          FILES ON THE H-DISPLAY IS UNNECESSARY AND WASTEFULL.
          JLN    03/09/77          DSD
  
  
SC45490   BAD MACRO USE IN R-DISPLAY CODE CAUSES *W-* TO APPEAR FOR 
          JOBS SWAPPED OUT BY INTERCOM DURING CONNECTED I/O.
          JLN    03/09/77          DSD
  
  
NB00393   CLEAR READY BIT IN TAPES TABLE EVEN IF IU BIT IS ON SO
          THAT SCANNER WILL RESET UNIT ORIENTED BITS. 
          BJE    12/76       3IC
                                                                        000120
NB00341   TDS WRITES "GENDJ" INTO W.CPJNAM WITH ZERO FILL.              000130
          AEM    1/28/77     TDS                                        000140
                                                                        000150
 SC44728  1SI MUST RESET ROLL-OUT FLAG IN W.CPSCH WHEN ROLL-IN FAILS
          BECAUSE NO STORAGE IS AVAILABLE OR JOB IS LOCKED OUT. 
          DPK    03/21/77          1SI
  
SC45852   1SI MUST MOVE JOB CLASS TO C.P.AREA AFTER SWAP IN PARITY
          ERROR SO THAT 1EJ WILL DECREMENT JOB COUNT IN T.SCHJCA. 
          DPK    03/17/77          1SI
  
C7540SD   USERS A0 WAS BEING CLOBBERED BY SUBROUTINE LCMPAR.
          AND - CLEAN UP SCHEDULERS EXCHANGE PACKAGE(WORD 7)
          WWS    03/77             CMR
  
NB00032   REQ WAS ALLOWING OPERATOR TO ASSIGN DISK (OR OTHER DEVICE)
          WHEN THE REQUEST HAS EXPLICITLY DEMANDED A TAPE.  WITH THIS 
          MODIFICATION THE PARAMETERS LISTED BELOW, IF PRESENT, 
          WILL NOT ALLOW THE OPERATOR TO ASSIGN A DEVICE OTHER THAN A 
          MAGNETIC TAPE. (HE MAY OVERRIDE MT WITH NT AND NT WITH MT)
                 NORING,VSN,E(R),NS,Z,Y,C1,MF,SV,CK,CI,CS 
          EXTENDED LABELS IN PARAMETER WORDS 5-9
          NORMAL LABEL FIELDS IN PARAMETER WORDS 5-8
          2MT OR 2NT OR 2MN 
          LABEL FAILED TO CHECK FOR PRESENCE OF *R* OR *W* IF NORING
          WAS SPECIFIED.
          BJE    3/77              REQ,6IM,LABEL
  
NB00538   REQ ASKS OPERATOR TWICE IF A 200-BPI REQUEST IS FOR READ ONLY 
          IF THE TAPE IS MOUNTED ON OTHER THAN A 657/607 TAPE 
          DRIVE.  REQ WILL NOW CHECK THE VSN VERIFIED BIT IN D.PPIRB+3. 
          IF IT IS SET THE 200-BPI QUESTION HAS ALREADY BEEN RESOLVED.
          BJE    3/77              REQ
  
NB00461   REQ WAS FAILING TO SET THE PAUSE BIT WHEN THE MESSAGE 
          *REMOUNT WITH(WITHOUT) RING* WAS DISPLAYED. 
          BJE    3/77              REQ
  
NB00543   READSKIP KEEPS FIELD ACCESS FLAG SET DURING ENTIRE SKIP.
          ADD CODE TO RELEASE FAF WHEN FUFFER IS FULL AND SKIP PORTION
          HAS BEGUN.
          WVM    01/11/77    1IT,2IA,2IC
  
SC46590   WRITE ERASE LIMIT ON 659 800BPI CONVERSION MODE TAPES IF
          SYSTEM NOISE BRACKETS ALLOWED.
          1P2 WOULD SET CONVERSION MODE IF THAT WAS MODE OF THE FILE, 
          WRITE SYSTEM NOISE BRACKET AND THEN CLEAR CONVERSION MODE.
          CONVERSION MODE WOULD NOT BE RESET TO REWRITE BLOCK ON TAPE.
          1P3 WOULD GET ERROR ON VERIFICATION, CAUSING RECOVERY TO BE 
          REPEATEDLY TRIED UNTIL ERASE LIMIT OCCURRED.
          CORRECT BY INSURING CONVERSION MODE RESET IF THAT IS MODE 
          OF FILE.
          PL1A SCOPE AND NOSBE. 
          WVM    03/25/77          1P2
  
 SC46429  JOBS PRE-ABORTED BY 1MH DO NOT HAVE FIXED PRIORITY. 
          JLN    03/77             1MH
  
 F7540GE  MODIFY GENDJ TO POSTPONE PROCESSING 819 DISK DEVICES UNTIL
          AFTER LDCMR HAS COMPLETED. THIS ALLOWS 819-S TO BE MEMBERS OF 
          PUBLIC DEVICE SETS ON A CYBER 176 SYSTEM. 
  
          RMD    03/28/77    GENDJ
  
 F7540TD  MODIFY TDS FOR BETA TO PERFORM LDCMR BEFORE GENDJ COMPLETION. 
  
          RMD    03/28/77          TDS
  
NB00536   THE LOGIC TO DEFINE AND SET A FLAG IN THE TAPES TABLE TO
          INDICATE FILE IS REWOUND ON A MULTI-VOLUME FILE SHOULD NOT BE 
          SET IF CURRENT REEL IS VOLUME 1.
          WVM    03/21/77          3IC
  
 C4600EK  CORRECTS EXTRA DECREMENT OF JOB COUNT WHEN 1EJ STOPPED
          BY D/S RECOVERY.
          *** MUST BE INSTALLED WITH C4600IR ***
          RFG    03/29/77          1EJ
  
 C7540DQ  COMPLETE STACK REQUEST AFTER DROP FLAG IS SET.
          JED    03/21/77    CEM,CPMTR,PPSYS,HSPTEXT
  
NB00542   REPLACES TEMP CELL D.T6 WITH D.T0 IN 3IE TAPES TABLE INDEX. 
          CELL CONFLICT OF D.T6 DESTROYED A DOWN CHANNEL FLAG.
          WJS    01/77       3IE
  
 NB00576  FIXES TDS TO ALLOCATE SYSTEM FILES TO A SYSTEM DEVICE 
          GDB    3/10/77           TDS
  
C7540WW   CYBER 176 LCM INITIALIZATION
          WWS    3/77              IRCP 
  
C7540WQ   ENABLE LFP TO CLEAR LCM/LCME ERROR CONDITIONS IN THE SCR
          WWS    03/77             CONTROL
  
 C7540GE  FIXES 1SO SO THAT ALL JOBS EXCEPT MUJS ARE SWAPPED TO 
                 819 IF PRESENT 
          GDB    3/30/77           1SO
  
 C7540GF  FIXES CMR SO THAT ALL JOBS EXCEPT MUJS ARE SWAPPED TO 
                 819 IF PRESENT.
          GDB    3/30/77           CMR
  
 NB00539  *N.DIR* COMMAND GETS DAYFILED WI]H ZERO JOBNAME.
          K-DISPLAY THINKS APF POINTER IS 12 BITS.
          APF ORDINALS APPEARING IN LINKED FNT"S ARE NOT DISPLAYED BY 
          DSD OR DIS. 
          JLN    03/77             DSD,DIS
  
SC46589   W-DISPLAY PRODUCES GARBAGE IF N.VDDT=0. 
          JLN    03/77             DSD
  
 SC45909  DSD DOES NOT DETECT ATTEMPT TO SET A DUPLICATE BREAKPOINT.
          JLN    03/77       DSD
  
 C7540JP  DIRECT CELL CONFLICT BETWEEN PFA AND 7EC REMOVED. D.SX6 
          RESTORED BY 7ECCOM. ECS 844 BUFFERING CODE DISABLED 
          WHEN 819 CODE ENABLED.
          GDM    04/28/77          7ECCOM 
  
NB00541   THE URT ADDRESS WAS NOT INITIALIZED BY 1IT ON A BLANK LABEL 
          REQUEST. A WRITE PARITY ERROR WOULD CAUSE INCORRECT URT 
          ADDRESS IN CM (CM CLOBBERED). 
          WJS    3/25/77     1IT
  
 NB00198  I/O TIME INCONSISTANT WITH SEEK OPTION ON 
          JLA    02/13/77          1SP. 
  
  
C7540MO   CODE TO FORCE THE DUMP OF FLPPS TO OCCUR BEFORE ANYTHING OTHER
          THAN 844 OR MTS BCS.
          AEM    4/14/76           CONTROL
  
NB00629   2IP RETURNED EOI STATUS IN FET AND FCSTAT WHENEVER
          A TAPE MARK WAS FOUND ON A LABELED S OR L TAPE. 2IP DID NOT 
          INCREMENT BLOCK COUNT WHEN A TAPE MARK WAS FOUND ON A 
          LABELED S OR L TAPE.
          BJE    4/77              2IP,3IV
  
C7540AE   CHECK FOR CYBER 176 NOT MADE BEFORE CALLING SET 
          WWS    04/77             CONTROL
  
 SC46591  ADDS CODE TO WAIT FOR THE INPUT FILE TO BE NOT BUSY BEFORE
          CALLING 1QF 
          RFG    04/06/77    1EJ
  
 C7540GG  CHANGES THE NUMBER OF BUFFERS/TBT SO THAT ONE TRACKS
                 WORTH OF DATA FITS IN THE BUFFER 
          GDB    4/05/77     CMR
  
 C7540GA  CLOSES SPM SO THAT PPIO REQUESTS RETURN CONTROL TO THE
          CALLING SEGMENT 
          GDB    4/15/77     CSPM1
  
          02/07/77           CSPM1
  
NB00603   CODE TO INCREASE DEADSTART MEMORY TEST TIMEOUT TO SUPPORT 
          262K CYBER 171. 
          AEM    4/18/77     CONTROL
  
NB00614   REMOVE POSSIBLE HANG CONDITION IN SPM IF AT EOI AND OVERFLOW
          HAS OCCURED.
          JLA    4/15/77           SPM
  
 NB00054A WHEN IP.ELIB = 0, FOUR ECS ROUTINES WERE GETTING
          ASSEMBLED WITH NO ENTRY POINTS CAUSING SYSTEM EDITLIB 
          TO ABORT.  THE FIX MOVED THE CONDITIONALLY ASSEMBLED
          CODE INSIDE THE SEGDEF AND ENDSEG MACROS. 
  
          GDM    77/04/19          ECS
NB00506   1SP/SPM TIMING PROBLEM IF ILBROK FLAG SET AND ORDER CODE IS 
          O.IDLE.  MAY CAUSE INTERLOCK TO BE LOST.
03/13/77  SPM1,1SP
NB00577   SKIPB DOES NOT FIND RECORD LEVEL NUMBER ON ATS.  CODE ADDED TO
          ADJUST ATS DATA RECEIVED TO CONFORM TO MTS.  THE MTS LEVEL
          FIND ALGORITHM IS THEN THE COMMON CODE PATH USED. 
          SKIPF DOES NOT FIND RECORD LEVEL NUMBER ON 511 DECIMAL CM WORD
          RECORD LENGTH. CODE ADDED TO COVER END CASE OF SHORT PRU
          INDICATING RECORD LENGTH OF FULL PRU. 
          WJS    04/04/77          2IP
  
  
NB00579   CODE TO COORDINATE THE DOCK CONTROL CODES IN DEADSTART. 
          AEM    4/7/77            DSLCOM CEA CONTROL TDS 
  
  
NB00505   REQ FAILED TO CLEAR THE YES/NO BIT IN W.CPOAE (CONTROL POINT
          AREA) IF OPERATOR HAD BEEN INFORMED/ASKED 
                 *TTUU NOT READY. MAKE IT READY OR REASSIGN.
                       TYPE N.YES OR N.NO*
          THE RESULT OF THIS FAILURE WAS APPARENT WHENEVER ANY REQ
          OVERLAY NEEDED AN OPERATOR DECISION ON ANY SUBSEQUENT 
          QUESTION SUCH AS INCORRECT VSN OR INCORRECT DEVICE TYPE.
          REDUNDANT CODE IN SUBROUTINES *ASSIGN* AND *ENDEST* IS
          COMBINED AS SUBROUTINE *SWM* (SET WAIT MESSAGE) 
          DOCUMENTATION OF D.PPIRB IS INCLUDED. 
          BJE    3/77              REQ
  
 NB00580  THIS MOD CORRECTS 1SP ERROR PROCESSING TO PROPERLY RESET
          DISK ADDRESSES AFTER A GENERAL STATUS FUNCTION IS TIMED OUT 
          IMMEDIATELY AFTER A READ. (844-S) 
          RAM    04/05/77.         RMSY (1SP, IRP)
  
NB00537   SKIP DRIVER *2IP* DOES NOT RETURN CONTROL TO USER IF EP BIT ON
          CONTROL RETURNS TO SKIP DRIVER INSTEAD. 
          CODE 2IP TO SET FLAG *MP.TWOIP* IN D.TSB AND IN 3IM TO RETURN 
          TO USER IF EP AND *MP.TWOIP* ARE SET. 
          WVM    04/22/77    2IP,3IM,2IR
  
  
 NB00456A THIS MOD CLEANS UP CODE IN NB00456. 
  
          JLC    4/04/77           CSPM1,CSPM2,1SP. 
  
  
NB00652   CODE TO PREVENT LOAD FROM USING AN INVALID MST ORDINAL ON 
          A 2.B DEADSTART.
          AEM    5/5/77            IRCP 
  
 NB00630  1SI MUST ZERO THE CCL PROCEDURE LEVEL AND CONTROL CARD
          FST ADDRESS AND WORD IN THE CONTROL POINT AREA WHEN 
          BEGINNING A NEW INTERCOM COMMAND (S.JDNJ = 1).
          DPK    04/26/77          1SI
  
NB00619   CONTROL BACKSPACE FCN *114* SHOULD BE REPLACED WITH FCN *314*.
          MTS FUNCTION 114 IS INTENDED TO BE USED AS A DIAGNOSTIC 
          TOOL. THE FUNCTION SHOULD NOT BE USE FOR POSITIONING DURING 
          WRITE ERROR RECOVERY. 
          USE 66X CONTROLLED BACKSPACE-FINDGAP INSTEAD OF CONTROLLED
          BACKSPACE WHENEVER FRAME COUNT ERROR 3 IS DETECTED DURING 
          BLOCK ID RECOVERY.
          NH     02/26/77    3IE,3IR,3IW
  
NB00606   IF AN MDI ERROR IS DETECTED IN SUBROUTINE *PRIOR* OF 3IE
          DURING 1RN REQUEST FOR TAPE SCAN WILL CAUSE THRESHOLD COUNTERS
          TO BE UPDATED IN THE URT. DURING A SCAN WHICH IS A SYSTEM CALL
          IT IS NOT NECESSARY TO  UPDATE COUNTERS IN URT. 1IT SUBROUTINE
          *RWW* DOES NOT HAVE A VALID URT ADDRESS . 
          WVM    04/22/77    3IE,3IR,3IW
  
NB00605   POSSIBLE LOOP BETWEEN 3IM AND RECOVERY DRIVERS. SUBROUTINE
          *PRIOR* UPON DETECTING A DETAIL ERROR CODE IN DETAIL STATUS 
          WILL CALL 3IM TO PROCESS CORRESPONDING ERROR MESSAGES AND 
          DOES NOT WANT OR EXPECT CONTROL TO RETURN TO RECOVERY MODULE. 
          3IM WILL RETURN CONTROL IF *EP* AND RECOVERY MODE. ADD CODE TO
          CLEAR RECOVERY MODE BIT BEFORE 3IM CALL.
          WVM    04/22/77    3IE,3IR,3IW
  
NB00628   ROUTINE YDROPC DOES NOT CHECK UNIT TO DROP IS LAST REFERENCED 
          UNIT. CAN CAUSE UNIT RESERVE PROBLEMS WHEN OVERLAP SEEK 
          IS ON.
          JLA    04/27/77          1SP
  
 NB00466  FIXES SPM SO THAT 819 PPIO INTERFACES CORRETLY TO THE 
          CALLING PPU.
          GDB    4/21/77.          CSPM1
  
  
NB00620   CODE TO PREVENT THE DISPLAY CHANNEL FROM HANGING IF 
          DRIVBUF OVERFLOWS DURING DEADSTART. 
          AEM    4/21/77     DSLCOM 
  
 C7540KA  FET BUFFER IN PP MEMORY CANNOT INCLUDE CELL 7777B.
          DPK    05/20/77    1EJ
  
  
 NB00506C THIS MOD CLEANS UP CODE IN NB00506 AND F7510SP.  CHANGES A ZJK
          INSTRUCTION TO A PJN, DELETES 4 LINES OF CODE, AND CHANGES
          A LPC INSTRUCTION TO A LPN. 
  
          JLC    04/04/77          1SP. 
  
NB00376A  PIO WILL NOT CALL 1QF MODE 4 IF NO-RERUN BIT IS ALREADY SET 
          JGS    02/01/77          COMPPIO IN PL1A
  
C7540SH   WAIT FOR HSF TO COMPLETE AN XF.HSF REQUEST, DONT PUT PP INTO
          EVENT STACK.
          WWS    05/77       1AJ
  
C7540SG   WAIT FOR HSF TO COMPLETE AN XF.HSF REQUEST, DONT PUT PP INTO
          EVENT STACK.
          WWS    05/77       1CL
  
 C7540DW  ADD LIST CONTROL TO INTERRUPT HANDLER.
          JED    05/05/77    CMR
  
NB00653   IF DOING LABEL RECOVERY FOR A WRITE TAPE MARK, 3IW DOES NOT GO
          THROUGH *VERIFY* ROUTINE.  THEREFORE ON EXIT FROM RECOVERY, 
          SECOND WORD OF FORMAT PARAMETER IS NOT RESET TO PROPER VALUE. 
          RESULTING IN *RESERVE* HANGING IN A LOOP TRYING TO FORMAT AND 
          CONNECT WITH AN INVALID PARAMETER.
          WVM    05/06/77          3IW
  
NB00362   INCORRECT LEVEL NUMBER BEING DETECTED IF BINARY SKIP ON CODED 
          SEVEN TRACK TAPE. 2IP USES 3IR WHICH USES 2IP TO REREAD THE 
          BLOCK, IF RECOVERY IS SUCCESSFUL WITH OPPOSITE PARITY SELECTED
          THE BCD DATA FROM TAPE IS NOT CONVERTED TO DISPLAY CODE.
          D.MODE IS CHANGED TO REFLECT THE PROPER MODE BUT UPON 
          ATTEMPTING TO CONVERT THE LEVEL NUMBER, 2IP ASSUMES THE DATA
          IN THE BUFFER IS IN CORRECT FORMAT. THE CONVERSION WILL FAIL
          AND AT TIMES MAY CAUSE INTERNAL FNT WRITE BIT TO BE SET DUE TO
          OVERFLOW DURING CONVERSION. 
          CODE 2IP ROUTINE *CLEVEL* TO RECOGNIZE A LEVEL NUMBER THAT MAY
          BE IN EXTERNAL BCD MODE.
          AN ADDITIONAL CHANGE WILL CORRECT THE FUNCTION NOT COMPLETE 
          DETAIL ERROR CODE RETURNED TO THE FET TO A VALUE OF 25B AS
          DOCUMENTED IN THE USERS REFERENCE MANUAL. 
          BJE    5/31/77     2IP
  
 NB00621  WHEN USING THE EXTENDED STATION PROTOCOL (IP.STEX " 0), DSD 
          IS SUPPOSED TO SEND THE STATION (VIA MC.LCOM) AN IMAGE OF THE 
          KEYBOARD BUFFER FOR COMMANDS DEFINED IN THE EXTENDED SYNTAX 
          TABLE.  HOWEVER THE MESSAGE LENGTH FOR MC.LCOM WILL ONLY
          ACCOMMODATE 30 CHARACTERS.  THIS CAN RESULT IN TRUNCATION OF
          THE COMMAND IMAGE.  ENHANCED STATION PSR ES40528 MUST BE
          INSTALLED CONCURRENTLY. 
          JLN    04/77             DSD, STATCOM 
  
 NB00624  *LOGOUT.* COMMAND SHOULD BE LEGAL EVEN IF MORE THAN ONE LINK
          IS DEFINED (IP.LINK .GT. 1).  THIS MODSET IS TO SUPPORT 
          ENHANCED STATION PSR ES40517. 
          JLN    04/77             DSD
  
 NB00654  THE FOLLOWING DISPLAY PROBLEMS OCCUR IF IP.STEX"0 - 
                 PAGE COUNTS ARE NOT ADJUSTED PROPERLY IN MC.LDIS 
                    MESSAGES WHEN +/- KEY-INS ARE MADE. 
                 MC.LCOM REJECT MESSAGES ARE NOT DISPLAYED CORRECTLY. 
                 MC.LDIS REJECT MESSAGES ARE IGNORED. 
          JLN    05/77             DSD, STATCOM 
  
 NB00342  *LOGIN.* COMMAND PRODUCES AN *ILLEGAL ENTRY* MESSAGE IF 
          IP.LINK = 1.
          JLN    04/77             DSD
  
  
C7540MR   CODE TO PREVENT SETTING THE QUEUE DEVICE ATTRIBUTE TO AN
          819 RMS DEVICE AT DEADSTART.
          AEM    6/8/77            IRCP 
  
 C7540NB  CPMTR BREAKPOINT CAPABILITY DOES NOT WORK ON CYBER 176. 
          JLN    05/77       DSD
  
 C7540NE  SCR BIT S.SCDED IS READ-ONLY ON CYBER 176 AND MUST NOT BE 
          TESTED WITH THE TEST-BIT FUNCTION.  THE RANK CONTROL BITS 
          MUST BE CLEARED  FOLLOWING MEMORY ERRORS ON CYBER 176 
          MAINFRAMES. 
          JLN    05/77             1SC
  
C7540DV   ADD EST ORDINAL TO 819 DAYFILE MESSAGE. 
          JED    05/05/77    CEM,LCM
  
 NB00658  DSD DOES NOT ASSEMBLE IF IP.LINK=0. 
          JLN    06/77             DSD
  
 NB00751  IF LINKED DISPLAYS HAVE A VERY LONG REFRESH RATE, STATION 
          CAN ENTER ITS IDLE LOOP WHILE DSD IS STILL USING USING THE
          DISPLAY BUFFERS.  THIS OCCURS WITH THE EXTENDED DISPLAY 
          FORMAT (IP.STEX " 0).  STATION PSR ES40542  MUST ALSO BE
          INSTALLED TO CORRECT THE PROBLEM. 
          JLN    06/77       DSD
  
 NB00752  DSD LOADS THE WRONG DISPLAY OVERLAY IN RESPONSE TO THE COMMAND
          *J(Z),N.* 
          JLN    06/77       DSD
  
  
C7540MQ   MODIFICATION TO CONTROL TO SUPPORT THE REDEFINED CYBER 176
          SCR.
          AEM    6/6/77            CONTROL
  
  
 C7540MP  CODE TO CLEAR THE CYBER 170 SCR 0 AFTER THE SCR-S HAVE
          BEEN SAVED FOR DUMP.
          AEM    7/15/77           CONTROL
  
 F7540GM  FLUSHES 819 FILES BEFORE THE EVICT STACK REQUEST IS SENT TO 
                 SPM. 
          JDB    06/02/77.         CPCIO
  
 F7540GL  FLUSHES 819 FILES BEFORE THE EVICT STACK REQUEST IS ISSUED
                 TO SPM.
          JDB    06/02/77.         4ES
  
 C7540HS  REMOVES *CALL HSPTEXT FROM DECKS CMRTEXT AND CMR AND
          REPLACES THESE WITH *CALL COMSHSP. IT PURGES IDENT HSPTEXT
          AND COMMON DECK HSPTEXT. IT ALSO MAKES ONE LINE CHANGE TO 
          ECSDEF SO THAT PROPER DOCUMENTATION CAN BE OBTAINED WITH DOC. 
          BSS    07/13/77          HSPTEXT,CMRTEXT,CMR,ECSDEF 
 COMSHSP  ADDS COMMON DECK COMSHSP TO PL1A. THIS COMMON DECK
          INCLUDES 819 CM AND LCM TABLE DEFINITIONS.
          BSS    07/13/77          COMSHSP
 C7540NC  CMR CODE TO SUPPORT C7540NB.
          JLN    06/77             CMR
  
C7540NE   DEADSTART SHOULD INITIALIZE ALL FLPP-S ON CYBER 176 MAINFRAMES
          JLN    07/77             CONTROL
  
 C4600IR  REMOVES CODE THAT SETS *SUPER KILL* FLAG TO ALLOW 1EJ TO
          HANDLE THE RECOVERY CASES ITSELF. 
          *** MUST BE INSTALLED WITH C4600EK ***
          RFG    03/30/77    IRCP 
  
 *L461*    ************************************************************** 
 NB00041A ON SYSTEMS WHERE JUST ONE NON DDP PATH WAS DEFINED TO ECS AND 
          WHERE AT LEAST ONE OTHER DDP PATH WAS DEFINED, IF THE DDP WAS 
          LOGICALLY TURNED OFF, ALL PP PROGRAMS WOULD BE LOADED FROM
          RMS RATHER THAN ECS.  THE FIX DELETED ONE LINE OF CODE WHICH
          HAD INADVERTENTLY CHANGED THE VALUE OF AN INDEX REGISTER. 
          GDM    77/04/05          ECS
  
 IN42005  THIS 1AJ CODE REFLECTS THE CHANGE IN THE CALLING SEQUENCE TO
          1IM.  SEE PL12 IN42005 HISTORY FOR MORE INFORMATION.
          TGP    07/22/77          1AJ,1CI,1QP,1LX,1IM,TBL
  
NB00440A  MOVE THE SETTING OF THE COMPLETE BIT TO END OF PROCESSING 
          RFG    07/28/77    1TJ
  
 F7830RV  RPV USES C.CPSSW INSTEAD OF 4 FOR SENSE SWITCH BYTE.
          DPK    07/21/77          RPV
  
 F7830DD  INTERLOCK CONTROL POINT AREA (CH.CPA) DURING ONSW/OFFSW.
          JLN    06/24/77          DSD
  
 F7830AJ  INITIALIZE LIST-OF-FILES ADDRESS IN C.P.AREA, AND 
          CHANGE CODE WHICH SETS SENSE SWITCHES IN RA+0.
          DPK    06/29/77    1AJ
  
 F7830PS  DEFINE CONTROL POINT AREA SYMBOLS FOR LIST-OF-FILES ADDRESS,
          W.CPLOF (43B), AND C.CPLOF (3), AND CHANGE SENSE SWITCH BYTE
          C.CPSSW (3).
          DPK    05/20/77    PPSYS,PPTEXT,SCPTEXT 
  
 F7830AT  DEFINE GETLOF AND SETLOF MACROS.
          DPK    02/17/77    ACTCOM,CPCTEXT,CPUTEXT,SCPTEXT 
  
 F7830EJ  FLUSH LOCAL SCRATCH FILE IF BIT 36 OF FET+1 = 1.
          DPK    04/12/77          1EJ
  
 F7830DS  DIS MODS TO SUPPORT LIST-OF-FILES.  (USE OF CH.CPA WHEN 
          MODIFYING SENSE SWITCH SETTINGS.) 
          JLN    07/77       DIS
  
 NB00835  DSD PROCESSING OF +/- FOR EXTENDED LINKED DISPLAYS CAN
          GENERATE -0 VALUE FOR PAGE COUNT. 
          JLN    07/77             DSD
  
 NB00573  NOTE ASSEMBLY ERROR WHEN IP.SMS .GT. 7777B. 
          DPK    04/05/77          1SI
  
 NB00729  CHANGE *PROGRAM NOT AUTHORIZED FOR JOB* MESSAGE TO
                 *USER NOT AUTHORIZED FOR PROGRAM*. 
          DPK    06/08/77          1AJ
  
 NB00840  1IB MESSAGES TO B DISPLAY ARE GARBLED.
          JLN    07/77             1IB
  
 NB00415  ADDS A *DEFAULT* PARAMETER TO THE *RBR* MACRO TO ALLOW OR 
          PROHIBIT DEFAULT FILE ASSIGNMENT. 
          RAM    07/13/77.         CMR. 
  
 NB00770  WHEN RESPONDING TO A "POWER SHUTDOWN IMMINENT" CONDITION, 
          1SC RELINQUISHES CONTROL TOO SOON AFTER THE CONDITION CLEARS. 
          THIS CAN OBSCURE OTHER SYSTEM ERRORS. 
          JLN    06/77             1SC
  
 NB00522  THIS MOD YANKS CODE INHIBITING MISSED REVOLUTION REPORTING
          WHICH WAS ADDED TO PREVENT SYSTEM HANGS WHEN CERTAIN
          CONDITIONS EXISTED. THE FULL TRACK CONTROLWARE AT REVISION
          LEVEL 42 HANDLES MISSED REVOLUTIONS OD READS AS FORMERLY
          DONE ON WRITES. ALSO, THIS MODSET DELETES THE ANNOYING
          NON-FATAL UPDATE ERROR IN PL1A. 
          RAM    05/15/77.         RMSY (1SP, IRP)
  
  
 NB00735  THIS MOD PREVENTS HT CONTROLLERS FROM PROCESSING FULL-TRACKED 
          STACK REQUESTS.  HT CONTROLLERS CAN ONLY PROCESS HALF-TRACKED 
          STACK REQUESTS, WHILE CONTROLLERS CAPABLE OF FULL TRACKING CAN
          PROCESS FULL OR HALF-TRACKED STACK REQUESTS.
  
          JLC    06/10/77          CSPM2. 
  
  
          THIS MOD PASSES THE PACK RECORDING MODE BIT TO 1SP VIA THE
          FLAGS BYTE IN 1SPS MESSAGE AREA (PPMES3).  IN THE FUTURE, 
          1SP WILL NOT HAVE TO DETERMINE THE RECORDING MODE BY CHECKING 
          THE DDT, BUT WILL BE ABLE TO USE THIS BIT.
  
          JLC    04/07/77          CSPM2. 
  
NB00597   4LB UPON NOT DETECTING TAPE MARK STATUS AFTER WRITE TAPE-MARK 
          FUNCTION HAS BEEN ISSUED WILL DECREMENT NUMBER OF TRIES AND 
          ATTEMPT WRITING AGAIN. NOTIFICATION OF THIS FAILURE IS NOT
          POSTED. THERE HAVE BEEN INSTANCES OF 60X DRIVES ACTUALLY
          WRITING A TAPE MARK BUT NOT RETURNING TAPE-MARK STATUS. 
          INDICATION OF THIS FAULT IS NOT DETECTED UNTIL LATER ATTEMPTS 
          ARE MADE TO PROCESS THE LABEL INFORMATION, AT WHICH TIME
          *UNABLE TO READ TRAILER LABEL* MAY BE RECEIVED. 
          THIS CODE WILL DO THE MINIMUM BY POSTING A DAYFILE MESSAGE
          NOTING A DIFFICULITY IN WRITING A TAPE-MARK. IN THE GENERAL 
          SENSE ABSENCE OF TAPE-MARK STATUS AFTER THE FUNCTION IS A 
          VALID INDICATION THAT THE TAPE-MARK WAS NOT ACTUALLY WRITTEN. 
          WVM    04/11/77          4LB,4LC
  
SC46501   IF CONTROL BACKSPACE FAILS 1P4 WILL ATTEMPT REVERSE READ. 
          TRIES COUNT IS NOT BEING RESET, CAUSING POSSIBLE LOOP 
          CONDITION IF ERRORS OCCUR. ADD CODE TO RESET TRIES COUNT IF 
          CBKSP FAILS.
          WVM    01/11/77    1P4
  
 NB00554  1MH HANGS WHILE PROCESSING TAPE JOB FOR VSN INFORMATION IF
          INPUT FILE HAS NO EOR OR EOF. 
          JLN    04/77             1MH
  
  
NB00581   CODE IN IRCP TO DISPLAY DISK LOCATION OF BAD CHECKSUM 
          RATHER THAN JUST THE ROUTINE NAME.
          AEM    4/10/77           IRCP 
  
NB00673   FIELD LENGTH ERROR RESULTS IF SKIPF ON FILE AT EOI IF XP=1
          05/16/77           JLA   4ES
  
NB00623   GENERAL STATUS REJECT CAUSING SYSTEM ERRORS ON MTS (F7090). 
          ATTEMPTING TO TAKE GENERAL STATUS AFTER A MOTION FUNCTION WILL
          SOMETIMES CAUSE A FUNCTION REJECT TO OCCUR. THIS IS DUE TO
          WAIT TIME IN SUBROUTINE *OFC* BEING APPROXIMATEL 1 SECOND IN
          DURATION. ANY LONGER THAN THIS COULD BE PRMATURELY TERMINATED 
          BY DEADMAN TIMER. 
          CORRECT BY ADDING CODE TO SUBROUTINE *GSTS* TO REATTEMPT ISSUE
          OF GENERAL STATUS FUNCTION 3 TIMES. 
          WVM    04/29/77          1IT.3IW
  
NB00510   66X AND 67X ERROR RECOVERY IS NOT STORING THE RETRY COUNT IN
          THE ERROR FILE ENTRY. CORRECT THE DRIVERS TO STORE IT.
          NH     3/03/77     1IT,3IE,3IR,3IW
  
 NB00465  USER DEVICE SET DSMOUNT CAN CAUSE SYSTEM DEADLOCK 
          JLA    04/12/77          CSPM4
  
 SC45861  THIS MOD INSURES THAT THE *NPRU* PARAMETER IS SUPPLIED
          IN THE ECSBUF MACRO.
          JJC    5/25/77           ECSDEF 
  
  
NB00170   CODE TO COORDINATE CMU PROCESSING IN DEADSTART AND THE CMU
          DEFAULT SELECTION WITH THE INSTALLATION PARAMETER IP.CMU. 
          AEM    4/22/77           CONTROL
  
SC46579   7 TRACK LABELS NOT RECOGNIZED WHEN 9 TRACK JOBS RUNNING ON
          3528-2 MMTC. CONVERSION MODE NOT BEING CLEARED IN CONTROLLER
          BY 4LB IF 7 TRACK LABEL PROCESSING WAS TO BE DONE. 7 TRACK
          LABEL WOULD BE READ IN BCD MODE AND CONVERSION MODE WHICH 
          NEGATED BCD CONVERSION, RESULTING IN GARBAGE. 
          THE SAME PROBLEM MAY RESULT ON THE WRITE SIDE.
          WVM    01/21/77    4LB,4LC
  
 NB00778  1SI SETS EXIT MODE TO 7007B FOR NEW INTERCOM JOBS.
          DPK    07/22/77          DPK
  
NB00252   ADDS CODE TO PUT REPEAT COUNT INTO PARAM LIST 
          07/21/77 RFG             QAF
  
NB00102   ADDS CODE TO WAIT FOR SKIPF S.R. TO COMPLETE. 
          06/13/77    RFG    6PD
  
 NB00048  ALLOW USER LIBRARY TO OVERRIDE CM-RESIDENT SYSTEM LIBRARY 
          WITH THE SAME NAME. 
          DPK    07/22/77          1AJ
  
NB00571   PROTECT SPM FROM USER ERRONOUSLY SETTING FET EXT ADDRESS NEG
          JLA    06/02/77    SPM3 
  
NB00280   CPCIO CHANGED TO FORCE THE FIRST REWRITE OF A PF TO PPCIO SO
          THAT THE NO RERUN BIT IN THE INPUT FILE PFC CAN BE SET. THIS
          INSURES JOB WILL NOT BE RERUN IF A DS IS FORCED.
          JLA    06/10/77          CPCIO,CP4ES
  
NB00740   SKIPF FUNCTION NO LONGER REQUIRES READ PERMISSION FOR PF
          JLA    06/02/77    CPCIO
  
 NB00736  IF AN LFN ON A VSN CARD HAS PREVIOUSLY HAD A VSN SPECIFIED, 
          1MH IGNORES ANY SUCCEEDING LFN"S AS WELL AS THE DUPLICATE 
          LFN.  ALSO 1MH DOES NOT RECOGNIZE THE SYNTAX WHERE THE *=VSN* 
          PHRASE HAS BEEN OMITTED.
          JLN    06/77             1MH
 NB00733  TDS GENERATES AN ASSEMBLY ERROR IF IP.SIDLE=0.
          JLN    06/77             TDS
  
 NB00731  MTR PRODUCES ASSEMBLY ERRORS UNDER WORST-CASE SETTING OF
          INSTALLATION PARAMETERS.  (IP.ECSLK=1,  IP.MCPU=2,
          IP.MECS=400B,  IP.XJ=-1)
          JLN    06/77             MTR
  
NB00324   ADDS CODE TO RELEASE ANY SUPP FNT-S WHEN RELEASING AN EMPTY 
          FILE. 
          06/16/77    RFG    6RD
  
NB00377   REMOVE DUPLICATE CODE IN 4ES
          JLA    06/02/77    4ES
  
NB00636   CORRECT A NUMBER OF MULTI-FILE PROBLEMS INCLUDING THE 
          IMPROPER HANDLING OF P PARAMETER WHEN WRITING A FILE. 
          BJE    5/77        3IF,MTSCOM,1IT.3IW,3IM 
  
  
 NB00793  THIS MOD CORRECTS THE HANDLING OF A CLOSER,RETURN FUNCTION
          ON DISK FILES.
  
          JLC    7/12/77           CIO. 
  
 NB0B327  MTR DOES NOT INITIALIZE ITSELF PROPERLY IF ASSEMBLED WITH 
          IP.XJ=2 AND EXECUTING ON A CYBER 176. 
          JLN    08/77       MTR
  
  
 NB00498  THIS MOD RELEASES CM ACCESS, IF SET, WHEN A CALL TO X1SP IS 
          REJECTED.  RELEASING CM ACCESS THEN ALLOWS OTHER FUNCTIONS
          TO PROCEED. 
  
          JLC    04/04/77          SPM1,SPM3. 
  
 NB00726  1EJ MUST FLUSH OUTPUT FILE AFTER ABORT WHEN DEFERRED ROUTE
          WITH REPETITION COUNT IS IN EFFECT. 
          DPK    08/02/77          1EJ
  
 F7830EK  ECS-RESIDENT FILES MUST NOT BE FLUSHED WITH EX.FLHB 
          AFTER JOB ABORT.
          DPK    09/09/77          1EJ
  
 NB0B368  THIS PSR CORRECTS THE FOLLOWING PROBLEM IN 3DO. THE 
          SUBROUTINE USED TO GENERATE AN 819 EXTENSION DOES NOT 
          CHECK FOR CONTROL POINT ZERO WHILE WRITING THE
          *WAITING FOR FNT SPACE MESSAGE* ON AN FNT FULL CONDITION. 
          BSS    09/13/77          3DO
  
 NB00864  THE BUFFER USED BY IRCP TO STORE THE ZZZZCKP RBT CHAIN DURING 
          CHECKPOINT RECOVERY DEADSTARTS MAY OVERLAY CODE IN IRCP,
          RESULTING IN IRCP MODE ERRORS.
          JLN    08/77       IRCP 
  
 NB0B449  1IB MUST SET INPUT FNT COMPLETE BEFORE CALLING 1AJ, 
          SO 1EJ CAN COMPLETE RERUN OR JOBCARD ERROR PROCESSING.
          DPK    09/22/77          1IB
  
 NB0B314  IF IP.SIDLE IS ENABLED, A MALICIOUS USER CAN CAUSE SYSTEM 
          INTERRUPTIONS BY SIMULATING MODE 10 ERRORS IN RA+0. 
          JLN    07/77       CPMTR
  
NB0B446    SPM WAS CLOBBERING THE RBR DUE TO BETA IDENT ALLOWING
           SELECTION OF MULTIPLE SRS FOR SAME DDT. WHEN LAST SELECTED 
           SR WAS REJECTED, DDT WOULD BE CLEARED MORE THAN ONCE, CAUSING
           SPM TO USE A BAD SR ORDINAL WHEN SETTING THE BYPASS FLAG.
           JLA    09/22/77   SPM2 
  
 NB0B235  1SC PROCESSES FLPP ERRORS IMPROPERLY. 1SC WAS ONLY CHECKING 
              FLPPS 2 THRU 7.CODE WAS ADDED TO CHECK FLPPS 1 THRU 20B 
              TO HANDLE THE CASE WHERE A 7600 MAY BE CONVERTED TO A C176
          DTK    07/29/77          1SC
  
NB0B335A  FOR 819 STACK REQUESTS INTERLOCK WORD IS NOT CLEARED
          PRIOR TO RELEASING OF THE PPU.THIS PSR CORRECTS THIS PROBLEM. 
          IT AFFECTS ONLY 819 STACK REQUESTS.THIS PSR MUST BE INTEGRATED
          CONCURRENTLY WITH PSR NB0B335B FOR PL1G.
  
          BSS    08/12/77          CSPM1
NB00613   EXTEND OF PERMANENT FILE WITH EOI PRU+1 IN RBT =0 CAN CAUSE 
          FALSE -WRITE NOT AT EOI ON PERMANENT FILE- MSG TO BE ISSUED 
          CAUSED BY FIRST=LIMIT ON NXTPB FUNCTION FROM 1SP TO SPM.
          JLA    08/16/77    1SP
  
 NB0B382  DSD MAY LOAD WRONG DISPLAY OVERLAY WHEN EXECUTING DISPLAY 
          SELECTION COMMANDS DEFINED IN THE LINKED SYNTAX TABLE.
          JLN    08/77             DSD
  
NB00440C  ADDS CODE TO ALLOW A 1QF CALL WHEN RETURNING TO CALLER
          RFG    07/28/77    6RD
  
 *L468*    ************************************************************ 
 NB00926  THE ROUTINE DRVS IN ECLINK WAS IMPROPERLY READING THE 
          LWA+1 OF THE SUBCHANNEL TABLE AND, IF ENCOUNTERING A
          NONZERO WORD, INCORRECTLY CLEARING SOME BITS.  THE FIX
          CORRECTS THIS PLUS IT INCLUDES SOME CLEAN UP OF THE 
          DOCUMENTATION.
          GDM    08/29/77          ECLINK 
  
NB0B329   REMOVE C.ISIZLN, INCORRECTLY DEFINED IN P.SCHPT.
          JKM    8/3/77      PPSYS
  
 NB0B365  WHEN IDLE MODE IS INITIATED BY THE OPERATOR COMMAND 
          *CHECKPOINT*, THE SUPPLIED PROCESS TIME-OUT VALUE IS TOO
          LARGE.  THIS CAN RESULT IN THE CHECKPOINT TAKING 6 MINUTES TO 
          COMPLETE. 
          JLN    08/77       DSD
  
NB00812   ECLINK NOT CLEARING FLAG REG INTERLOCK BIT CORRECTLY
          JLA    08/22/77    ECLINK 
  
NB00891   ILINK EXTRACTS EST ORDINAL INCORRECTLY
          JLA    08/02/77    ECLINK 
  
 NB00789  PREVENT BAD ADDRESS CALCULATION IF ECS DIRECT 
          ACCESS EXTENDS PAST 131K. 
          JWB    08/24/77          LINKCMR
  
 NB0A931  DIS ABS MEMORY DISPLAYS DO NOT DISPLAY ADDRESSES GREATER THAN 
          377777B. CODE WAS ADDED TO DISPLAY ALL ADDRESSES IF A 262K
          MACHINE.
          DTK    08/20/77          DIS
  
 NB00228  DIS "ENFL" AND "ENFE" COMMANDS CANNOT REQUEST ALL AVAILABLE 
          STORAGE. CODE ADDED TO ALLOW REQUEST OF ALL AVIALABLE STORAGE.
          DTK    08/20/77          DIS
  
NB00806   BAD TEST OF FET ADDR AND FET EXT ADDR CAN CAUSE ERROR MODE
          1 IN SPM SPMBKSP
          JLA    08/22/77    SPM3 
  
 NB00780  1P2 READS THE WRONG FET WORD IN TWO PLACES. IN ONE IT CAUSES
          FET+6 TO BE CLOBBERED, IN THE OTHER EP PROCESSING MIGHT BE
          BYPASSED. 
          HW      09/12/77         1P2
  
 NB0B436  C.DSFLAG AND THE POST-DEADSTART DAYFILE MESSAGE ISSUED TO 
          INDICATE THE DEADSTART OPTIONS SELECTED DO NOT SUPPORT
          CHECKPOINT DEADSTARTS.  CHECKPOINT RECOVERY WILL ONLY PERFORM 
          D-LEVEL RECOVERIES IF INTERCOM IS UP. 
          JLN    09/77       IRCP,STL,TDS,GENDJ,1RN 
  
  
 NB00710  THIS MOD MOVES THE DEFINITION OF IP.HT AND IP.FT TO A LOCATION
          PRIOR TO THE IPARAMS MODIFICATION AREA. 
  
          JLC    5/26/77           IPARAMS
  
 NB00203  CORRECTLY TEST LFN-S AT CP 0 FOR INPUT DISPOSITION. 
          EWB    09/06/77          1AB
  
 NB0A413  SSF DOES NOT USE THE EVENT STACK PROPERLY WHEN PROCESSING 
          SCP ABORTS.  THIS CAN RESULT IN A FLOOD OF 1BO CALSS WHICH
          FILLS THE PJT.
          JLN    09/77             SSF,SSC
  
NB00730   IP.TSG *IFS* WITHOUT TAGS WERE TERMINATING PREMATURELY. 
          BJE    10/77             2TACOM,REQ.1TS 
  
NB01059   REQ FAILED TO DISTINGUISH BETWEEN MT AND NT WHEN REQUESTING 
          THE OPERATOR TO REMOUNT WITH(OUT) RING. 
          BJE    9/77              REQ(3RQ) 
  
  
          THIS MOD PROCESSES THE DDT PACK RECORDING MODE BIT, S.DDRM, 
          PASSED IN PPMES3. 
  
          JLC    08/10/77          1SP
  
NB0B403   CHECK FOR DEVICE TYPE = ECS WAS BEING MADE INCORRECTLY IN REQ.
          BJE    9/77              REQ
  
 NB0B520  THE SYSTEM IDLE FEATURE DOES NOT MAKE USE OF A CYBER 176
          HARDWARE FEATURE TO CONTROL CPU INTERRUPTS ON SSM DOUBLE-BIT
          SECDED ERRORS.  FAILURE TO DO SO ELIMINATES THE POSSIBILITY 
          OF GENERATING A SYSTEM CHECKPOINT IN RESPONSE TO A SECDED 
          ERROR.
          JLN    10/77             CMR,COMSSCR,CONTROL,CSYSIDLE 
  
 NB00426  AVOIDS ENTERING THE MESSAGE *$ MTXX BUSY* INTO THE CONTROL
          POINT DAYFILE.
          HW     09/15/77          4LB/6LM
  
NB00781   DURING WRITE RECOVERY THE RESERVATION OF THE EQUIPMENT
          DOES ONLY CLEAR CONVERSION MODE SETTING IF A 9 TRACK UNIT 
          IS INVOLVED 
          THIS MIGHT RESULT IN ERRORS IF THE RECOVERY IS REQUESTED
          FOR A 7 TRACK UNIT, CONNECTED TO A CONTROLLER, WHICH IS 
          ALSO SERVING 9 TRACK UNITS OF WHICH ONE IS BUSY IN
          CONVERSION MODE.
          THE CORRECTIVE CODE CLEARS CONVERSION MODE IN THE MMTC IF IT
          IS INVOLVED IN ANY RECOVERY.
          HW     09/29/77          1P2/1P3/1P4
  
NB0A669   IF 1TF FINDS A DENSITY ERROR ON A NINE TRACK TAPE, AND ISSUES 
          A -GO OR RERUN- REQUEST, THE OPERATOR CAN NOT RESPOND.
          DSD WILL NOT ACCEPT THE TYPE IN.
          -GOXX- PROCESSING HAS BEEN CHANGED BY FEAT11P2 IN DSD AND 1TF 
          HAS NEVER BEEN ADAPTED TO THE NEW SPECS.
          HW     09/12/77          1TF
  
 NB0B494  RELEASE SCHEDULER CHANNEL BEFORE CALLING SCHEDULER. 
          DPK    08/23/77          SSH
  
NB00248   PREVENT BAD EVICT STACK REQUESTS FORM GETTING THROUGH SPM 
          JLA    09/29/77    CSPM4
  
NB00721   CIO COUNTED ON P.ZERO = 0.
          BJE    10/77             CIO
  
 SC45774  THIS MOD ALLOWS A PROGRAM THAT CALLS 2VJCOM TO OVERRIDE 
          THE *ST* JOB CARD PARAMETER.
          JJC    9/8/77            2VJCOM, 1TJ
  
 SC45772  THIS MOD SOLVES A PROBLEM WITH LOSING THE JOB CARD CM 
          PARAMETER WHEN THE JOB IS DESTINED FOR A MAINFRAME OTHER
          THAN THE ORIGINATING MAINFRAME.  2VJCOM ONLY CHECKS CM
          PARAMETER FORMAT, AND 1IB CHECKS CM PARAMETER LIMITS. 
          JJC    9/01/77           2VJCOM, 1IB
  
  
 NB00952  THIS MOD CORRECTS A WRITE AT EOV WHEN OVERFLOW INFORMATION
          ALREADY EXISTS. 
  
          JLC    08/25/77          SPM3.
  
  
 NB0B020  WHEN AN UNRECOVERED DISK ERROR OCCURS ON AN ECS BUFFERED
          FILE, THE ERROR PROCESSING OF 1SP CAUSES CBM TO RELEASE 
          THE SYSTEM CIRCULAR BUFFER TWICE CAUSING A SYSTEM ABORT.
          THE FIX CONSISTS OF SETTING A FLAG IN A STATUS WORD 
          WHICH THEN CAUSES CBM TO DECREMENT THE PSUEDO ACTIVITY
          COUNT JUST ONCE.
          GDM    09/15/77          1SP
  
NB00724   CPCIO AND PPCIO DIFFER IN HANDLING OF WRITER, LEVEL 17B 
          JLA    06/20/77          CPCIO
  
NB00911   6WM DISPLAYS GARBAGE WHEN FNT FULL
          JLA    10/31/77    6WM
  
 NB0B108  MOD TO 1LC TO GUARANTEE CORRECT EST FOR UPDATE IN DOWNING A 
          CHANNEL AT DEADSTART ON A DUAL CHANNEL CONFIGURATION. 
          STL    10/18/77          1LC
  
 NB0B388  RECOVERY DEADSTART DOES NOT RECOGNIZE SUPPLEMENTS TO DAYFILE
          FNT ENTRIES.  THIS CAN RESULT IN 819 SUPPLEMENTS BEING
          DETATCHED FROM THEIR FNT ENTRY WHILE A TBT IS ASSIGNED.  IF 
          THE DISK SPACE ALLOCATED TO THE FILE IS SUBSEQUENTLY
          REALLOCATED TO ANOTHER FILE AND THEN THE LCM RESOURCE MANAGER 
          FLUSHES THE DETATCHED 819 SUPPLEMENT, THE CURRENT DATA ON 
          DISK WILL BE OVERWRITTEN. 
          JLN    10/77       IRCP 
  
 NBOB435  DO NOT COMPLETE STACK REQUEST UNTIL CEM COMPLETES DAYFILE 
          MESSAGE.
          JED    09/26/77          CEM, LCM 
  
 NB0B610  819 I/O FOR SWAPFILES SHOULD NOT UTILIZE 819 FNT SUPPLEMENTS
          SINCE THE TBT MUST BE FLUSHED IMMEDIATELY ANYWAY.  ALSO, THE
          CONTROL POINT NUMBER IN AN 819 SUPPLEMENT SHOULD ALWAYS BE
          THE SAME AS THE CONTROL POINT NUMBER IN THE PRIMARY FNT ENTRY.
          JLN    11/77             3DO
  
NB00805   LOW ORDER 12 BITS OF JDT ADDRESS WAS BEING OVERWRITTEN BEFORE 
          IT HAD BEEN TESTED. 
          BJE    7/77        2TACOM,1TS,REQ 
  
NB0B322   ADDS CODE TO TAKE CARE OF 819 FNT SUPPLEMENTS.
          RFG    08/10/77    SSH
  
  
 SC46342  THIS MOD CORRECTS THE COMPUTATION OF THE CONTROLLER AND UNIT
          ACTIVITY COUNTS IN 1RN (A PPTEXT SYMBOL IS ALSO CHANGED). 
  
          JLC/JJC 08/19/77         1RN,PPTEXT.
  
 NB0B565  MOD PREVENTS READ DRIVERS FROM HANGING DUE TO DEACTIVATING
          AN INACTIVE CHANNEL. BIT 5 MUST BE PRESERVED IN DCN INST- 
          RUCTION DUE TO RACE CONDITION BETWEEN SUBSYSTEM AND PP DRIVERS
          TO DCN THE CHANNEL ON ERRORS IN READ RECOVERY.
          WJS    10/14/77          COM2IR 
  
NB00270   READLS MAY CLOBBER CM IF FET IS BAD 
          JLA    08/31/77    SPM1 
  
NB0B548   WRONG EXTENDED ERROR CODE FOR FUNCTION NOT COMPLETE RETURNED
          TO FET. 
          JLA    10/25/77    SPM3 
  
NB00704   INCREASE TIME OUT IN 841 DRIVER FOR 2XPP SPEED
          JLA    09/29/77          1SP
  
 NB0B557  6RD ASSUMES THAT AN 819 SUPPLEMENT IS THE FIRST IN THE CHAIN
          IF THERE ARE MORE THAN ONE SUPPLEMENT.  IF THIS IS NOT THE
          CASE, A BAD TBT ADDRESS WILL BE SUPPLIED IN THE MONITOR 
          REQUEST TO FLUSH THE FILE-S LCM BUFFERS -- RESULTING IN A 
          SYSTEM ABORT FROM HSF.
          JLN    10/77             6RD
  
NB00532   FET UPDATED BY SPM WITHOUT FIELD ACCESS SET. CAN RESULT IN
          CPMTR MODE ERR OR CLOBBERED WORD IN CM. 
          JLA    11/05/77    CSPM3,4DO
  
 NB0A423  FIX PARAMETER WORD GENERATED BY MESSAGE MACRO.
          (ENSURE THAT ADDR IS 18 BITS OR LESS.)
          DPK    10/28/77          ACTCOM,CPCTEXT,CPUTEXT,SCPTEXT 
  
 NB00815  CODING ERROR IN 7000 B DISPLAY OVERLAY WHEN CHECKING FOR
          COORDINATE BYTE. SHOULD BE AN OCTAL CONSTANT OPERAND. 
          DTK    10/26/77          DSD
  
 NB00881  DSD MAY USE WRONG COORDINATES ON E DISPLAY. INSERTED CODE IN
          8DE TO MASK OFF LOWER 6 BITS BEFORE JUMPING TO Z2S. 
          DTK    10/26/77          DSD
  
 NB0B056  E-DISPLAY MISSES UPPER BIT OF 844 EXPANDER UNIT NUMBER) 
          INSERTED CODE TO CHANGE THE MASK DEPENDING ON MAG TAPE
          ORDINAL OR 844 ORDINAL. 
          DTK    11/03/77          DSD
  
 NB0B652  UNLOCK  OF LOCKED-IN JOB PUTS IT IN EXPRESS Q. CODE INSERTED
          INTO DSD J.LOCKIN COMMAND TO HAVE THE SCHEDULAR PUT THE 
          LOCKED IN JOB AT THE HIGHEST PROIRITY OF ITS JOB CLASS
          INSTEAD OF A EXPRESS PRIORITY.
          DTK    11/15/77          DSD
  
 NB01129  REPAIRS A MINOR PROBLEM IN CMR FLAW PROCESSING. 
          RAM    11/13/77.         CMR. 
  
NB00846   INITIALIZATION IS NOT PERFORMED FOR A READN COMMAND.
          PSR SC43725 AND SC45299 MODIFIED THE SAME CODE AREA, BUT
          WERE NEVER COORDINATED WITH EACH OTHER. 
          THIS CORRECTIVE CODE CHANGES THE EFFECTED INSTRUCTIONS
          AROUND. 
          HW     10/18/77          COM2IR/2IA 
  
NB0A255   2TB CLEARS THE FNT WRITE BIT (IF SET) ONLY IN ITS OWN MEMORY. 
          IT SHOULD CLEAR IT IN THE FST IN CM AS WELL. WE RUN INTO
          PROBLEMS IF 1TO GOES INTO THE DELAY STACK BECAUSE OF A BUSY 
          TAPE UNIT. COMING BACK FROM THE DELAY STACK IT INITIALIZES
          ITS FST WORDS, HOWEVER WE NEVER CLEARED THE FNT WRITE BIT.
          THIS CODE MODIFIES 2TB TO WRITE THE MODIFIED FST WORD INTO
          CENTRAL MEMORY. 
          HW     11/21/77          2TB
  
NB0B346   THE 3IM FET BUFFER POINTER WAS INCORRECT AND THE MESSAGE
          PROCESSOR WAS MISSING A PARAMETER NOT ALLOWING A JOB TO ABORT.
          BJE    9/77              3IM
  
 NB0B649A MOD TO 2IL FOR MTS (66X) A12 CONTROLWARE.  STOP TAPE MOTION IS
          NOW THE RESPONSIBILITY OF PP DRIVERS ON A READ THAT CAUSES
          CONTROLWARE TO SEARCH FOR AN IRG OR FOR END OF OPERATION. 
          WJS    11/14/77          2IL
  
 NB0B649B MODS TO THE COMMON TAPE READ DRIVERS TO ISSUE STOP MOTION 
          FUNCTION ON A RECORD THAT EXCEEDS MLRS. THIS MOD IS REQUIRED
          DUE TO A12 CONTROLWARE BEING INSTALLED ON MTS (66X TAPE SUB-
          SYSTEM).  THE MOD ALSO REMOVES SPECIAL CODE IN COM2IR THAT
          SPECIAL CASED ATS (67X TAPE SUBSYSTEM). 
          WJS    11/14/77          COM2IR,COMPRS
  
NB0B608   MOD ENABLES DOWN UNIT CHECKING IF EOJ FLAG IN CONTROLPOINT
          AREA IS SET.
          WJS    10/25/77          1IT
  
 NB0B601  MOD PROVIDES ADDITIONAL CERFILE ENTRIES FROM TAPE SUBSYSTEM.
          GENERAL STATUS WORD 2 NOW FOLLOWS WORD 1, AND ATS UNIT STATUS 
          WILL FOLLOW DETAIL STATUS.  MTS ENTRIES WILL BE ZERO FOR UNIT 
          STATUS. 
          NOTE - NORMS AND HPA MODS REQUIRED TO INTERRUPT NEW DATA. 
          WJS    10/24/77          3IE,3IW,3IR
  
 SC46342  THIS MOD CORRECTS VARIOUS PROBLEMS IN DAT/DDT ACTIVITY
          CALCULATION.
  
          JLC    10/14/77          IRCP,CMR 
  
 NB00853  FIX PNT FIELD LENGTH CHECK.  ASSIGN IP.SFL/100B 
          IF PNT FL = 0 AND REDUCE IS ON. 
          DPK    11/11/77          1AJ
  
 NB00737A DELETE PERMANENT FILE FUNCTION VERBS FROM 1AJ SPECIAL CASE
          LIST (ALTER, ATTACH, AUDIT, CATALOG, DUMPF, EXTEND, GETPF,
          LOADPF, PURGE, RENAME, SAVEPF, SETP, AND TRANSPF).
          DON-T CRACK PARAMETERS OR SEND DAYFILE MESSAGE FOR ANY *PFCCP*
          ENTRY POINT CALL, BUT PUT VERB ONLY IN ERROR MESSAGE IF 
          ACCESS LEVEL CHECK FAILS. 
          INSTALL WITH NB00737B, -C, -D, -E, -F.
          DPK    12/06/77          1AJ
  
 NB0B663  REVISE METHOD OF FINDING INPUT FNT DURING SWAP-IN.
          DPK    12/02/77          1SI
  
NB00706   1CL DOES NOT WAIT FOR STACK REQUEST TO COMPLETE IF CONTROL
          POINT ERROR FLAG IS SET 
          JLA    09/02/77    1CL
  
 NB01116  ADDS A SEPARATE LIST FOR EQUIPMENT RECONFIGURATION
          QUERY IN THE OPERATOR MATRIX. 
          RAM    11/08/77.         CONTROL (COM). 
  
 NB00487  MAILBOXED DAYFILE MESSAGES MAY BE LOST WHEN SWAPOUT IS NOT
          COMPLETED. DELETED ERRONEOUS CODE IN 1DL THAT CHECKS  C.CPFLG 
          BITS SINCE 1SO WAITS FOR ALL QUIET AT THE CONTROL POINT 
          BEFORE SWAPPING OUT THE JOB.
          DTK    10/26/77          1DL
  
 NB01111  1MH DOES NOT RECOGNIZE GE AS TAPE REQUEST. ADDED GE 
          MNEMONIC TO TAPETAB IN CHKTAPE ROUTINE. 
          DTK    11/07/77          1MH
  
NB00172   IF OPERATOR DROPS JOB INSTEAD OF REPLYING TO *GO OR RECHECK*
          MESSAGE, JOB WILL NOW BE UNABLE TO ACCESS THE TAPE AFTER
          AN EXIT CARD. 
          BJE    11/77             COM3II,COM3IM,MTSCOM 
  
 NB00905  1MH SETS INCORECT ACCESS LEVEL IF IP.DBAL IS CHANGED
          FROM DEFAULT. DELETED THE REFERENCE TO IP.DBAL AND HARDCODED
          THE ACCESS LEVEL TO 3777B IN 1MH. 
          DTK    11/11/77          1MH
  
 NB00882  PROBLEMS ENCOUNTERED IF IP.DBAL IS ALTERED. ADDED CODE TO DIS 
          TO ALWAYS GET A ACCESS LEVEL OF 3777B.
          DTK    11/11/77          DIS
  
 NB01117  WRONG TEST FOR VACUOUS ZZZZZ03 FILE ON 1.R 2.C DEADSTART. 
          DELETED THE TEST COMPLETELY. WE WILL ALWAYS SPIN OFF THE
          EDITLIB RESTORE JOB ON 1.R 2.C DEADSTART. 
          DTK    11/19/77          TDS
  
NB0B544   1SP CAN HANG SYSTEM IF CHANNEL ASSIGNMENT ERROR OCCURS. 
          A CHECK IS MADE TO MAKE SURE THE ASSIGNED CHANNEL IS THE
          REQUESTED CHANNEL.
          JLA    11/16/77          1SP
  
NB00993   REQ WILL NOW DESTROY USERS DEVICE CODE IF DUPLICATE FNT 
          FOUND FOR A TAPE WHOSE LABELS HAVE ALREADY BEEN CHECKED.
  
          BJE    10/77             REQ
NB00269   READLS CURRENTLY WILL ACCEPT ANY FILE POSITION IN RBT/BYTE/PRU
          FORMAT IN THE READLS LIST.  THIS MOD CHANGES IT SO THAT THE 
          POSITION IS VERIFIED TO BE WITHIN THE SPECIFIED FILE BEFORE 
          THE READ TAKES PLACE, IE, READLS CAN NO LONGER READ OUTSIDE 
          THE SPECIFIED FILE. 
          JLA    10/31/77    SPM1,CPCIO,4ES,6WM 
  
 NB0B737  CEM WAS BEING CALLED BY USERS AND CRASHING THE SYSTEM.
          TO REDUCE UNAUTHORIZED ENTRY INTO CEM, CEM WAS MADE 
          USER CALLABLE ONLY BY TYPE 1 ERRORS.  IT IS ONLY TYPE 1 ERRORS
          THAT THE SYSTEM STUFFS BACK IN RA+1 SHOULD MONITORS REQUEST 
          STACK BE BUSY.  ON ALL OTHER CALLS TO CEM THE SYSTEM NOW SETS 
          BIT 41 PRIOR TO CALLING CEM.  IF THE USER SETS BIT 41 IN HIS
          CALL TO CEM, CPMTR CLEARS IT. CEM NOW ONLY PROCESSES TYPE 1 
          CALLS WITHOUT BIT 41 SET AND NON TYPE 1 CALLS WITH BIT 41 SET.
          TYPE 1 CALLS, WHILE STILL USER CALLABLE, ARE ASSUMED TO BE
          SAFE FROM SYSTEM DISRUPTION.
          GDM    12/08/77          CEM, ECSSUB, LCM 
  
 NB00753  USE CORRECT ECS FL, IF .GE. 1000K.
          DPK    11/15/77          1AJ
  
 *L464*    ************************************************************** 
 F7510DD  DELETES ALL RMS DRIVERS EXCEPT 844-S AND 841-S FROM 1SP.
          RAM    04/25/77.         1SP. 
  
  
F7510I5   CODE TO REMOVE SUPPORT FOR OBSOLETE RMS DEVICES.
          AEM    5/9/77            IRCP 
  
  
F7510C9   CODE TO REMOVE SUPPORT FOR OBSOLETE RMS DEVICES.
          AEM    5/9/77            CONTROL
  
  
F7510D1   CODE TO REMOVE SUPPORT FOR OBSOLETE RMS DEVICES.
          AEM    5/9/77            DSLCOM 
  
  
F7510PD   PURGE THE RMS COMMON DECKS USED TO DEFINE THE DRIVERS 
          FOR OBSOLETE RMS DEVICES. 
          AEM    509077            RMSA,RMSB,RMSP,RMSC,RMSL 
  
  
F7510CA   COMMENT CHANGES TO DECK CEA TO UPDATE IMS DOCK LISTING
          FOR RELEASE 4 TO REFLECT REMOVAL OF SUPPORT OF OBSOLETE 
          RMS DEVICES.
          AEM    5/25/77           CEA
  
F7830CM   ADD MESSAGE CONTROL SYSTEM (MCS) TO T.SSCT. 
          DPK    02/17/77    CMR
F7830SS   DEFINE SUBSYSTEM CODE SS.MCS (MESSAGE CONTROL SYSTEM).
          DPK    02/17/77    SSYS,CMR,CMRTEXT,SSC,SSF,SSYTEXT 
 F7830AC  GETACT, GETLC, AND SETLC MACRO DEFINITIONS. 
          DPK    06/24/77    ACTCOM,CPCTEXT,CPUTEXT,SCPTEXT 
  
 F7541CO  ADDS ATS DEADSTART SUPPORT TO THE SYSTEM. 
          RAM    06/11/77          CONTROL. 
  
  
F7510I6   CODE TO REMOVE THE SET RECONFIGURE OPTION FROM DEADSTART. 
          AEM    5/31/77           IRCP 
  
 FEAT184I ADD SYMBOLS IP.PS(PAGE SIZE) AND IP.PD(PRINT DENSITY) TO
          *IPTEXT*. 
          SDM    77/05/02    IPTEXT                        FEATURE
  
 F7830AD  DEFINE *REPRIEVE* MACRO.
  
 F7541CI  DEFINES INSTALLATION PARAMETERS FOR DEADSTART DUMP TAPES. 
          RAM    08/15/77.         CIOCOM.
  
 C7541C1  REDEFINES THE DEFAULT DUMP TAPE DENSITY SYMBOLS.
          RAM    08/15/77.         CONTROL. 
  
 F7830EM  CHANGE WAIT FOR FNT SPACE TO DROP OUT, IF THE REPRIEVE
          MASK IS SET, ONLY ON OPERATOR KILL. 
          RKN    77/05/16          CEM
  
 F7830DT  CHANGE DSD TO ALLOW KILL OF INTERCOM ORIGIN JOBS. 
          RKN    77/05/01          DSD
  
 F7830PQ  ADD SYMBOLS *F.ERTI*, *F.JDTI*, *W.CPRPV*, *W.CPITI*, 
          *C.CPITI*, AND *S.CPRK* TO PPSYS. 
          RKN    77/02/25          PPSYS, PPTEXT, SCPTEXT 
  
 F7830OP  THIS MOD ADDS A CHECK OF THE REPRIEVE MASK BEFORE DROPPING
          THE PPU FOR AN ERROR FLAG.
          RAM    05/20/77.         1OP. 
  
 F7100GE  GENDJ MOD FOR IMPLEMENTATION OF AUTOMATIC RECOVERY OF USER
          SETS. 
  
          RMD    4/1/77            GENDJ
  
 F7100TD  TDS MOD TO AVOID STARTING GENDJ ON A RECOVERY DEADSTART 
          REGARDLESS OF USER SET VALIDATION BEING SPECIFIED.
  
          RMD    04/27/77          TDS
  
 F7100DC  MODIFICATIONS TO DSLCOM TO SUPPORT USER DEVICE SET
          VALIDATION AT DEADSTART TIME. 
          AEM    6/3/77            DSLCOM 
  
 F7100IR  MODIFICATIONS TO IRCP TO IMPLEMENT THE USER DEVICE SET
          VALIDATION OPTION OF THE DEADSTART MATRIX.
          AEM    6/3/77            IRCP 
  
 NB0B401  ADDS SUPPORT OF NON-ZERO EQUIPMENT NO. TO DEADSTART (CEA).
          RAM    08/30/77.         CEA. 
  
F7830WM   THIS MOD ADDS A CHECK OF THE REPRIEVE MASK BEFORE DROPPING
          WITH AN ERROR FLAG SET. THE EXCEPTION TO THIS IS WHEN THE 
          ERROR FLAG IS FOR A *KILL*, THEN THE DROP IS UNCONDITIONAL. 
          RAM    05/18/77.         6WM. 
  
 F7830SI  1SI WILL SET ERROR FLAG TO F.ERTI IF REQUESTED. 
          RKN    77/06/14          1SI
  
 F7830IO  ADDS CODE TO CHECK THE REPRIEVE MASK BEFORE ABORTING ON A 
          CONTROL POINT ERROR FLAG SET, ALSO INSURES THE COMPLETE BIT 
          IN THE FET IS SET.
          RAM    05/18/77.         CIO. 
  
 F7830CL  THIS MOD ADDS A CHECK OF THE REPRIEVE MASK BEFORE DROPPING
          THE PPU FOR AN ERROR FLAG.
          RAM    05/20/77.         1CL. 
  
 C7541C2  CORRECTS AN ERROR IN DUMP ERROR PROCESSING
          IF NO TAPE IS MOUNTED ON THE SELECTED UNIT. 
          RAM    09/09/77.         CONTROL (DTS). 
  
 F7830RP  MODIFY RPV TO PROVIDE ENHANCED REPRIEVE CAPABILITIES. 
          RKN    77/09/27          RPV
  
